2004-06-15 22:46  lyle

	* Rakefile: Bump version up to 1.0.29.

2004-06-15 22:46  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.8.0-i386-msvcrt.iss,
	  FXRuby-ruby1.8.1-i386-msvcrt.iss, FXRuby.spec, Makefile,
	  pre-config.rb, lib/fox/version.rb: Bumped the version number up
	  to 1.0.29.

2004-06-15 22:45  lyle

	* setversions.rb: Update the fox-toolkit.com URLs in
	  setversions.rb.

2004-06-15 22:44  lyle

	* doc/changes.xml: [no log message]

2004-06-15 22:41  lyle

	* web/: downloads.html, home.html: Added some disclaimers about the
	  (pending) availability of an FXRuby 1.2 release.

2004-06-15 22:40  lyle

	* examples/imageviewer.rb: Added a few helpful separators in
	  between groups of related menu commands in the "View" menu for
	  the imageviewer.rb example program.

2004-06-10 17:54  lyle

	* doc/: changes.xml, infosources.xml: [no log message]

2004-05-15 10:28  lyle

	* doc/changes.xml, lib/fox/undolist.rb, tests/TC_FXUndoList.rb:
	  Added the FXUndoList#undoName and FXUndoList#redoName methods,
	  per SourceForge Bug #928312.

2004-05-15 09:45  lyle

	* lib/fox/undolist.rb, tests/TC_FXUndoList.rb: Made a fix for
	  FXUndoList#cut (see SourceForge Bug #928303).

2004-05-15 09:29  lyle

	* doc/: build.xml, changes.xml, dragdroptut.xml, goals.xml,
	  infosources.xml, todo.xml: Changed all references to
	  fox-toolkit.org to fox-toolkit.com, and all references to
	  fifthplanet.net to fox-toolkit.net.

2004-05-15 09:22  lyle

	* web/: home.html, menu.html: Updated links for web site.

2004-05-15 09:18  lyle

	* Rakefile: [no log message]

2004-05-15 09:17  lyle

	* swig-interfaces/FXHMat.i, tests/TC_FXHMat.rb: Added bounds
	  checking for FXHMat#[].

2004-03-27 15:43  lyle

	* doc/changes.xml: Updated changes file for changes since version
	  1.0.28.

2004-03-21 18:01  lyle

	* tests/TC_FXHMat.rb: Added a test for the default constructor of
	  FXHMat, to ensure that all elements are initialized to zero.

2004-03-21 18:00  lyle

	* swig-interfaces/ruby-typemaps.i: Fixed a bug in the output
	  typemaps for FXHVec that were causing the FXHMat#[](idx) accessor
	  to return the wrong result for idx=0.

2004-03-21 17:59  lyle

	* swig-interfaces/FXRegion.i: The %ignore directives for some
	  friend functions for the FXRegion class were incorrectly
	  specified and were leading to warning messages.

2004-03-21 17:58  lyle

	* swig-interfaces/FXHMat.i: Modified the default constructor for
	  FXHMat to initialize all matrix elements to zeroes.

2004-03-21 17:57  lyle

	* lib/fox/core.rb, swig-interfaces/FXHVec.i: Replaced the SWIGged
	  implementation of FXHVec#normalize! with a Ruby one (in
	  lib/fox/core.rb).

2004-03-08 08:23  lyle

	* doc/goals.xml: [no log message]

2004-03-08 08:22  lyle

	* web/home.html: Corrected home page URL for FreeRIDE.

2004-02-25 21:07  lyle

	* ext/fox/include/FXRbTreeList.h: Removed an extraneous debugging
	  message reported by Allen Mitchell.

2004-01-20 23:20  lyle

	* examples/dilbert.rb: Patch the dilbert.rb example so that it will
	  work with either the original html-parser extension module, or
	  the patched version by Patrick May.

2004-01-20 23:01  lyle

	* examples/RAA.rb: Removed require for 'devel/logger' as it's not
	  really needed.

2004-01-20 22:46  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.8.0-i386-msvcrt.iss,
	  FXRuby-ruby1.8.0-i386-msvcrt.iss.in,
	  FXRuby-ruby1.8.1-i386-msvcrt.iss,
	  FXRuby-ruby1.8.1-i386-msvcrt.iss.in, scripts/FXRuby.iss.in:
	  Update the Windows installer script to also include
	  examples/RAA.rb in the Windows installers.

2004-01-20 09:27  lyle

	* scripts/: make-installers.rb, make-win32-tarball.sh: [no log
	  message]

2004-01-20 09:06  lyle

	* FXRuby-ruby1.8-i386-msvcrt.iss,
	  FXRuby-ruby1.8-i386-msvcrt.iss.in,
	  FXRuby-ruby1.8.0-i386-msvcrt.iss,
	  FXRuby-ruby1.8.0-i386-msvcrt.iss.in,
	  FXRuby-ruby1.8.1-i386-msvcrt.iss,
	  FXRuby-ruby1.8.1-i386-msvcrt.iss.in, setversions.rb,
	  scripts/create-installer-scripts.rb: Update the installer scripts
	  so that we can build installers for both Ruby 1.8.0 and Ruby
	  1.8.1. Dropped support for 1.7.3 entirely.

2004-01-19 20:20  lyle

	* web/: downloads.html, home.html, menu.html: Update copyright end
	  dates to 2004 (from 2003).

2004-01-19 18:50  lyle

	* Rakefile: Add the 'web' directory to the source code
	  distribution.

2004-01-19 18:45  lyle

	* doc/bookinfo.xml: Extend book copyright through 2004.

2004-01-19 17:37  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss, FXRuby-ruby1.8-i386-msvcrt.iss,
	  setversions.rb: [no log message]

2004-01-19 17:29  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss, FXRuby-ruby1.8-i386-msvcrt.iss,
	  FXRuby.spec, Makefile, pre-config.rb, lib/fox/version.rb,
	  scripts/make-installers.rb: Fixed some problems in the
	  make-installers.rb script for Win32.	Updated version number to
	  1.0.28.

2004-01-19 17:21  lyle

	* doc/changes.xml: Update FXScintilla version to 1.57.

2004-01-19 16:16  lyle

	* doc/changes.xml: [no log message]

2004-01-19 16:08  lyle

	* Rakefile: Various fixes for the Rakefile and Ruby 1.8.2.

2004-01-19 15:18  lyle

	* doc/changes.xml: Updated the Change History.

2004-01-12 11:58  lyle

	* doc/clipboardtut.xml: [no log message]

2004-01-12 11:09  lyle

	* rdoc-sources/FXObject.rb: Remove documentation for
	  FXObject#getClassName; this member function is no longer exposed.

2004-01-12 11:08  lyle

	* swig-interfaces/FXObject.i: Don't wrap the
	  FXObject::getClassName() member function.

2004-01-12 10:57  lyle

	* swig-interfaces/ruby-typemaps.i: [no log message]

2004-01-12 10:37  lyle

	* swig-interfaces/FXStream.i: Fixed a little bug for
	  FXMemoryStream#giveBuffer.

2004-01-11 23:44  lyle

	* rdoc-sources/: FXAccelTable.rb, FXApp.rb, FXList.rb, fxdefs.rb:
	  Various and sundry documentation updates.

2004-01-11 22:21  lyle

	* rdoc-sources/FX4Splitter.rb: Improved documentation for
	  FX4Splitter#setHSplit and FX4Splitter#setVSplit, to explain what
	  the split value represents.

2004-01-11 20:35  lyle

	* lib/fox/aliases.rb: Added missing attribute accessor methods (in
	  lib/fox/aliases.rb) for the FX4Splitter class.

2004-01-11 15:49  lyle

	* swig-interfaces/: FXHorizontalFrame.i, FXMenuButton.i,
	  FXMenuPane.i: [no log message]

2004-01-11 15:00  lyle

	* rdoc-sources/Makefile: [no log message]

2004-01-09 21:09  lyle

	* swig-interfaces/: FXDialogBox.i, FXReplaceDialog.i,
	  FXTopWindow.i: More updates for downcasting.

2004-01-09 17:42  lyle

	* swig-interfaces/: FXButton.i, FXCanvas.i, FXComposite.i,
	  FXDialogBox.i, FXFrame.i, FXGLCanvas.i, FXHorizontalFrame.i,
	  FXIcon.i, FXIconList.i, FXImage.i, FXLabel.i, FXListBox.i,
	  FXMenuButton.i, FXMenuCaption.i, FXMenuPane.i, FXPacker.i,
	  FXPopup.i, FXScrollArea.i, FXShell.i, FXTabBar.i, FXToolbar.i,
	  FXTopWindow.i, FXTreeList.i, FXTreeListBox.i, FXVerticalFrame.i,
	  FXWindow.i: Even more support for proper downcasts.

2004-01-09 16:36  lyle

	* swig-interfaces/: FXCursor.i, FXDict.i, FXDrawable.i,
	  FXGLObject.i, FXIconList.i, FXId.i, FXObject.i, FXSettings.i,
	  FXTreeList.i, FXVisual.i, ruby-typemaps.i: Yet more support for
	  proper downcasts.

2004-01-09 15:51  lyle

	* swig-interfaces/: FXObject.i, FXWindow.i, ruby-typemaps.i:
	  Started adding support for proper downcasting of (previously
	  unseen) objects, using the SWIG_TypeDynamicCast feature. See SF
	  Bug#873862 for more information.

2004-01-09 11:08  lyle

	* tests/TC_downcast.rb: Added a test to make sure that FXWindow
	  return values are properly downcast to their correct types.

2004-01-02 22:46  lyle

	* pre-config.rb, pre-config.rb.in: Updated the pre-config.rb script
	  to also look in /sw/include/fox for a FOX header files
	  installation.

2004-01-02 15:18  lyle

	* rdoc-sources/FXImage.rb: Additional documentation for the
	  FXImage#loadPixels and FXImage#savePixels methods.

2004-01-02 12:55  lyle

	* doc/scintilla.xml: [no log message]

2004-01-02 12:43  lyle

	* tests/TC_FXMemoryStream.rb: [no log message]

2004-01-02 12:42  lyle

	* swig-interfaces/FXStream.i: Fixed the implementations of
	  FXMemoryStream #open, #giveBuffer and #takeBuffer. These were all
	  pretty broken.

2004-01-02 12:41  lyle

	* rdoc-sources/FXStream.rb: Improved documentation for the stream
	  classes.

2004-01-02 12:40  lyle

	* lib/fox/iterators.rb: Added a transaction-style singleton method
	  (FXMemoryStream.open) that opens and closes a stream
	  automatically, like the previously existing FXFileStream.open.

2004-01-02 12:39  lyle

	* lib/fox/aliases.rb: Added 'space' and 'space=' as alias for
	  FXMemoryStream#getSpace and FXMemoryStream#setSpace,
	  respectively.

2003-12-29 16:46  lyle

	* examples/WhatAQuietStiff.rb: [no log message]

2003-12-17 11:07  lyle

	* rdoc-sources/: FXBMPIcon.rb, FXBMPImage.rb, FXGIFIcon.rb,
	  FXGIFImage.rb, FXICOIcon.rb, FXICOImage.rb, FXIcon.rb,
	  FXJPGIcon.rb, FXJPGImage.rb, FXPCXIcon.rb, FXPCXImage.rb,
	  FXPNGIcon.rb, FXRGBIcon.rb, FXTGAIcon.rb, FXTIFIcon.rb,
	  FXXPMIcon.rb: Added some missing documentation for the various
	  FXIcon and FXImage subclasses, and made these generally more
	  consistent.

2003-12-17 11:06  lyle

	* rdoc-sources/FXGIFCursor.rb: Added previously missing
	  documentation for FXGIFCursor, fxloadGIF and fxsaveGIF.

2003-12-17 11:05  lyle

	* rdoc-sources/FXComboBox.rb: Added documentation for the
	  FXComboBox#initialize arguments.

2003-12-16 09:53  lyle

	* examples/WhatAQuietStiff.rb: Added support for clickable images
	  in the image view (toggles back and forth between the source
	  image and the linked image).

2003-12-15 17:18  lyle

	* doc/clipboardtut.xml: [no log message]

2003-12-15 10:20  lyle

	* swig-interfaces/FXId.i: [no log message]

2003-12-12 22:03  lyle

	* doc/: book.xml, clipboardtut.xml: [no log message]

2003-12-05 08:20  lyle

	* examples/WhatAQuietStiff.rb: [no log message]

2003-12-04 17:11  lyle

	* examples/WhatAQuietStiff.rb: [no log message]

2003-12-04 16:38  lyle

	* examples/WhatAQuietStiff.rb: Make the refresh time configurable,
	  and be sure to save it in the registry on exit.

2003-12-04 11:37  lyle

	* examples/WhatAQuietStiff.rb: [no log message]

2003-12-04 11:18  lyle

	* examples/: WhatAQuietStiff.rb, icons/bluebullet14x14.gif,
	  icons/transpbullet14x14.gif: [no log message]

2003-12-04 10:49  lyle

	* examples/WhatAQuietStiff.rb: [no log message]

2003-12-04 10:01  lyle

	* examples/: WhatAQuietStiff.rb: [no log message]

2003-12-03 17:13  lyle

	* examples/WhatAQuietStiff.rb: [no log message]

2003-12-03 17:03  lyle

	* examples/WhatAQuietStiff.rb: [no log message]

2003-12-03 11:11  lyle

	* tests/TC_FXTable.rb: [no log message]

2003-12-02 11:18  lyle

	* ext/fox/markfuncs.cpp: [no log message]

2003-12-02 11:13  lyle

	* swig-interfaces/Makefile: Replaced deprecated '-c' switch with
	  '-noruntime'.

2003-11-25 15:47  lyle

	* ext/fox/markfuncs.cpp, ext/fox/include/FXRbTreeList.h,
	  swig-interfaces/FXTreeList.i, swig-interfaces/FXTreeListBox.i:
	  Experimenting with changes for tree item destruction on
	  FXTreeList.

2003-11-20 15:57  lyle

	* examples/gembrowser.rb: [no log message]

2003-11-20 15:26  lyle

	* examples/gembrowser.rb: [no log message]

2003-11-20 15:06  lyle

	* examples/gembrowser.rb: [no log message]

2003-11-20 14:58  lyle

	* rdoc-sources/FXFileDialog.rb: Corrected the RDoc documentation
	  for FXFileDialog#patternList=(), which takes an array of strings
	  and not a single string with the patterns separated by newlines.

2003-11-20 13:51  lyle

	* examples/gembrowser.rb: [no log message]

2003-11-18 16:59  lyle

	* examples/: gembrowser.rb, icons/gem_big.png, icons/gem_small.png:
	  [no log message]

2003-11-18 16:22  lyle

	* examples/: gembrowser.rb: [no log message]

2003-11-18 14:46  lyle

	* examples/gembrowser.rb: [no log message]

2003-11-18 14:42  lyle

	* examples/gembrowser.rb: [no log message]

2003-11-18 12:37  lyle

	* fxruby.gemspec: [no log message]

2003-11-18 12:13  lyle

	* fxruby.gemspec: Added skeletal version of RubyGems .gemspec file
	  for this.

2003-11-18 12:04  lyle

	* Rakefile: Use the standard RDocTask from the Rake task library to
	  generate RDoc documentation.

2003-11-18 10:42  lyle

	* Rakefile: [no log message]

2003-11-12 23:13  lyle

	* ext/fox/: extconf.rb, extconf.rb.in: Added /sw/include/fox to the
	  list of directories searched for FOX header files (and /sw/lib to
	  the list of libraries).

2003-11-12 16:38  lyle

	* ext/fox/FXRuby.cpp, ext/fox/include/FXRuby.h,
	  swig-interfaces/Makefile: Changes related to renamed SWIG runtime
	  APIs (e.g. SWIG_TypeQuery becomes SWIG_Ruby_TypeQuery).

2003-11-07 14:12  lyle

	* FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in: Removed the now obsolete
	  InnoSetup scripts for the Ruby 1.7 releases.

2003-11-07 14:09  lyle

	* examples/textedit/textedit.rb: Corrected changed FXDirList method
	  names in readRegistry() and writeRegistry() methods for the
	  textedit.rb example (see SF Bug #838048).

2003-10-31 10:17  lyle

	* tests/: TC_FXButton.rb, TC_FXDC.rb, TC_FXGLViewer.rb,
	  TC_FXLight.rb, TC_FXViewport.rb: [no log message]

2003-10-30 16:46  lyle

	* scripts/update-website.rb: [no log message]

2003-10-30 15:11  lyle

	* README.win32.txt, INSTALL: [no log message]

2003-10-30 15:08  lyle

	* tests/: TC_FXButton.rb, TC_FXDC.rb, TC_FXGLViewer.rb,
	  TC_FXLight.rb, TC_FXViewport.rb: Replaced calls to the deprecated
	  assert_not_nil() method with calls to assert() for all affected
	  test cases.

2003-10-30 14:38  lyle

	* doc/changes.xml: Document latest changes for version 1.0.27.

2003-10-30 14:24  lyle

	* rdoc-sources/FXProgressBar.rb: Changed "target=NULL" to "tgt=nil"
	  in the API documentation for FXProgressBar#initialize (see SF Bug
	  #820309).

2003-10-30 13:33  lyle

	* rdoc-sources/: FXIconList.rb, FXList.rb: Updated API
	  documentation for FXIconList#makeItemVisible and
	  FXList#makeItemVisible to reflect the new overloads (now accepts
	  a reference to a list item in addition to the item index).

2003-10-23 09:16  lyle

	* lib/fox/aliases.rb: Added missing currentItem=(*args) as an alias
	  for FXList#setCurrentItem.  Thanks to SIMOKAWA, hajime for
	  reporting this omission.

2003-10-21 11:31  lyle

	* swig-interfaces/: FXIconList.i, FXList.i: Added overloaded
	  versions of FXIconList#makeItemVisible and FXList#makeItemVisible
	  that accept a reference to the item instead of its index.

2003-10-21 11:30  lyle

	* lib/fox/core.rb: [no log message]

2003-10-21 11:30  lyle

	* tests/: TC_FXIconList.rb, TC_FXList.rb: Added tests for
	  FXIconList#makeItemVisible and FXList#makeItemVisible.

2003-10-21 10:44  lyle

	* rdoc-sources/FXWindow.rb: [no log message]

2003-10-15 21:13  lyle

	* lib/fox/core.rb: Added the fxencodeStringData and
	  fxdecodeStringData methods to the Fox module, for working with
	  strings going to or coming from the clipboard.

2003-10-13 11:31  lyle

	* rdoc-sources/FXOptionMenu.rb: [no log message]

2003-10-13 11:31  lyle

	* swig-interfaces/FXOptionMenu.i: Removed extraneous
	  MENUBUTTON_DOWN flag from the default constructor options for
	  FXOption.

2003-10-12 21:33  lyle

	* rdoc-sources/FXMenuButton.rb: Additional documentation about the
	  different categories of menu button style flags (buttonStyle,
	  popupStyle and attachment).

2003-10-01 10:15  lyle

	* doc/changes.xml: Added latest changes for version 1.0.27 to the
	  changes.xml file.

2003-10-01 10:00  lyle

	* scripts/make-installers.rb: [no log message]

2003-10-01 09:58  lyle

	* examples/image.rb: Fixed the bug in in the image.rb example
	  program; need to call FXDC#end after drawing.

2003-10-01 09:23  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss, FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.8-i386-msvcrt.iss, FXRuby.spec, Makefile,
	  pre-config.rb, lib/fox/version.rb: Bumped version number up to
	  1.0.27.

2003-09-30 17:33  lyle

	* ext/fox/: impl.cpp, make_impl.rb, include/FXRbTreeList.h,
	  include/inlinestubs.h: Made a fix for the specific problem
	  reported by Kevin Burge, for the last-minute call to
	  FXTreeItem#setFocus. The proper thing to do would be to make
	  similar changes for all of the calls to FXRbCallVoidMethod and
	  friends.

2003-09-30 16:44  lyle

	* ext/fox/: FXRuby.cpp, include/FXRuby.h: Before any call to
	  rb_funcall(), assert that the receiver object (i.e. the Ruby
	  instance we're passing in as the first argument to rb_funcall) is
	  not Qnil. This is a debugging aid only, at this stage.

2003-09-30 13:58  lyle

	* ext/fox/markfuncs.cpp: Additional fixes for delete_if_not_owned()
	  and delete_if_not_owned_by_app() to ensure that the Ruby-to-C++
	  object mapping is broken after the Ruby object is finalized.

2003-09-30 12:14  lyle

	* ext/fox/markfuncs.cpp: Make sure that the Ruby-to-C++ mapping for
	  the Ruby instance being finalized in delete_if_not_owned is
	  always unregistered, regardless of whether or not the associated
	  C++ object is destroyed.

2003-09-24 11:43  lyle

	* swig-interfaces/: FXScrollArea.i, macros.i: Moved the declaration
	  of FXScrollArea::position() into the macros.i file to ensure that
	  it is re-declared for every subclass of FXScrollArea. This is
	  necessary to ensure that SWIG's overloading mechanism works
	  properly and recognizes this as an overload of the higher-up
	  FXWindow::position() method.

2003-09-24 11:42  lyle

	* tests/: TC_FXScrollArea.rb, TC_FXScrollWindow.rb: Added test
	  cases for FXScrollArea and FXScrollWindow to test the overloaded
	  versions of position().

2003-09-17 10:17  lyle

	* examples/: RAA.rb, iRAA.rb, raabrowser.rb: Applied NaHi's patches
	  for RAA.rb, iRAA.rb and raabrowser.rb in the examples directory
	  for compatibility with the latest SOAP interface to the RAA.

2003-09-16 17:22  lyle

	* web/home.html: Fix the URL for DbTalk.

2003-09-16 17:13  lyle

	* doc/scintilla.xml: Updated FXScintilla version number and
	  download URLs in the scintilla.xml file.

2003-09-16 12:13  lyle

	* doc/changes.xml: [no log message]

2003-09-16 11:54  lyle

	* doc/changes.xml: Added a few more last-minute changes to the
	  change list.

2003-09-16 11:52  lyle

	* tests/: TC_FXArc.rb, TC_FXSegment.rb: Added test cases for FXArc
	  and FXSegment.

2003-09-16 10:18  lyle

	* lib/fox/aliases.rb: Added the missing alias current? for
	  FXGLCanvas#isCurrent. Thanks to Recheis Meinrad for noting this
	  omission.

2003-09-15 15:34  lyle

	* tests/TC_FXIconDict.rb: Comment out broken tests in
	  TC_FXIconDict.rb.

2003-09-15 15:34  lyle

	* tests/TC_FXId.rb: Fixed a little bug in the test_created? method
	  for TC_FXId.

2003-09-15 15:29  lyle

	* rdoc-sources/FXFileDict.rb: Beefed up the documentation for
	  FXIconDict.

2003-09-15 15:28  lyle

	* rdoc-sources/Makefile: Added some experimental stuff to the
	  rdoc-sources Makefile to generate XML output for use with James
	  Britt's RImport tool.

2003-09-15 15:26  lyle

	* tests/TC_FXIconDict.rb: [no log message]

2003-09-15 15:24  lyle

	* swig-interfaces/FXDict.i: Removed the directive telling SWIG to
	  %ignore FXDict::remove(key). So this function should get wrapped
	  now for FXDict and its subclasses.

2003-09-11 14:29  lyle

	* tests/testcase.rb: Made a few fixes to the testcase.rb base class
	  for better operation with Ruby 1.8's version of Test::Unit.

2003-09-11 14:28  lyle

	* tests/TC_FXIconDict.rb: New test case for FXIconDict class.

2003-09-05 17:18  lyle

	* lib/fox/: pseudokeyboard.rb, pseudomouse.rb: [no log message]

2003-09-05 16:55  lyle

	* lib/fox/: pseudokeyboard.rb, pseudomouse.rb: Initial skeletons
	  for FXPseudoMouse and FXPseudoKeyboard objects, as suggested by
	  Hugh Sasse.

2003-09-05 16:40  lyle

	* doc/changes.xml: Updated the change list with latest changes for
	  version 1.0.26.

2003-09-05 14:29  lyle

	* swig-interfaces/FXApp.i: Added a public constructor for FXEvent,
	  and change the attributes from immutable to mutable, so that we
	  can instantiate FXEvent instances for unit testing purposes.

2003-09-05 14:25  lyle

	* scripts/update-website.rb: [no log message]

2003-09-04 19:33  lyle

	* examples/babelfish.rb: Added Hugh Sasse's patches for the
	  babelfish.rb example program, to additionally support
	  English-Japanese and English-Korean translations.

2003-09-04 11:00  lyle

	* web/menu.html: [no log message]

2003-09-04 10:55  lyle

	* web/top.html: [no log message]

2003-09-04 10:32  lyle

	* swig-interfaces/FXDC.i: Added constructors for FXArc and
	  FXSegment that take their attributes as arguments.

2003-09-03 21:58  lyle

	* Makefile, Makefile.in: Modified the "make website" target to look
	  for PNG files instead of JPEG files.

2003-09-03 21:54  lyle

	* web/: home.html, top.html, art/foxlogo.jpg,
	  art/foxlogo_small.jpg, art/fxrubylogo.png,
	  art/fxrubylogo_small.png: Replaced the FOX logo images with
	  Sander's FXRuby logos.

2003-09-02 12:00  lyle

	* doc/opengl.xml: [no log message]

2003-09-01 17:06  lyle

	* rdoc-sources/FXTreeList.rb: [no log message]

2003-08-30 09:13  lyle

	* rdoc-sources/FXShutter.rb: Corrected RDoc for FXShutterItem#text
	  (was showing Integer as the type of this attribute, should be
	  String).

2003-08-29 10:54  lyle

	* lib/fox/aliases.rb: Made the following changes for FXDirList for
	  better consistency with the API documentation: the showFiles(),
	  showFiles=(), showHiddenFiles() and showHiddenFiles=() instance
	  methods have been removed, and the missing filesShown=() and
	  hiddenFilesShown=() instance methods have been added.  Thanks to
	  unomi (from #ruby-lang) for pointing out this discrepancy.

2003-08-28 16:04  lyle

	* lib/fox/aliases.rb: Corrected the spellings of FXColorDialog#rgba
	  and FXColorSelector#rgba per Henon's bug report.

2003-08-14 08:51  lyle

	* lib/fox/chore.rb, lib/fox/input.rb, lib/fox/signal.rb,
	  lib/fox/timeout.rb, rdoc-sources/FXApp.rb, rdoc-sources/Makefile:
	  Updated the RDoc documentation for addChore, addInput, addSignal
	  and addTimeout to provide more information about the various
	  forms.

2003-08-08 16:17  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss, FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.8-i386-msvcrt.iss, FXRuby.spec, Makefile,
	  pre-config.rb, lib/fox/version.rb: Bumped version number up to
	  1.0.26.

2003-08-08 16:16  lyle

	* Makefile.in: Ugh. Was forgetting to include the pre-config.rb
	  script in the source distribution that end users get, and so none
	  of the checks for correct FOX library version, etc. were actually
	  being done.

2003-08-07 12:06  lyle

	* tests/TC_FXVec.rb: Fixed some test case failures for FXVec;
	  needed to use assert_in_delta instead of assert_equal to account
	  for roundoff error.

2003-08-07 11:17  lyle

	* scripts/make-installers.rb: [no log message]

2003-08-07 11:16  lyle

	* ext/fox/include/FXRbCommon.h: Be sure to undefine the 'connect'
	  macro that is defined (for Win32 only) in Ruby 1.8's
	  win32/win32.h header file.

2003-08-07 10:24  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss, FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.8-i386-msvcrt.iss, FXRuby.spec, Makefile,
	  pre-config.rb, lib/fox/version.rb: Bumped version number up to
	  1.0.25.

2003-08-04 17:21  lyle

	* doc/changes.xml: Updating the change log for recent changes...

2003-08-04 16:46  lyle

	* ext/fox/markfuncs.cpp: Make sure that FXTable marks its table
	  items as in use for the GC (see SF Bug #772337).

2003-07-30 08:58  lyle

	* doc/changes.xml: Remove Juha Korpela's name from the change log.

2003-07-18 18:00  lyle

	* doc/changes.xml: Document recent changes (since version 1.0.24).

2003-07-18 17:59  lyle

	* rdoc-sources/FXHVec.rb: Add documentation for FXHVec#normalize!.

2003-07-18 17:58  lyle

	* swig-interfaces/ruby-typemaps.i: Add input typemaps for FXVec*
	  and FXHVec* that accept an array.

2003-07-18 17:57  lyle

	* swig-interfaces/: FXHVec.i, FXVec.i: Correct return values of
	  FXVec#normalize! and FXHVec#normalize! so that they return a
	  reference to the same Ruby object (i.e. "self").

2003-07-18 17:33  lyle

	* rdoc-sources/FXVisual.rb: [no log message]

2003-07-18 17:33  lyle

	* swig-interfaces/FXRGBImage.i: Correction for Fox.fxloadRGB
	  method; was calling fxloadGIF() under the hood.

2003-07-18 17:32  lyle

	* tests/TC_FXHVec.rb: Added a test for FXHVec#normalize!.

2003-07-18 17:29  lyle

	* swig-interfaces/FXHVec.i: Added FXHVec#normalize! for consistency
	  with FXVec class.

2003-07-18 17:27  lyle

	* swig-interfaces/ruby-typemaps.i: Removed erroneous input typemaps
	  for FXVec* and FXHVec*; these were leading to incorrect test
	  results in some cases.

2003-07-18 17:25  lyle

	* tests/TC_FXVec.rb: In the test for FXVec#normalize!, use
	  assert_in_delta() instead of assert_equal() to compare floating
	  point values.

2003-07-18 17:02  lyle

	* tests/TC_FXTable.rb: Fixed warning message for TC_FXTable test
	  case. Was referring to the module-level constant JUSTIFY_NORMAL
	  as if it were an FXTableItem class constant. Actually,
	  JUSTIFY_NORMAL doesn't mean anything for table items.

2003-07-08 12:22  lyle

	* rdoc-sources/FXGLObject.rb: [no log message]

2003-06-20 17:40  lyle

	* ext/fox/include/FXRbIconList.h: [no log message]

2003-06-20 17:29  lyle

	* ext/fox/impl.cpp, ext/fox/make_impl.rb,
	  ext/fox/include/FXRbIconItemVirtuals.h,
	  ext/fox/include/FXRbIconList.h, ext/fox/include/FXRuby.h,
	  ext/fox/include/inlinestubs.h, swig-interfaces/macros.i: Updates
	  to allow overriding of additional FXIconItem methods: draw,
	  hitItem, drawBigIcon, drawMiniIcon and drawDetails.

2003-06-20 11:54  lyle

	* rdoc-sources/: FXGLObject.rb, FXDC.rb: [no log message]

2003-06-18 10:51  lyle

	* ext/fox/FXRuby.cpp: Changed an assert to a simple trace message,
	  to avoid crash for DbTalk.

2003-06-18 09:17  lyle

	* lib/fox/glgroup.rb: Added FXGLGroup#each as an alias for
	  each_child, so that the mixed-in methods from Enumerable will
	  work properly.

2003-06-18 09:15  lyle

	* lib/fox/glgroup.rb: Changed canDrag? back to canDrag for class
	  FXGLGroup. The latter is the correct spelling.

2003-06-18 09:14  lyle

	* lib/fox/glshapes.rb: Removed commented-out definition of class
	  FXGLShape from glshapes.rb.  We're just using the built-in
	  version, so this was dead code.

2003-06-15 17:28  lyle

	* examples/dilbert.rb: Changed the URL for Dilbert.rb example from
	  dilbertzone.com to dilbert.com.  Need to also make it flexible
	  enough to work with either JPEGs or GIFs; looks like Sunday color
	  strips are JPEGs while B&W dailies are GIFs.

2003-06-13 16:17  lyle

	* lib/fox/core.rb: Fixed a bug in FXStream.makeStreamError. The
	  default clause for a case statement should be labelled with
	  'else', not 'default'. Thanks to Hugh Sasse for catching this
	  one.

2003-06-12 10:22  lyle

	* install.rb: Commented out the line in the install.rb script that
	  creates the 'InstalledFiles' file. This doesn't appear to
	  actually get used anywhere (probably was intended for an eventual
	  uninstall feature), so should be no harm done.

2003-06-12 09:07  lyle

	* lib/fox/core.rb: Added the drawCircle() and fillCircle() methods
	  for class FXDC.

2003-06-11 15:44  lyle

	* doc/changes.xml: [no log message]

2003-06-11 15:21  lyle

	* tests/TC_FXVec.rb: Added some new tests for FXVec.

2003-06-11 15:21  lyle

	* tests/TC_FXGLGroup.rb: Added a test for FXGLGroup to confirm that
	  it properly yields to the block.

2003-06-11 15:20  lyle

	* tests/TC_FXRectangle.rb: Updated the test case for FXRectangle.

2003-06-11 15:16  lyle

	* doc/changes.xml: [no log message]

2003-06-11 15:15  lyle

	* lib/fox/core.rb: Renamed FXRectangle#move to move!, to signify
	  that it is a mutator method.	Also fixed some bugs in
	  FXRectangle.

2003-06-11 13:43  lyle

	* rdoc-sources/FXDC.rb: [no log message]

2003-06-11 12:33  lyle

	* rdoc-sources/FXDC.rb: [no log message]

2003-06-10 14:43  lyle

	* rdoc-sources/: FXDC.rb, FXFont.rb, README.rdoc: [no log message]

2003-06-09 12:30  lyle

	* rdoc-sources/: FX4Splitter.rb, FXDrawable.rb, FXImage.rb: [no log
	  message]

2003-06-09 10:37  lyle

	* doc/changes.xml: Updated the change notes for version 1.0.24.

2003-06-09 09:07  lyle

	* lib/fox/glshapes.rb: Corrected the initialize() methods for
	  FXGLPoint and FXGLLine, as well as the bounds() method for
	  FXGLLine.

2003-06-09 09:01  lyle

	* lib/fox/glgroup.rb: Fixed the bug for FXGLGroup#each_child.

2003-06-09 08:55  lyle

	* swig-interfaces/FXVec.i: Several fixes for the FXVec class.
	  Division operator now raises ZeroDivisionError for divide by
	  zero. The normalize(), lo() and hi() methods are now instance
	  methods instead of singleton methods.  Also added a normalize!
	  method which does it in-place.

2003-06-09 08:52  lyle

	* swig-interfaces/FXTIFImage.i: Corrected the implementation of
	  fxloadTIF(). The size of the data array was only large enough for
	  RGB, not RGBA.

2003-06-09 08:51  lyle

	* swig-interfaces/FXTGAImage.i: Corrected the implementation of
	  Fox.fxloadTGA(). We were assuming only three channels per pixel
	  but the size actually depends on the value of the 'channels'
	  parameter (either 3 or 4).

2003-06-09 08:48  lyle

	* lib/fox/aliases.rb: Added visualType() as an alias for
	  FXVisual#getType().

2003-06-09 08:48  lyle

	* lib/fox/core.rb, web/menu.html: [no log message]

2003-06-06 18:33  lyle

	* web/menu.html: [no log message]

2003-06-06 18:25  lyle

	* rdoc-sources/: FX4Splitter.rb, FXSeparator.rb, FXTable.rb,
	  FXText.rb, FXTextField.rb, FXToggleButton.rb, FXToolbarGrip.rb,
	  FXTreeListBox.rb, FXWindow.rb: [no log message]

2003-06-06 18:02  lyle

	* rdoc-sources/FXWindow.rb: [no log message]

2003-06-06 17:56  lyle

	* rdoc-sources/: FXHorizontalFrame.rb, FXVec.rb,
	  FXVerticalFrame.rb, FXVisual.rb, FXXPMIcon.rb, FXXPMImage.rb: [no
	  log message]

2003-06-06 17:02  lyle

	* rdoc-sources/: FXToggleButton.rb, FXToolbar.rb, FXToolbarGrip.rb,
	  FXToolbarShell.rb, FXTooltip.rb, FXTreeList.rb, FXTreeListBox.rb:
	  [no log message]

2003-06-06 16:19  lyle

	* rdoc-sources/: FXPNGIcon.rb, FXPNGImage.rb, FXTIFIcon.rb,
	  FXTIFImage.rb: [no log message]

2003-06-06 16:04  lyle

	* rdoc-sources/: FXTGAIcon.rb, FXTGAImage.rb, FXTabBook.rb,
	  FXTabItem.rb: [no log message]

2003-06-06 15:40  lyle

	* rdoc-sources/: FXScrollbar.rb, FXShutter.rb, FXSpinner.rb,
	  FXSplitter.rb, FXStatusbar.rb, FXStatusline.rb, FXStream.rb,
	  FXStringDict.rb, FXSwitcher.rb, FXTabBar.rb: [no log message]

2003-06-06 12:44  lyle

	* rdoc-sources/: FXSize.rb, FXSlider.rb: [no log message]

2003-06-06 12:06  lyle

	* rdoc-sources/: FXSearchDialog.rb, FXSeparator.rb, FXSettings.rb,
	  FXShutter.rb: [no log message]

2003-06-06 11:18  lyle

	* rdoc-sources/: FXRGBIcon.rb, FXRGBImage.rb, FXRectangle.rb,
	  FXReplaceDialog.rb, FXRootWindow.rb, FXScrollArea.rb,
	  FXScrollWindow.rb, FXScrollbar.rb: [no log message]

2003-06-06 09:48  lyle

	* rdoc-sources/FXReplaceDialog.rb: [no log message]

2003-06-06 09:20  lyle

	* rdoc-sources/FXRectangle.rb: [no log message]

2003-06-06 09:19  lyle

	* lib/fox/core.rb: Renamed several instance methods for the
	  FXRectangle class:

	  * contains is now contains? * grow and shrink are now grow! and
	  shrink! to indicate that they are   mutator methods * '+' is now
	  union * '*' is now intersect

2003-06-06 08:27  lyle

	* doc/: book.xml, custom-fo.xsl, custom-html.xsl, cvs.xml: Updated
	  documentation sources to use the DocBook/XML 4.2 DTD and the most
	  recent DocBook XSL stylesheets. Also changed the chapter on CVS
	  from a 'chapter' to an 'appendix' element.

2003-06-05 08:53  lyle

	* INSTALL: Added a bit to the end of the INSTALL file, telling them
	  to actually run 'ruby install.rb install' to install the software
	  after it finishes building. Thanks to Brett Hallett for noting
	  this.

2003-06-02 13:56  lyle

	* web/home.html: Added information about the mailing lists to the
	  home page.

2003-06-02 12:38  lyle

	* doc/infosources.xml: Added an entry about the new fxruby-users
	  mailing list.

2003-06-02 11:17  lyle

	* rdoc-sources/FXProgressDialog.rb: [no log message]

2003-05-30 17:51  lyle

	* rdoc-sources/FXRecentFiles.rb: [no log message]

2003-05-30 17:42  lyle

	* rdoc-sources/FXRecentFiles.rb: [no log message]

2003-05-30 17:26  lyle

	* lib/fox/aliases.rb: [no log message]

2003-05-30 14:25  lyle

	* examples/: scribble-orig.rb, scribble.rb: Removed useless
	  FRAME_SUNKEN and FRAME_THICK flags from the call to FXCanvas.new
	  in the scribble.rb and scribble-orig.rb examples.

2003-05-30 10:55  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss, FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.8-i386-msvcrt.iss, FXRuby.spec, Makefile,
	  pre-config.rb, lib/fox/version.rb,
	  swig-interfaces/ruby-typemaps.i: Bumped the version number up to
	  1.0.24.

2003-05-30 10:52  lyle

	* examples/dctest.rb, rdoc-sources/FXDC.rb: [no log message]

2003-05-28 21:35  lyle

	* lib/fox/aliases.rb: Added enabled() and shown() as aliases for
	  FXWindow#enabled? and FXWindow#shown?.

2003-05-28 14:21  lyle

	* lib/fox/aliases.rb: Added FXWindow#setShown(), FXWindow#shown=().

2003-05-27 17:15  lyle

	* examples/textedit/commands.rb: Corrected argument lists for
	  FXText#insertText and FXText#replaceText (see SF Bug #744588).

2003-05-27 13:50  lyle

	* lib/fox/undolist.rb: [no log message]

2003-05-27 11:16  lyle

	* lib/fox/aliases.rb: [no log message]

2003-05-27 11:16  lyle

	* lib/fox/aliases.rb: Added FXWindow#setEnabled and an alias for
	  it, FXWindow#enabled=.

2003-05-22 09:16  lyle

	* lib/fox/iterators.rb: Fixed implementations of
	  FXDCPrint#beginPrint and FXDCPrint#beginPage in
	  lib/fox/iterators.rb. If you didn't pass a block to these, they
	  were returning nil instead of true/false.

2003-05-20 15:41  lyle

	* rdoc-sources/: FXPrintDialog.rb, FXProgressBar.rb,
	  FXProgressDialog.rb: [no log message]

2003-05-20 11:06  lyle

	* scripts/make-installers.rb: [no log message]

2003-05-20 10:26  lyle

	* doc/changes.xml: [no log message]

2003-05-20 09:55  lyle

	* examples/textedit/: prefdialog.rb, textedit.rb: Fixed the
	  loadIcon function in PrefDialog and TextWindow so that the file
	  is closed properly when we're done with it.

2003-05-20 09:52  lyle

	* examples/: button.rb, dctest.rb, glviewer.rb, groupbox.rb,
	  header.rb, hello2.rb, iconlist.rb, imageviewer.rb, mditest.rb,
	  shutter.rb, splitter.rb, table.rb: Modified the icon-loading
	  routines for all example programs to ensure that (1) the icon
	  files are closed properly when we're done with them, and (2) we
	  don't try to display any dialog boxes before the app has been
	  created (see SF Bug #740122).

2003-05-19 16:38  lyle

	* swig-interfaces/ruby-typemaps.i, ext/fox/include/FXRuby.h:
	  Corrected typemaps for FXID on Windows.

2003-05-16 17:37  lyle

	* doc/changes.xml, scripts/FXRuby.iss.in,
	  FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in,
	  FXRuby-ruby1.8-i386-msvcrt.iss,
	  FXRuby-ruby1.8-i386-msvcrt.iss.in, Makefile, Makefile.in: [no log
	  message]

2003-05-16 17:35  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in,
	  FXRuby-ruby1.8-i386-msvcrt.iss,
	  FXRuby-ruby1.8-i386-msvcrt.iss.in: Bumped version number up to
	  1.0.23.

2003-05-16 17:35  lyle

	* scripts/FXRuby.iss.in: Added dragdrop.rb to the Windows installer
	  script.

2003-05-16 17:34  lyle

	* lib/fox/core.rb: Added the fxencodeColorData helper method to the
	  Fox module.

2003-05-16 17:30  lyle

	* doc/dragdroptut.xml: Added a summary section to the drag-and-drop
	  tutorial.

2003-05-16 17:11  lyle

	* examples/dragdrop.rb: [no log message]

2003-05-16 17:05  lyle

	* doc/dragdroptut.xml: Completed the "Drag Sources" part of the
	  drag-and-drop tutorial.

2003-05-16 14:56  lyle

	* scripts/FXRuby.iss.in: Add dragsource.rb to the Windows installer
	  script.

2003-05-16 14:54  lyle

	* examples/dragsource.rb: Added the new dragsource.rb example
	  program.

2003-05-16 11:06  lyle

	* doc/: changes.xml, scintilla.xml: Update change history and
	  Scintilla chapter, for more information about auto-detection of
	  FXScintilla.

2003-05-16 10:46  lyle

	* ext/fox/: extconf.rb, extconf.rb.in: Added automatic detection of
	  FXScintilla and enabling of FXScintilla support for FXRuby, if
	  FXScintilla.h is found in either /usr/include/fxscintilla or
	  /usr/local/include/fxscintilla.

2003-05-15 17:56  lyle

	* doc/build.xml: [no log message]

2003-05-15 17:44  lyle

	* doc/build.xml: Added some notes to the build instructions about
	  using raainstall.

2003-05-15 16:54  lyle

	* ext/fox/: extconf.rb, extconf.rb.in: [no log message]

2003-05-15 16:39  lyle

	* pre-config.rb, pre-config.rb.in: [no log message]

2003-05-15 16:36  lyle

	* pre-config.rb, pre-config.rb.in: [no log message]

2003-05-15 16:04  lyle

	* pre-config.rb, pre-config.rb.in, setversions.rb,
	  ext/fox/extconf.rb, ext/fox/extconf.rb.in: [no log message]

2003-05-15 15:45  lyle

	* pre-config.rb: [no log message]

2003-05-15 15:17  lyle

	* install.rb: Updated to version 3.1.4 of Minero Aoki's setup.rb
	  script.

2003-05-15 15:10  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss, FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.8-i386-msvcrt.iss, FXRuby.spec, Makefile,
	  ext/fox/extconf.rb, ext/fox/extconf.rb.in, lib/fox/version.rb:
	  [no log message]

2003-05-15 13:43  lyle

	* web/: downloads.html, home.html, menu.html: [no log message]

2003-05-15 12:42  lyle

	* lib/fox/aliases.rb, rdoc-sources/FXApp.rb,
	  rdoc-sources/FXGLCanvas.rb, swig-interfaces/FXApp.i,
	  swig-interfaces/FXGLCanvas.i: Also expose the FXApp#getDisplay
	  and FXGLCanvas#getContext methods, just return the pointer cast
	  to an integer.

2003-05-14 18:00  lyle

	* swig-interfaces/: FXApp.i, FXId.i, fxdefs.i, ruby-typemaps.i:
	  Added input and output typemaps for FXID. Removed the %ignore
	  directives for FXId#id, FXWindow#findWindowXXX. Renamed FXId#id
	  to xid() to avoid conflict with built-in method for Object.

2003-05-14 17:57  lyle

	* rdoc-sources/FXId.rb: [no log message]

2003-05-14 17:23  lyle

	* doc/changes.xml: Updated change notes for fix on SF Bug#733933.

2003-05-14 17:15  lyle

	* swig-interfaces/FXStream.i: Fixed a bug for FXFileStream#close
	  and FXMemoryStream#close. These methods weren't being wrapped
	  properly, and as a result calling either of them would actually
	  invoke the base class function (FXStream#close).

2003-05-13 14:01  lyle

	* swig-interfaces/FXId.i: [no log message]

2003-05-09 17:41  lyle

	* tests/: TC_stress3.rb, stress3.rb: [no log message]

2003-05-09 17:18  lyle

	* doc/changes.xml, ext/fox/markfuncs.cpp: [no log message]

2003-05-09 17:03  lyle

	* ext/fox/FXRuby.cpp: [no log message]

2003-05-09 17:01  lyle

	* ext/fox/FXRuby.cpp: Changing the behavior of FXRbGcMark() --
	  again -- so that it marks any Ruby instance that we have, whether
	  it's "borrowed" or "owned". This fix was originally made for
	  FXRuby-1.0.21 (FXRuby file revision 1.40.2.53) to address SF Bug
	  #703721. But the change was reverted to the previous behavior in
	  the next revision of FXRuby.cpp (1.40.2.54) for undocumented
	  reasons :(

2003-05-07 17:06  lyle

	* doc/changes.xml: Updated the change history to describe most
	  recent fixes.

2003-05-07 16:52  lyle

	* ext/fox/include/FXRbWindow.h, rdoc-sources/FXWindow.rb,
	  swig-interfaces/FXWindow.i, swig-interfaces/macros.i: Renamed
	  FXWindow#raise to raiseWindow(), so that it won't override the
	  built-in raise method.

2003-05-07 16:01  lyle

	* ext/fox/FXRuby.cpp: Added code to FXRbConvertMessageData() and
	  FXRbGetExpectedData() to ensure that the message data associated
	  with the ID_COPY_SEL, ID_PASTE_SEL and ID_DELETE_SEL messages for
	  FXText are converted properly.

2003-05-07 11:21  lyle

	* rdoc-sources/FXDialogBox.rb: Corrected the RDoc documentation
	  comments about the return value of FXDialogBox#execute.

2003-05-05 16:46  lyle

	* ext/fox/librb.c: Removed ext/fox/librb.c from the CVS repository;
	  it is a generated file (like the other wrapper files) and doesn't
	  need to be stored as such.

2003-05-05 16:45  lyle

	* ext/fox/librb.c: [no log message]

2003-05-05 16:45  lyle

	* swig-interfaces/Makefile: Restored the '-fcompact' command line
	  option for running SWIG. The bug has been fixed for SWIG 1.3.20.

2003-05-05 16:44  lyle

	* tests/TC_FXFileStream.rb: Added some tests to see if the proper
	  exceptions are raised for FXFileStream.open.

2003-05-05 16:43  lyle

	* lib/fox/iterators.rb: Modified the behavior of the
	  FXFileStream.open singleton method such that if the call to
	  FXFileStream#open fails, it will raise an exception.

2003-05-05 16:42  lyle

	* lib/fox/core.rb: Added exception classes corresponding to the
	  FXFileStream status codes.

2003-04-30 17:34  lyle

	* doc/: changes.xml: [no log message]

2003-04-30 10:04  lyle

	* web/: home.html, menu.html: Minor corrections for the web pages.

2003-04-24 09:23  lyle

	* Makefile, Makefile.in, index.html, web/index.html: Web site
	  updates.

2003-04-24 07:52  lyle

	* scripts/make-win32-tarball.sh: [no log message]

2003-04-23 17:20  lyle

	* ext/fox/FXRuby.cpp: [no log message]

2003-04-23 17:12  lyle

	* scripts/FXRuby.iss.in, FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in,
	  FXRuby-ruby1.8-i386-msvcrt.iss,
	  FXRuby-ruby1.8-i386-msvcrt.iss.in: [no log message]

2003-04-23 16:36  lyle

	* setversions.rb, FXRuby-ruby1.8-i386-msvcrt.iss: [no log message]

2003-04-23 16:28  lyle

	* scripts/create-installer-scripts.rb,
	  FXRuby-ruby1.8-i386-msvcrt.iss.in: [no log message]

2003-04-23 16:27  lyle

	* scripts/make-installers.rb: Updated make-installers.rb script for
	  Ruby 1.8.0 builds.

2003-04-23 15:47  lyle

	* ext/fox/ui_wrap.cpp: [no log message]

2003-04-23 15:06  lyle

	* ext/fox/: layout_wrap.cpp, list_wrap.cpp, mdi_wrap.cpp,
	  menu_wrap.cpp, opengl_wrap.cpp, scintilla_wrap.cpp,
	  table_wrap.cpp, text_wrap.cpp, treelist_wrap.cpp: [no log
	  message]

2003-04-23 15:03  lyle

	* ext/fox/: core_wrap.cpp, dc_wrap.cpp, dialogs_wrap.cpp,
	  frames_wrap.cpp, iconlist_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, label_wrap.cpp: [no log message]

2003-04-23 13:56  lyle

	* ext/fox/: list_wrap.cpp, mdi_wrap.cpp, menu_wrap.cpp,
	  opengl_wrap.cpp, scintilla_wrap.cpp, table_wrap.cpp,
	  text_wrap.cpp, treelist_wrap.cpp, ui_wrap.cpp: [no log message]

2003-04-23 13:53  lyle

	* Makefile, ext/fox/core_wrap.cpp, ext/fox/dc_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/frames_wrap.cpp,
	  ext/fox/iconlist_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/label_wrap.cpp,
	  ext/fox/layout_wrap.cpp: [no log message]

2003-04-23 13:22  lyle

	* Makefile.in: [no log message]

2003-04-21 19:58  lyle

	* swig-interfaces/: FXApp.i, freefuncs.i: [no log message]

2003-04-21 19:34  lyle

	* ext/fox/: dc_wrap.cpp, dialogs_wrap.cpp, frames_wrap.cpp,
	  iconlist_wrap.cpp, icons_wrap.cpp, image_wrap.cpp,
	  label_wrap.cpp, layout_wrap.cpp, list_wrap.cpp, mdi_wrap.cpp,
	  menu_wrap.cpp, opengl_wrap.cpp, scintilla_wrap.cpp,
	  table_wrap.cpp, text_wrap.cpp, treelist_wrap.cpp, ui_wrap.cpp:
	  [no log message]

2003-04-21 19:23  lyle

	* ext/fox/core_wrap.cpp: [no log message]

2003-04-21 19:08  lyle

	* ext/fox/: markfuncs.cpp, include/FXRbCURCursor.h,
	  include/FXRbCursor.h, include/FXRbGIFCursor.h,
	  include/FXRbGLVisual.h, include/FXRbVisual.h: [no log message]

2003-04-21 10:44  lyle

	* ext/fox/core_wrap.cpp: [no log message]

2003-04-21 10:43  lyle

	* doc/changes.xml: Added a note to the change history about the
	  thing for converting strings and symbols (of color names) to
	  FXColor values.

2003-04-21 10:42  lyle

	* swig-interfaces/ruby-typemaps.i: Corrected typemap for converting
	  a Symbol to an FXColor.

2003-04-21 10:39  lyle

	* lib/fox/colors.rb: [no log message]

2003-04-21 10:30  lyle

	* examples/scribble.rb: [no log message]

2003-04-21 10:14  lyle

	* swig-interfaces/ruby-typemaps.i: [no log message]

2003-04-21 10:05  lyle

	* doc/changes.xml: Added an entry about the bug fix for destroying
	  application-owned resources, like the "normal font".

2003-04-21 09:53  lyle

	* ext/fox/FXRuby.cpp: In FXRbDestroyAppSensitiveObjects(), skip
	  destruction of objects that are actually owned by the
	  application; the destructor for FXApp will get rid of those
	  objects later.

2003-04-21 09:52  lyle

	* ext/fox/include/FXRbFont.h: [no log message]

2003-04-18 15:34  lyle

	* ext/fox/: image_wrap.cpp, label_wrap.cpp, layout_wrap.cpp,
	  list_wrap.cpp, mdi_wrap.cpp, menu_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, table_wrap.cpp, text_wrap.cpp,
	  treelist_wrap.cpp, ui_wrap.cpp: [no log message]

2003-04-18 15:30  lyle

	* ext/fox/: core_wrap.cpp, dc_wrap.cpp, dialogs_wrap.cpp,
	  frames_wrap.cpp, iconlist_wrap.cpp, icons_wrap.cpp: [no log
	  message]

2003-04-17 22:22  lyle

	* swig-interfaces/Makefile, ext/fox/FXRuby.cpp,
	  ext/fox/core_wrap.cpp, ext/fox/dc_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/frames_wrap.cpp,
	  ext/fox/iconlist_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/label_wrap.cpp,
	  ext/fox/layout_wrap.cpp, ext/fox/librb.c, ext/fox/list_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/menu_wrap.cpp,
	  ext/fox/opengl_wrap.cpp, ext/fox/scintilla_wrap.cpp,
	  ext/fox/table_wrap.cpp, ext/fox/text_wrap.cpp,
	  ext/fox/treelist_wrap.cpp, ext/fox/ui_wrap.cpp: [no log message]

2003-04-06 18:50  lyle

	* rdoc-sources/FXPopup.rb: [no log message]

2003-04-04 18:40  lyle

	* examples/dropsite.rb: [no log message]

2003-04-04 18:39  lyle

	* ext/fox/FXRuby.cpp: Treat any Bignum result from a message
	  handler as a 1, since zeros wouldn't come back as a Bignum
	  anyways.

2003-04-04 17:58  lyle

	* rdoc-sources/: FXPCXIcon.rb, FXPCXImage.rb, FXPNGIcon.rb,
	  FXPNGImage.rb, FXPicker.rb: Adding new documentaion files.

2003-04-03 11:03  lyle

	* ext/fox/: core_wrap.cpp, dc_wrap.cpp, dialogs_wrap.cpp,
	  frames_wrap.cpp, iconlist_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, label_wrap.cpp, layout_wrap.cpp, list_wrap.cpp,
	  mdi_wrap.cpp, menu_wrap.cpp, opengl_wrap.cpp, scintilla_wrap.cpp,
	  table_wrap.cpp, text_wrap.cpp, treelist_wrap.cpp, ui_wrap.cpp:
	  [no log message]

2003-04-03 10:27  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in, Makefile, Makefile.in,
	  ext/fox/FXRuby.cpp, scripts/FXRuby.iss.in: [no log message]

2003-04-03 10:22  lyle

	* doc/: book.xml, changes.xml, dragdroptut.xml: [no log message]

2003-04-03 10:18  lyle

	* doc/dragdroptut.xml: Updated drag-and-drop tutorial section.

2003-04-03 10:18  lyle

	* examples/dropsite.rb: Updated dropsite.rb example program.

2003-04-02 17:35  lyle

	* lib/fox/core.rb: Added the Fox.fxdecodeColorData() module method.

2003-04-02 17:33  lyle

	* lib/fox/aliases.rb: Removed the "aliases" of
	  FXComboBox#backColor(), FXComboBox#backColor=(),
	  FXListBox#backColor() and FXListBox#backColor=(), as they are
	  redundant.  These are already defined in the base class
	  (FXWindow).

2003-04-02 17:25  lyle

	* doc/: dragdroptut.xml, images/colordialog.png,
	  images/dropsite-droprejected.png: Added the first tidbits for the
	  drag-and-drop tutorial.

2003-04-02 15:17  lyle

	* doc/dragdroptut.xml: [no log message]

2003-04-02 14:48  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss, FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby.spec, Makefile, ext/fox/extconf.rb, lib/fox/version.rb:
	  Bumped version number up to 1.0.22.

2003-04-02 14:47  lyle

	* doc/todo.xml: Added an item to the to-do list, about making
	  widgets act more like regular Ruby containers (i.e. holding
	  "strong" references to their list items instead of "weak" refs).

2003-04-02 14:46  lyle

	* doc/changes.xml: Updated change notes for most recent changes.

2003-04-02 14:30  lyle

	* ext/fox/FXRuby.cpp: Corrected message data for SEL_COMMAND and
	  SEL_CHANGED messages from FXSpinner (see SF Bug #714082
	  follow-up).

2003-04-02 14:23  lyle

	* ext/fox/FXRuby.cpp: [no log message]

2003-04-02 14:20  lyle

	* ext/fox/FXRuby.cpp: One additonal fix for SEL_COMMAND and
	  SEL_CHANGED from FXRbDataTarget.

2003-04-02 14:01  lyle

	* ext/fox/FXRuby.cpp: Corrected message data for SEL_COMMAND and
	  SEL_CHANGED messages from FXDataTarget.

2003-04-02 13:59  lyle

	* ext/fox/FXRbDataTarget.cpp: Replaced C-style casts with C++-style
	  casts in FXRbDataTarget::getValue().

2003-04-02 12:08  lyle

	* ext/fox/FXRuby.cpp: Added missing SEL_COMMAND message data for
	  FXOption (see SF Bug #714082).

2003-04-01 12:04  lyle

	* web/: home.html, menu.html: [no log message]

2003-04-01 11:55  lyle

	* web/: home.html, menu.html: [no log message]

2003-04-01 11:47  lyle

	* web/: home.html, index.html, menu.html, styles.css, top.html,
	  art/foxlogo.jpg, art/foxlogo_small.jpg, art/line.gif,
	  art/oul_grey.gif, art/our.gif: Starting to update web site
	  (finally).

2003-03-31 22:01  lyle

	* index.html: Added a link to the FRED project.

2003-03-27 16:12  lyle

	* tests/TC_FXTreeList.rb: [no log message]

2003-03-27 15:28  lyle

	* tests/: TC_FXHeader.rb, TC_FXIconList.rb: [no log message]

2003-03-27 15:12  lyle

	* ext/fox/FXRuby.cpp: Corrected message data conversion in
	  FXRbConvertMessageData() for the following:

	  * FXHeader: SEL_REPLACED, SEL_INSERTED, SEL_DELETED * FXIconList:
	  SEL_SELECTED, SEL_DESELECTED, SEL_INSERTED, SEL_REPLACED,
	  SEL_DELETED * FXTreeList: SEL_INSERTED, SEL_DELETED

2003-03-25 17:01  lyle

	* Makefile, Makefile.in, scripts/update-website.rb: Updated web
	  site scripts, etc.

2003-03-25 15:51  lyle

	* scripts/make-installers.rb: [no log message]

2003-03-25 14:47  lyle

	* rdoc-sources/Makefile: [no log message]

2003-03-25 14:42  lyle

	* doc/scintilla.xml: [no log message]

2003-03-25 14:37  lyle

	* rdoc-sources/FXScintilla.rb: [no log message]

2003-03-25 13:34  lyle

	* rdoc-sources/FXHeader.rb, doc/changes.xml: [no log message]

2003-03-25 13:32  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in: Updated Windows installer
	  scripts.

2003-03-25 13:31  lyle

	* swig-interfaces/FXHeader.i: [no log message]

2003-03-25 13:31  lyle

	* doc/changes.xml: Updated the change history with latest changes
	  for version 1.0.21.

2003-03-25 13:30  lyle

	* doc/: custom-fo.xsl, custom-html.xsl: Updated my custom XSL
	  stylesheets (for the documentation) to reference the latest
	  DocBook XSL stylesheets (version 1.60.1).

2003-03-25 13:26  lyle

	* tests/TC_FXHeader.rb: [no log message]

2003-03-25 13:21  lyle

	* lib/fox/core.rb: Added the arrowUp?, arrowDown? and arrowMaybe?
	  instance methods for the FXHeader class.

2003-03-25 12:18  lyle

	* ext/fox/: frames_wrap.cpp, icons_wrap.cpp, image_wrap.cpp,
	  label_wrap.cpp, mdi_wrap.cpp, menu_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, table_wrap.cpp, text_wrap.cpp,
	  treelist_wrap.cpp, ui_wrap.cpp: [no log message]

2003-03-25 12:12  lyle

	* ext/fox/dialogs_wrap.cpp: [no log message]

2003-03-25 12:08  lyle

	* scripts/FXRuby.iss.in: Added TC_FXHeader.rb to the Windows
	  installer script.

2003-03-25 12:02  lyle

	* tests/TC_FXHeader.rb: [no log message]

2003-03-25 11:33  lyle

	* lib/fox/scintilla.rb: Updated scintilla.rb, using Gilles' latest
	  iface.rb script and the Scintilla.iface from fxscintilla-1.51.

2003-03-25 10:48  lyle

	* doc/windows.xml: [no log message]

2003-03-25 10:34  lyle

	* Makefile: [no log message]

2003-03-24 20:59  lyle

	* scripts/iface.rb: Committed Gilles Filippini's changes for
	  iface.rb.

2003-03-24 20:55  lyle

	* rdoc-sources/FXWindow.rb: [no log message]

2003-03-19 11:46  lyle

	* ext/fox/: label_wrap.cpp, layout_wrap.cpp, list_wrap.cpp,
	  mdi_wrap.cpp, menu_wrap.cpp, opengl_wrap.cpp, scintilla_wrap.cpp,
	  table_wrap.cpp, text_wrap.cpp, treelist_wrap.cpp, ui_wrap.cpp:
	  [no log message]

2003-03-19 11:43  lyle

	* ext/fox/: core_wrap.cpp, dc_wrap.cpp, dialogs_wrap.cpp,
	  frames_wrap.cpp, iconlist_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp: [no log message]

2003-03-19 11:33  lyle

	* examples/dropsite.rb: [no log message]

2003-03-19 11:28  lyle

	* swig-interfaces/FXMemoryBuffer.i, rdoc-sources/FXMemoryBuffer.rb:
	  Modify SWIG interface file for FXMemoryBuffer so that its
	  constructor and getData() member functions aren't wrapped.
	  There's no reason for constructing one of these from Ruby. Update
	  documentation for FXMemoryBuffer accordingly.

2003-03-19 11:26  lyle

	* rdoc-sources/FXImage.rb: Corrected documentation for FXImage; the
	  FXImage#data method returns an FXMemoryBuffer instance, not a
	  string.

2003-03-19 11:23  lyle

	* lib/fox/aliases.rb: Added aliases:

	  * FXGLContext#shared? for isShared() * FXListBox#itemCurrent? for
	  isItemCurrent() * FXMemoryBuffer#size for getSize() *
	  FXWindow#offeredDNDType? for offeredDNDType()

2003-03-18 23:11  lyle

	* examples/dropsite.rb, Makefile.in: [no log message]

2003-03-18 21:57  lyle

	* examples/dropsite.rb: [no log message]

2003-03-17 16:37  lyle

	* rdoc-sources/FXOptionMenu.rb: [no log message]

2003-03-17 16:25  lyle

	* rdoc-sources/: FXMemoryBuffer.rb, FXMessageBox.rb: [no log
	  message]

2003-03-17 16:01  lyle

	* rdoc-sources/: FXHeader.rb, FXListBox.rb, FXMDIButton.rb,
	  FXMDIClient.rb: [no log message]

2003-03-17 13:37  lyle

	* ext/fox/FXRuby.cpp: Added a clause in FXRbConvertMessageData() to
	  pass the message data for a SEL_COMMAND message from an
	  FXMenuCommand widget as Ruby's 'true'.

2003-03-14 17:58  lyle

	* rdoc-sources/: FXJPGIcon.rb, FXJPGImage.rb, FXGLViewer.rb: [no
	  log message]

2003-03-14 17:51  lyle

	* rdoc-sources/FXGLShape.rb: [no log message]

2003-03-14 17:29  lyle

	* rdoc-sources/: FXImageView.rb, FXInputDialog.rb: [no log message]

2003-03-14 16:58  lyle

	* rdoc-sources/: FXICOIcon.rb, FXICOImage.rb: [no log message]

2003-03-14 16:50  lyle

	* rdoc-sources/FXHeader.rb: [no log message]

2003-03-14 16:36  lyle

	* swig-interfaces/FXHeader.i: Corrected argument type for
	  FXHeader#setArrowDir, and return type for FXHeader#getArrowDir.
	  Should have been FXuint's, so as to allow for TRUE, FALSE and
	  MAYBE.

2003-03-14 15:14  lyle

	* rdoc-sources/: FXGIFImage.rb, FXGLContext.rb: [no log message]

2003-03-14 15:06  lyle

	* rdoc-sources/FXFontSelector.rb: [no log message]

2003-03-14 13:51  lyle

	* ext/fox/FXRuby.cpp: Added conversions for missing message types
	  (e.g. SEL_CHORE). Also changed the behavior of FXRbGcMark() so
	  that it marks any Ruby reference to the input C++ object,
	  borrowed or otherwise.

2003-03-13 12:03  lyle

	* lib/fox/aliases.rb, rdoc-sources/FXFileList.rb,
	  rdoc-sources/FXFileSelector.rb: [no log message]

2003-03-12 17:56  lyle

	* rdoc-sources/: FXFileDict.rb, FXFontDialog.rb: [no log message]

2003-03-12 17:29  lyle

	* rdoc-sources/: FXTable.rb, FXText.rb, FXTextField.rb,
	  FXToggleButton.rb, FXTreeList.rb, FXWindow.rb: [no log message]

2003-03-12 16:28  lyle

	* rdoc-sources/: FXArrowButton.rb, FXBitmap.rb, FXButton.rb,
	  FXCanvas.rb, FXCheckButton.rb, FXColorBar.rb, FXColorDialog.rb,
	  FXColorSelector.rb, FXColorWell.rb, FXColorWheel.rb,
	  FXComboBox.rb, FXComposite.rb, FXCursor.rb, FXDC.rb,
	  FXDCPrint.rb, FXDataTarget.rb, FXDialogBox.rb, FXDirList.rb,
	  FXDirSelector.rb, FXDocument.rb, FXDriveBox.rb, FXFont.rb,
	  FXFrame.rb, FXGLViewer.rb, FXGroupBox.rb, FXIconList.rb,
	  FXImage.rb, FXLabel.rb, FXList.rb, FXMDIChild.rb,
	  FXMainWindow.rb, FXMatrix.rb, FXMenuButton.rb, FXMenuCaption.rb,
	  FXMenuCommand.rb, FXMenuTitle.rb, FXRadioButton.rb,
	  FXScrollArea.rb, FXSplitter.rb, FXStatusbar.rb, FXStatusline.rb,
	  FXStream.rb, FXTable.rb, FXText.rb, FXTextField.rb,
	  FXToggleButton.rb, FXToolbar.rb, FXToolbarGrip.rb, FXTooltip.rb,
	  FXTopWindow.rb, FXTreeList.rb: [no log message]

2003-03-12 14:26  lyle

	* doc/changes.xml: [no log message]

2003-03-12 12:26  lyle

	* ext/fox/FXRuby.cpp: Be sure to send an FXEvent reference as the
	  message data for an FXChore.

2003-03-07 18:42  lyle

	* rdoc-sources/fxdefs.rb, lib/fox/iterators.rb: [no log message]

2003-03-07 18:37  lyle

	* tests/TC_Misc.rb, rdoc-sources/FX4Splitter.rb,
	  rdoc-sources/FXAccelTable.rb, rdoc-sources/FXApp.rb,
	  rdoc-sources/FXWindow.rb, rdoc-sources/fxdefs.rb: [no log
	  message]

2003-03-07 18:23  lyle

	* ext/fox/: core_wrap.cpp, dc_wrap.cpp, dialogs_wrap.cpp,
	  frames_wrap.cpp, iconlist_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, label_wrap.cpp, layout_wrap.cpp, list_wrap.cpp,
	  mdi_wrap.cpp, menu_wrap.cpp, opengl_wrap.cpp, scintilla_wrap.cpp,
	  table_wrap.cpp, text_wrap.cpp, treelist_wrap.cpp, ui_wrap.cpp:
	  [no log message]

2003-03-07 18:20  lyle

	* swig-interfaces/fxdefs.i: Removed the wrappers for a number of
	  unnecessary and/or unused module-level methods, such as
	  fxsleep(). Also fixed the implementation of fxnamefromcolor().

2003-03-07 16:46  lyle

	* ext/fox/: core_wrap.cpp, dc_wrap.cpp, dialogs_wrap.cpp,
	  frames_wrap.cpp, iconlist_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, label_wrap.cpp, layout_wrap.cpp, list_wrap.cpp,
	  mdi_wrap.cpp, menu_wrap.cpp, opengl_wrap.cpp, scintilla_wrap.cpp,
	  table_wrap.cpp, text_wrap.cpp, treelist_wrap.cpp, ui_wrap.cpp:
	  [no log message]

2003-03-06 15:41  lyle

	* doc/images/: iconlist-bigicons.png, iconlist-details.png: [no log
	  message]

2003-03-06 15:38  lyle

	* doc/: book.xml, build.xml, cvs.xml, examples.xml, goals.xml,
	  infosources.xml, scintilla.xml: Various documentation updates,
	  including a new section about how to check out the latest sources
	  from CVS and so forth.

2003-03-06 15:19  lyle

	* swig-interfaces/Makefile: Remove hard-coded path to SWIG library.

2003-03-06 08:05  lyle

	* Makefile: [no log message]

2003-03-06 08:02  anoncvs_tsshp

	* scripts/update-website.rb, Makefile.in: [no log message]

2003-03-05 17:07  lyle

	* doc/: changes.xml, goals.xml: [no log message]

2003-03-04 22:15  lyle

	* tests/: TC_FXHVec.rb, TC_FXTreeList.rb: [no log message]

2003-03-04 21:56  lyle

	* ext/fox/: core_wrap.cpp, dc_wrap.cpp, dialogs_wrap.cpp,
	  frames_wrap.cpp, iconlist_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, label_wrap.cpp, layout_wrap.cpp, librb.c,
	  list_wrap.cpp, mdi_wrap.cpp, menu_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, table_wrap.cpp, text_wrap.cpp,
	  treelist_wrap.cpp, ui_wrap.cpp: [no log message]

2003-03-04 21:54  lyle

	* swig-interfaces/: FXHMat.i, FXHVec.i: Made some fixes for FXHMat
	  and FXHVec classes.

2003-03-04 21:53  lyle

	* examples/splitter.rb: Removed misleading frame-style hints from
	  the FXTreeList.new call in the splitter.rb example program.

2003-03-04 10:00  lyle

	* rdoc-sources/FXFileDialog.rb, lib/fox/aliases.rb: [no log
	  message]

2003-03-04 09:35  lyle

	* rdoc-sources/FXDriveBox.rb: [no log message]

2003-03-04 09:20  lyle

	* rdoc-sources/FXDirSelector.rb: [no log message]

2003-03-04 09:15  lyle

	* rdoc-sources/FXDocument.rb: [no log message]

2003-03-04 09:11  lyle

	* rdoc-sources/FXDirList.rb: [no log message]

2003-03-02 14:41  lyle

	* rdoc-sources/: FXHMat.rb, FXHVec.rb: [no log message]

2003-03-02 14:28  lyle

	* rdoc-sources/: FXDial.rb, FXDirBox.rb, FXDirDialog.rb, FXHMat.rb,
	  FXHVec.rb: [no log message]

2003-02-28 21:53  lyle

	* examples/bounce.rb: [no log message]

2003-02-25 14:29  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss, FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby.spec, Makefile, ext/fox/extconf.rb, lib/fox/version.rb:
	  Bumped version number up to 1.0.21.

2003-02-25 13:36  lyle

	* ext/fox/: image_wrap.cpp, label_wrap.cpp, layout_wrap.cpp,
	  librb.c, list_wrap.cpp, mdi_wrap.cpp, menu_wrap.cpp,
	  opengl_wrap.cpp, scintilla_wrap.cpp, table_wrap.cpp,
	  text_wrap.cpp, treelist_wrap.cpp, ui_wrap.cpp: [no log message]

2003-02-25 13:33  lyle

	* ext/fox/: core_wrap.cpp, dc_wrap.cpp, dialogs_wrap.cpp,
	  frames_wrap.cpp, iconlist_wrap.cpp, icons_wrap.cpp: [no log
	  message]

2003-02-25 13:21  lyle

	* ext/fox/FXRuby.cpp: Fixed bug for SEL_CLOSE and SEL_CLOSEALL
	  messages from FXMDIChild.

2003-02-25 12:19  lyle

	* rdoc-sources/FXMDIChild.rb: [no log message]

2003-02-20 12:07  lyle

	* doc/todo.xml: Incorporated Mikkel's suggestions into the TODO
	  list section of the documentation.

2003-02-20 10:45  lyle

	* swig-interfaces/: scintilla.i, table-module.i, text-module.i,
	  treelist-module.i, ui.i: Updated copyright dates in all source
	  files from 2001 to 2001-2003.

2003-02-20 10:42  lyle

	* index.html, doc/bookinfo.xml, ext/fox/FXRbApp.cpp,
	  ext/fox/FXRbDataTarget.cpp, ext/fox/FXRbGLViewer.cpp,
	  ext/fox/FXRuby.cpp, ext/fox/include/FXMemoryBuffer.h,
	  ext/fox/include/FXRb4Splitter.h,
	  ext/fox/include/FXRbAccelTable.h, ext/fox/include/FXRbApp.h,
	  ext/fox/include/FXRbArrowButton.h, ext/fox/include/FXRbBMPIcon.h,
	  ext/fox/include/FXRbBMPImage.h, ext/fox/include/FXRbBitmap.h,
	  ext/fox/include/FXRbButton.h, ext/fox/include/FXRbCURCursor.h,
	  ext/fox/include/FXRbCanvas.h, ext/fox/include/FXRbCheckButton.h,
	  ext/fox/include/FXRbColorBar.h,
	  ext/fox/include/FXRbColorDialog.h,
	  ext/fox/include/FXRbColorSelector.h,
	  ext/fox/include/FXRbColorWell.h,
	  ext/fox/include/FXRbColorWheel.h, ext/fox/include/FXRbComboBox.h,
	  ext/fox/include/FXRbCommon.h, ext/fox/include/FXRbComposite.h,
	  ext/fox/include/FXRbCursor.h, ext/fox/include/FXRbDC.h,
	  ext/fox/include/FXRbDCPrint.h, ext/fox/include/FXRbDCWindow.h,
	  ext/fox/include/FXRbDataTarget.h,
	  ext/fox/include/FXRbDebugTarget.h,
	  ext/fox/include/FXRbDelegator.h, ext/fox/include/FXRbDial.h,
	  ext/fox/include/FXRbDialogBox.h, ext/fox/include/FXRbDict.h,
	  ext/fox/include/FXRbDirBox.h, ext/fox/include/FXRbDirDialog.h,
	  ext/fox/include/FXRbDirList.h, ext/fox/include/FXRbDirSelector.h,
	  ext/fox/include/FXRbDocument.h, ext/fox/include/FXRbDragCorner.h,
	  ext/fox/include/FXRbDrawable.h, ext/fox/include/FXRbDriveBox.h,
	  ext/fox/include/FXRbFileDialog.h, ext/fox/include/FXRbFileDict.h,
	  ext/fox/include/FXRbFileList.h,
	  ext/fox/include/FXRbFileSelector.h, ext/fox/include/FXRbFont.h,
	  ext/fox/include/FXRbFontDialog.h,
	  ext/fox/include/FXRbFontSelector.h, ext/fox/include/FXRbFrame.h,
	  ext/fox/include/FXRbGIFCursor.h, ext/fox/include/FXRbGIFIcon.h,
	  ext/fox/include/FXRbGIFImage.h, ext/fox/include/FXRbGLCanvas.h,
	  ext/fox/include/FXRbGLContext.h, ext/fox/include/FXRbGLObject.h,
	  ext/fox/include/FXRbGLShape.h, ext/fox/include/FXRbGLViewer.h,
	  ext/fox/include/FXRbGLVisual.h, ext/fox/include/FXRbGroupBox.h,
	  ext/fox/include/FXRbHeader.h,
	  ext/fox/include/FXRbHorizontalFrame.h,
	  ext/fox/include/FXRbICOIcon.h, ext/fox/include/FXRbICOImage.h,
	  ext/fox/include/FXRbIcon.h, ext/fox/include/FXRbIconList.h,
	  ext/fox/include/FXRbId.h, ext/fox/include/FXRbImage.h,
	  ext/fox/include/FXRbImageView.h,
	  ext/fox/include/FXRbInputDialog.h, ext/fox/include/FXRbJPGIcon.h,
	  ext/fox/include/FXRbJPGImage.h, ext/fox/include/FXRbLabel.h,
	  ext/fox/include/FXRbList.h, ext/fox/include/FXRbListBox.h,
	  ext/fox/include/FXRbMDIButton.h, ext/fox/include/FXRbMDIChild.h,
	  ext/fox/include/FXRbMDIClient.h,
	  ext/fox/include/FXRbMainWindow.h, ext/fox/include/FXRbMatrix.h,
	  ext/fox/include/FXRbMenuButton.h,
	  ext/fox/include/FXRbMenuCaption.h,
	  ext/fox/include/FXRbMenuCascade.h,
	  ext/fox/include/FXRbMenuCommand.h,
	  ext/fox/include/FXRbMenuPane.h,
	  ext/fox/include/FXRbMenuSeparator.h,
	  ext/fox/include/FXRbMenuTitle.h, ext/fox/include/FXRbMenubar.h,
	  ext/fox/include/FXRbMessageBox.h, ext/fox/include/FXRbObject.h,
	  ext/fox/include/FXRbOptionMenu.h, ext/fox/include/FXRbPCXIcon.h,
	  ext/fox/include/FXRbPCXImage.h, ext/fox/include/FXRbPNGIcon.h,
	  ext/fox/include/FXRbPNGImage.h, ext/fox/include/FXRbPacker.h,
	  ext/fox/include/FXRbPicker.h, ext/fox/include/FXRbPopup.h,
	  ext/fox/include/FXRbPrintDialog.h,
	  ext/fox/include/FXRbProgressBar.h,
	  ext/fox/include/FXRbProgressDialog.h,
	  ext/fox/include/FXRbRGBIcon.h, ext/fox/include/FXRbRGBImage.h,
	  ext/fox/include/FXRbRadioButton.h,
	  ext/fox/include/FXRbRecentFiles.h,
	  ext/fox/include/FXRbRegistry.h,
	  ext/fox/include/FXRbReplaceDialog.h,
	  ext/fox/include/FXRbRootWindow.h,
	  ext/fox/include/FXRbScintilla.h,
	  ext/fox/include/FXRbScrollArea.h,
	  ext/fox/include/FXRbScrollWindow.h,
	  ext/fox/include/FXRbScrollbar.h,
	  ext/fox/include/FXRbSearchDialog.h,
	  ext/fox/include/FXRbSeparator.h, ext/fox/include/FXRbSettings.h,
	  ext/fox/include/FXRbShell.h, ext/fox/include/FXRbShutter.h,
	  ext/fox/include/FXRbSlider.h, ext/fox/include/FXRbSpinner.h,
	  ext/fox/include/FXRbSplitter.h, ext/fox/include/FXRbStatusbar.h,
	  ext/fox/include/FXRbStatusline.h, ext/fox/include/FXRbStream.h,
	  ext/fox/include/FXRbStringDict.h, ext/fox/include/FXRbSwitcher.h,
	  ext/fox/include/FXRbTGAIcon.h, ext/fox/include/FXRbTGAImage.h,
	  ext/fox/include/FXRbTIFIcon.h, ext/fox/include/FXRbTIFImage.h,
	  ext/fox/include/FXRbTabBar.h, ext/fox/include/FXRbTabBook.h,
	  ext/fox/include/FXRbTabItem.h, ext/fox/include/FXRbTable.h,
	  ext/fox/include/FXRbText.h, ext/fox/include/FXRbTextField.h,
	  ext/fox/include/FXRbToggleButton.h,
	  ext/fox/include/FXRbToolbar.h, ext/fox/include/FXRbToolbarGrip.h,
	  ext/fox/include/FXRbToolbarShell.h,
	  ext/fox/include/FXRbToolbarTab.h, ext/fox/include/FXRbTooltip.h,
	  ext/fox/include/FXRbTopWindow.h, ext/fox/include/FXRbTreeList.h,
	  ext/fox/include/FXRbTreeListBox.h,
	  ext/fox/include/FXRbVerticalFrame.h,
	  ext/fox/include/FXRbVisual.h, ext/fox/include/FXRbWindow.h,
	  ext/fox/include/FXRbXPMIcon.h, ext/fox/include/FXRbXPMImage.h,
	  ext/fox/include/FXRuby.h, ext/fox/include/impl.h,
	  swig-interfaces/FX4Splitter.i, swig-interfaces/FXAccelTable.i,
	  swig-interfaces/FXApp.i, swig-interfaces/FXArrowButton.i,
	  swig-interfaces/FXBMPIcon.i, swig-interfaces/FXBMPImage.i,
	  swig-interfaces/FXBitmap.i, swig-interfaces/FXButton.i,
	  swig-interfaces/FXCURCursor.i, swig-interfaces/FXCanvas.i,
	  swig-interfaces/FXCheckButton.i, swig-interfaces/FXColorBar.i,
	  swig-interfaces/FXColorDialog.i,
	  swig-interfaces/FXColorSelector.i, swig-interfaces/FXColorWell.i,
	  swig-interfaces/FXColorWheel.i, swig-interfaces/FXComboBox.i,
	  swig-interfaces/FXComposite.i, swig-interfaces/FXCursor.i,
	  swig-interfaces/FXDC.i, swig-interfaces/FXDCPrint.i,
	  swig-interfaces/FXDCWindow.i, swig-interfaces/FXDataTarget.i,
	  swig-interfaces/FXDebugTarget.i, swig-interfaces/FXDelegator.i,
	  swig-interfaces/FXDial.i, swig-interfaces/FXDialogBox.i,
	  swig-interfaces/FXDict.i, swig-interfaces/FXDirBox.i,
	  swig-interfaces/FXDirDialog.i, swig-interfaces/FXDirList.i,
	  swig-interfaces/FXDirSelector.i, swig-interfaces/FXDocument.i,
	  swig-interfaces/FXDragCorner.i, swig-interfaces/FXDrawable.i,
	  swig-interfaces/FXDriveBox.i, swig-interfaces/FXFileDialog.i,
	  swig-interfaces/FXFileDict.i, swig-interfaces/FXFileList.i,
	  swig-interfaces/FXFileSelector.i, swig-interfaces/FXFont.i,
	  swig-interfaces/FXFontDialog.i, swig-interfaces/FXFontSelector.i,
	  swig-interfaces/FXFrame.i, swig-interfaces/FXGIFCursor.i,
	  swig-interfaces/FXGIFIcon.i, swig-interfaces/FXGIFImage.i,
	  swig-interfaces/FXGLCanvas.i, swig-interfaces/FXGLContext.i,
	  swig-interfaces/FXGLObject.i, swig-interfaces/FXGLShape.i,
	  swig-interfaces/FXGLViewer.i, swig-interfaces/FXGLVisual.i,
	  swig-interfaces/FXGroupBox.i, swig-interfaces/FXHMat.i,
	  swig-interfaces/FXHVec.i, swig-interfaces/FXHeader.i,
	  swig-interfaces/FXHorizontalFrame.i, swig-interfaces/FXICOIcon.i,
	  swig-interfaces/FXICOImage.i, swig-interfaces/FXIcon.i,
	  swig-interfaces/FXIconList.i, swig-interfaces/FXId.i,
	  swig-interfaces/FXImage.i, swig-interfaces/FXImageView.i,
	  swig-interfaces/FXInputDialog.i, swig-interfaces/FXJPGIcon.i,
	  swig-interfaces/FXJPGImage.i, swig-interfaces/FXLabel.i,
	  swig-interfaces/FXList.i, swig-interfaces/FXListBox.i,
	  swig-interfaces/FXMDIButton.i, swig-interfaces/FXMDIChild.i,
	  swig-interfaces/FXMDIClient.i, swig-interfaces/FXMainWindow.i,
	  swig-interfaces/FXMatrix.i, swig-interfaces/FXMemoryBuffer.i,
	  swig-interfaces/FXMenuButton.i, swig-interfaces/FXMenuCaption.i,
	  swig-interfaces/FXMenuCascade.i, swig-interfaces/FXMenuCommand.i,
	  swig-interfaces/FXMenuPane.i, swig-interfaces/FXMenuSeparator.i,
	  swig-interfaces/FXMenuTitle.i, swig-interfaces/FXMenubar.i,
	  swig-interfaces/FXMessageBox.i, swig-interfaces/FXObject.i,
	  swig-interfaces/FXOptionMenu.i, swig-interfaces/FXPCXIcon.i,
	  swig-interfaces/FXPCXImage.i, swig-interfaces/FXPNGIcon.i,
	  swig-interfaces/FXPNGImage.i, swig-interfaces/FXPacker.i,
	  swig-interfaces/FXPicker.i, swig-interfaces/FXPoint.i,
	  swig-interfaces/FXPopup.i, swig-interfaces/FXPrintDialog.i,
	  swig-interfaces/FXProgressBar.i,
	  swig-interfaces/FXProgressDialog.i, swig-interfaces/FXQuat.i,
	  swig-interfaces/FXRGBIcon.i, swig-interfaces/FXRGBImage.i,
	  swig-interfaces/FXRadioButton.i, swig-interfaces/FXRange.i,
	  swig-interfaces/FXRecentFiles.i, swig-interfaces/FXRectangle.i,
	  swig-interfaces/FXRegion.i, swig-interfaces/FXRegistry.i,
	  swig-interfaces/FXReplaceDialog.i,
	  swig-interfaces/FXRootWindow.i, swig-interfaces/FXScintilla.i,
	  swig-interfaces/FXScrollArea.i, swig-interfaces/FXScrollWindow.i,
	  swig-interfaces/FXScrollbar.i, swig-interfaces/FXSearchDialog.i,
	  swig-interfaces/FXSeparator.i, swig-interfaces/FXSettings.i,
	  swig-interfaces/FXShell.i, swig-interfaces/FXShutter.i,
	  swig-interfaces/FXSize.i, swig-interfaces/FXSlider.i,
	  swig-interfaces/FXSpinner.i, swig-interfaces/FXSplitter.i,
	  swig-interfaces/FXStatusbar.i, swig-interfaces/FXStatusline.i,
	  swig-interfaces/FXStream.i, swig-interfaces/FXStringDict.i,
	  swig-interfaces/FXSwitcher.i, swig-interfaces/FXTGAIcon.i,
	  swig-interfaces/FXTGAImage.i, swig-interfaces/FXTIFIcon.i,
	  swig-interfaces/FXTIFImage.i, swig-interfaces/FXTabBar.i,
	  swig-interfaces/FXTabBook.i, swig-interfaces/FXTabItem.i,
	  swig-interfaces/FXTable.i, swig-interfaces/FXText.i,
	  swig-interfaces/FXTextField.i, swig-interfaces/FXToggleButton.i,
	  swig-interfaces/FXToolbar.i, swig-interfaces/FXToolbarGrip.i,
	  swig-interfaces/FXToolbarShell.i, swig-interfaces/FXToolbarTab.i,
	  swig-interfaces/FXTooltip.i, swig-interfaces/FXTopWindow.i,
	  swig-interfaces/FXTreeList.i, swig-interfaces/FXTreeListBox.i,
	  swig-interfaces/FXURL.i, swig-interfaces/FXVec.i,
	  swig-interfaces/FXVerticalFrame.i, swig-interfaces/FXVisual.i,
	  swig-interfaces/FXWindow.i, swig-interfaces/FXXPMIcon.i,
	  swig-interfaces/FXXPMImage.i, swig-interfaces/common.i,
	  swig-interfaces/core.i, swig-interfaces/dcmodule.i,
	  swig-interfaces/dialogs.i, swig-interfaces/exceptions.i,
	  swig-interfaces/framesmodule.i, swig-interfaces/freefuncs.i,
	  swig-interfaces/fxdefs.i, swig-interfaces/iconlistmodule.i,
	  swig-interfaces/icons.i, swig-interfaces/image.i,
	  swig-interfaces/labelmodule.i, swig-interfaces/layout.i,
	  swig-interfaces/listmodule.i, swig-interfaces/macros.i,
	  swig-interfaces/markfuncs.i, swig-interfaces/mdi.i,
	  swig-interfaces/menumodule.i, swig-interfaces/opengl.i,
	  swig-interfaces/ruby-typemaps.i: Updated copyright dates in all
	  source files from 2001 to 2001-2003.

2003-02-20 09:57  lyle

	* ANNOUNCE, ANNOUNCE.in, FXRuby.spec, setversions.rb: Updated the
	  wording, URLs, etc. of the ANNOUNCE file.

2003-02-19 17:17  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in, scripts/FXRuby.iss.in: Added
	  TC_FXTableItem.rb test case to the Windows installer scripts.

2003-02-19 16:11  lyle

	* doc/changes.xml: [no log message]

2003-02-19 16:11  lyle

	* lib/fox/iterators.rb: Add :nodoc: directives for some of the
	  aliases declared in iterators.rb.

2003-02-19 15:29  lyle

	* swig-interfaces/Makefile, ext/fox/core_wrap.cpp,
	  ext/fox/dc_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	  ext/fox/frames_wrap.cpp, ext/fox/iconlist_wrap.cpp,
	  ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp,
	  ext/fox/label_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/list_wrap.cpp, ext/fox/mdi_wrap.cpp,
	  ext/fox/menu_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/table_wrap.cpp,
	  ext/fox/text_wrap.cpp, ext/fox/treelist_wrap.cpp,
	  ext/fox/ui_wrap.cpp: Modified SWIG flags to use the new -fcompact
	  option, resulting in reduced file sizes for the generated wrapper
	  code.

2003-02-19 14:44  lyle

	* ext/fox/: dc_wrap.cpp, dialogs_wrap.cpp, frames_wrap.cpp,
	  iconlist_wrap.cpp, icons_wrap.cpp, image_wrap.cpp,
	  label_wrap.cpp, layout_wrap.cpp, librb.c, list_wrap.cpp,
	  mdi_wrap.cpp, menu_wrap.cpp, opengl_wrap.cpp, scintilla_wrap.cpp,
	  table_wrap.cpp, text_wrap.cpp, treelist_wrap.cpp, ui_wrap.cpp:
	  [no log message]

2003-02-19 14:30  lyle

	* ext/fox/core_wrap.cpp: [no log message]

2003-02-19 13:13  lyle

	* tests/TC_FXTableItem.rb: [no log message]

2003-02-19 13:04  lyle

	* ext/fox/table_wrap.cpp, swig-interfaces/table-module.i: The
	  FXStipplePattern enum declaration was no longer visible to the
	  SWIG module that defines the FXTable and FXTableItem classes, and
	  as a result the wrappers for FXTableItem#setStipple and
	  FXTableItem#getStipple were broken (see SourceForge Bug #689447).

2003-02-19 12:48  lyle

	* swig-interfaces/FXTable.i: [no log message]

2003-02-19 12:46  lyle

	* tests/TC_FXTable.rb: Added more tests for bounds-checking in
	  TC_FXTable.rb.

2003-02-19 12:36  lyle

	* swig-interfaces/FXTable.i, ext/fox/table_wrap.cpp: Fixed
	  bounds-checking for getColumnX(), setColumnX(), getRowY() and
	  setRowY() for FXTable.

2003-02-19 12:13  lyle

	* swig-interfaces/FXTable.i, rdoc-sources/FXTable.rb,
	  swig-interfaces/macros.i, ext/fox/table_wrap.cpp: Fixed several
	  problems related to bounds-checking in FXTable APIs (see
	  SourceForge bugs #689321 and 689325). Updated documentation for
	  these FXTable APIs to be more specific about what constitutes
	  out-of-bounds values.

2003-02-18 15:45  lyle

	* doc/changes.xml: [no log message]

2003-02-14 17:22  lyle

	* lib/fox/iterators.rb, rdoc-sources/FXDCPrint.rb: More
	  documentation updates.

2003-02-14 17:22  lyle

	* lib/fox/aliases.rb: Changed the names of FXStream#swapBytes=()
	  and FXStream#swapBytes() to FXStream#bytesSwapped=() and
	  FXStream#bytesSwapped?, respectively.

2003-02-14 17:14  lyle

	* rdoc-sources/: FXApp.rb, FXDCPrint.rb: [no log message]

2003-02-14 16:31  lyle

	* rdoc-sources/: FXApp.rb, FXComboBox.rb, FXStream.rb, Makefile:
	  [no log message]

2003-02-13 22:42  lyle

	* rdoc-sources/: FXDataTarget.rb, FXSplitter.rb: [no log message]

2003-02-13 22:10  lyle

	* rdoc-sources/: FXDragCorner.rb, FXStatusbar.rb, FXStatusline.rb:
	  [no log message]

2003-02-13 12:46  lyle

	* ANNOUNCE, FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in, FXRuby.spec, Makefile,
	  ext/fox/extconf.rb, lib/fox/version.rb: Update

2003-02-13 12:44  lyle

	* lib/fox/aliases.rb: Added currentItem=() as an alias for
	  FXIconList#setCurrentItem.

2003-02-13 12:43  lyle

	* scripts/FXRuby.iss.in: Add iconlist.rb to the set of files
	  packaged into the Windows installer.

2003-02-13 12:35  lyle

	* examples/iconlist.rb: [no log message]

2003-02-13 12:31  lyle

	* examples/iconlist.rb: Added the iconlist.rb example program.

2003-02-10 21:45  lyle

	* INSTALL: Corrected a typo in the INSTALL file (bad URL for the
	  "Things that Can Go Wrong" section of the build instructions).
	  Thanks to Glenn Lewis for reporting this.

2003-02-08 12:46  lyle

	* ext/fox/: FXRbApp.cpp, FXRuby.cpp, include/FXRbDC.h,
	  include/FXRbDCPrint.h, include/FXRbDCWindow.h, include/FXRuby.h:
	  When invoking a message handler for a SEL_UPDATE message, pass on
	  Ruby's nil as the message data for the handler.  Make sure that
	  device contexts are treated as application-sensitive objects
	  (just like other resources) so that they're destroyed *before*
	  the application is during the Ruby interpreter's finalization on
	  exit (see SF Bug #682961).

2003-02-08 12:19  lyle

	* lib/fox/aliases.rb: Added locked? as an alias for
	  FXGLViewer#getViewLock and doesTurbo? as an alias for
	  FXGLViewer#doesTurbo.

2003-02-08 12:15  lyle

	* rdoc-sources/FXGLViewer.rb: [no log message]

2003-02-08 11:02  lyle

	* ext/fox/include/FXRbBitmap.h: An FXRbBitmap is an
	  application-sensitive object (i.e. it must always be destroyed
	  before the application with which it is associated is destroyed).
	  This was being handled properly.

2003-02-07 17:59  lyle

	* scripts/make-installers.rb: [no log message]

2003-02-07 17:01  lyle

	* scripts/make-installers.rb: [no log message]

2003-02-07 15:41  lyle

	* tests/TC_FXTreeList.rb: [no log message]

2003-02-07 15:18  lyle

	* lib/fox/core.rb: Fixed a bug in FXSize#*.

2003-02-07 15:10  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in, scripts/FXRuby.iss.in: Updated
	  Windows installer scripts for compatibility with InnoSetup 3.0.6.

2003-02-06 20:22  lyle

	* doc/: Makefile, book.xml, custom-fo.xsl, custom-html.xsl: [no log
	  message]

2003-02-06 10:24  lyle

	* rdoc-sources/: FXGLCanvas.rb, FXGLVisual.rb: [no log message]

2003-02-05 18:27  lyle

	* lib/fox/undolist.rb: Added :nodoc: directives to the message
	  handler method (e.g. #onCmdUndo) for FXUndoList, so that they
	  won't be documented by RDoc.

2003-02-05 18:22  lyle

	* lib/fox/core.rb, lib/fox/glgroup.rb, lib/fox/glshapes.rb,
	  lib/fox/responder2.rb, lib/fox/undolist.rb, lib/fox/version.rb,
	  rdoc-sources/FXDC.rb, rdoc-sources/FXSettings.rb,
	  rdoc-sources/FXWindow.rb, rdoc-sources/Makefile: Documentation
	  updates.

2003-02-05 17:54  lyle

	* lib/fox/version.rb.in: [no log message]

2003-02-05 16:40  lyle

	* lib/fox/calendar.rb: Modified FXCalendar so that the message data
	  sent with its SEL_COMMAND message is the actual selected date
	  (previously, it was just nil).

2003-02-05 16:39  lyle

	* ext/fox/FXRuby.cpp: Fix message data conversion between C++ and
	  Ruby so that the data attached to unrecognized messages is just
	  passed through as-is.

2003-02-05 15:58  lyle

	* examples/bounce.rb: [no log message]

2003-02-05 15:42  lyle

	* examples/bounce.rb: Initial check-in of bounce.rb example program
	  (double-buffered 2-D animation).

2003-02-05 14:47  lyle

	* lib/fox/: dict.rb, settings.rb: Use self.next() instead of next
	  (which was being confused with the Ruby keyword next).

2003-02-05 14:36  lyle

	* doc/changes.xml: Updated change log for recent changes.

2003-02-05 14:15  lyle

	* ext/fox/FXRuby.cpp: The message data for SEL_MOUSEWHEEL messages
	  should have been an FXEvent object, but was not (see SourceForge
	  bug #681189). This has been fixed.  Thanks to Aaron Schrab for
	  reporting this and providing a patch to fix it.

2003-02-05 11:57  lyle

	* rdoc-sources/: FXHorizontalFrame.rb, FXIconList.rb, FXImage.rb,
	  FXLabel.rb, FXList.rb, FXMainWindow.rb, FXMatrix.rb,
	  FXMenuButton.rb, FXMenuCaption.rb, FXMenuCascade.rb,
	  FXMenuCommand.rb, FXMenuPane.rb, FXMenuSeparator.rb,
	  FXMenuTitle.rb, FXMenubar.rb, FXPacker.rb, FXRadioButton.rb,
	  FXRange.rb, FXScrollArea.rb, FXShell.rb, FXTable.rb,
	  FXToolbar.rb, FXToolbarGrip.rb, FXToolbarShell.rb, FXTooltip.rb,
	  FXVerticalFrame.rb: More documentation updates.

2003-02-04 14:20  lyle

	* ext/fox/core_wrap.cpp: [no log message]

2003-02-04 14:19  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in: Updated Windows installer
	  scripts.

2003-02-04 13:07  lyle

	* lib/fox/aliases.rb: [no log message]

2003-02-04 12:58  lyle

	* lib/fox/responder2.rb: We were mistakenly mixing the Responder2
	  module into FXObject, when it should really only be mixed into
	  those classes that have a message target (i.e. FXDataTarget,
	  FXRecentFiles and FXWindow).

2003-02-04 12:57  lyle

	* lib/fox/settings.rb: Added a new settings.rb library module,
	  which adds FXSettings#each_section.

2003-02-04 12:56  lyle

	* ext/fox/dc_wrap.cpp: [no log message]

2003-02-04 12:55  lyle

	* ext/fox/FXRuby.cpp, scripts/FXRuby.iss.in: Be sure to load the
	  new dict.rb and settings.rb library files at module
	  initialization, and to include these files in the Windows
	  installer.

2003-02-04 12:53  lyle

	* rdoc-sources/: FXCURCursor.rb, FXColorSelector.rb,
	  FXColorWell.rb, FXColorWheel.rb, FXComboBox.rb, FXComposite.rb,
	  FXCursor.rb, FXDC.rb, FXDCWindow.rb, FXDebugTarget.rb,
	  FXDelegator.rb, FXDialogBox.rb, FXDict.rb, FXDrawable.rb,
	  FXFont.rb, FXFrame.rb, FXGIFIcon.rb, FXGroupBox.rb,
	  FXHorizontalFrame.rb, FXIcon.rb, FXId.rb, FXObject.rb,
	  FXRegistry.rb, FXSettings.rb, FXWindow.rb: Documentation updates.

2003-02-04 12:53  lyle

	* lib/fox/aliases.rb: [no log message]

2003-02-04 12:51  lyle

	* swig-interfaces/FXDict.i, lib/fox/dict.rb: Added wrappers for
	  FXDict::size() and FXDict::size(FXint) as FXDict#getTotalSize and
	  FXDict#setTotalSize, respectively.  Moved the implementations of
	  FXDict#keys and FXDict#empty? out to a new pure Ruby library
	  (dict.rb), and also added an FXDict#each_key to iterate over the
	  dictionary keys.

2003-02-03 18:40  lyle

	* rdoc-sources/: FX4Splitter.rb, FXAccelTable.rb, FXApp.rb,
	  FXArrowButton.rb, FXBMPIcon.rb, FXBMPImage.rb, FXBitmap.rb,
	  FXButton.rb, FXCanvas.rb, FXCheckButton.rb, FXColorBar.rb,
	  FXColorDialog.rb, FXCursor.rb, FXDialogBox.rb, FXDrawable.rb,
	  FXGIFIcon.rb, FXIcon.rb, FXImage.rb, FXTopWindow.rb, FXWindow.rb:
	  Documentation updates.

2003-02-03 17:15  lyle

	* ext/fox/FXRuby.cpp, ext/fox/MANIFEST, ext/fox/core_wrap.cpp,
	  ext/fox/table_wrap.cpp, swig-interfaces/Makefile,
	  swig-interfaces/core.i, swig-interfaces/dcmodule.i,
	  swig-interfaces/swig.sed: Moved the FXDC, FXDCWindow and
	  FXDCPrint classes out into a separate SWIG module to reduce the
	  'core' module size a bit.

2003-02-03 17:03  lyle

	* swig-interfaces/: Makefile, framesmodule.i, iconlistmodule.i,
	  labelmodule.i, listmodule.i, mdi.i, swig.sed, ui.i: More
	  reorganization of the SWIG modules, to reduce file size.

2003-02-03 16:58  lyle

	* ext/fox/: FXRuby.cpp, MANIFEST, dialogs_wrap.cpp,
	  frames_wrap.cpp, iconlist_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, label_wrap.cpp, list_wrap.cpp, mdi_wrap.cpp,
	  menu_wrap.cpp, opengl_wrap.cpp, scintilla_wrap.cpp,
	  table_wrap.cpp, text_wrap.cpp, treelist_wrap.cpp, ui_wrap.cpp:
	  More reorganization of the SWIG modules, to reduce file size.

2003-02-03 16:12  lyle

	* swig-interfaces/: Makefile, framesmodule.i, swig.sed, ui.i: More
	  reorganization of the SWIG modules, to reduce wrapper code size.

2003-02-03 16:05  lyle

	* ext/fox/: FXRuby.cpp, MANIFEST, dialogs_wrap.cpp,
	  frames_wrap.cpp, icons_wrap.cpp, image_wrap.cpp, mdi_wrap.cpp,
	  menu_wrap.cpp, opengl_wrap.cpp, scintilla_wrap.cpp,
	  table_wrap.cpp, text_wrap.cpp, treelist_wrap.cpp, ui_wrap.cpp:
	  More reorganization of the SWIG modules, to reduce wrapper code
	  size.

2003-02-03 11:18  lyle

	* swig-interfaces/: core.i, dialogs.i, layout.i, ui.i: More
	  reorganzation of the SWIG modules, to better balance file sizes.

2003-02-03 11:09  lyle

	* ext/fox/: dialogs_wrap.cpp, icons_wrap.cpp, image_wrap.cpp,
	  layout_wrap.cpp, mdi_wrap.cpp, menu_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, table_wrap.cpp, text_wrap.cpp,
	  treelist_wrap.cpp, ui_wrap.cpp: More reorganzation of the SWIG
	  modules, to better balance file sizes.

2003-02-03 11:06  lyle

	* ext/fox/: FXRuby.cpp, core_wrap.cpp: More reorganzation of the
	  SWIG modules, to better balance file sizes.

2003-01-31 09:45  lyle

	* ext/fox/FXRuby.cpp: [no log message]

2003-01-31 09:15  lyle

	* swig-interfaces/: Makefile, mdi.i, menumodule.i, swig.sed,
	  table-module.i, ui.i: More module reorganization.

2003-01-30 15:14  lyle

	* ext/fox/: FXRuby.cpp, MANIFEST, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp, menu_wrap.cpp,
	  opengl_wrap.cpp, scintilla_wrap.cpp, table_wrap.cpp,
	  text_wrap.cpp, treelist_wrap.cpp, ui_wrap.cpp: [no log message]

2003-01-30 14:49  lyle

	* tests/TC_FXText.rb: [no log message]

2003-01-30 14:44  lyle

	* ext/fox/FXRuby.cpp: [no log message]

2003-01-29 18:15  lyle

	* swig-interfaces/: FXCURCursor.i, swig.sed: More fixes for
	  Fox::fxloadCUR, etc.

2003-01-29 18:11  lyle

	* ext/fox/: core_wrap.cpp, treelist_wrap.cpp, ui_wrap.cpp: More
	  fixes for Fox::fxloadCUR, etc.

2003-01-29 17:51  lyle

	* ext/fox/text_wrap.cpp, swig-interfaces/FXText.i: Fixed the
	  implementation of FXText#findText.

2003-01-29 17:10  lyle

	* ext/fox/: core_wrap.cpp, text_wrap.cpp, treelist_wrap.cpp,
	  ui_wrap.cpp: Fixed the implementation of fxloadCUR.

2003-01-29 17:03  lyle

	* swig-interfaces/FXCURCursor.i: Fixed the implementation of
	  Fox::fxloadCUR.

2003-01-29 16:51  lyle

	* swig-interfaces/: Makefile, swig.sed, text-module.i, ui.i: Broke
	  FXText out into a separate SWIG module to reduce ui_wrap.cpp file
	  size.

2003-01-29 16:47  lyle

	* ext/fox/: FXRuby.cpp, MANIFEST, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, text_wrap.cpp, treelist_wrap.cpp,
	  ui_wrap.cpp: Broke FXText out into a separate SWIG module to
	  reduce ui_wrap.cpp file size.

2003-01-29 16:33  lyle

	* swig-interfaces/Makefile, swig-interfaces/swig.sed,
	  swig-interfaces/treelist-module.i, swig-interfaces/ui.i,
	  tests/TC_FXIconList.rb: Break the SWIG wrappers for FXTreeList
	  and FXDirList out into a separate file in order to reduce the
	  ui_wrap.cpp file size.

2003-01-29 16:28  lyle

	* ext/fox/: FXRuby.cpp, MANIFEST, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, treelist_wrap.cpp, ui_wrap.cpp: Break the
	  SWIG wrappers for FXTreeList and FXDirList out into a separate
	  file in order to reduce the ui_wrap.cpp file size.

2003-01-29 15:50  lyle

	* doc/changes.xml: Updating change log for recent post-1.0.18
	  changes.

2003-01-29 14:55  lyle

	* ext/fox/markfuncs.cpp: Needed to mark group box's font as in use
	  during GC.

2003-01-28 15:34  lyle

	* swig-interfaces/FXIconList.i, ext/fox/ui_wrap.cpp: Fixed index
	  bounds checking for regular FXIconList item indices.

2003-01-28 15:22  lyle

	* tests/TC_FXIconList.rb: Added tests to make sure that IndexError
	  is raised under the correct circumstances for FXIconList methods
	  dealing with header item indices.

2003-01-28 14:59  lyle

	* ext/fox/ui_wrap.cpp: [no log message]

2003-01-28 14:39  lyle

	* rdoc-sources/FXWindow.rb: Clarified documentation for
	  FXWindow#focus.

2003-01-28 14:38  lyle

	* rdoc-sources/FXApp.rb: Clarified documentation for
	  FXApp#focusWindow.

2003-01-28 14:37  lyle

	* lib/fox/aliases.rb: Added aliases:

	  * hasFocus? for FXIconItem#hasFocus * itemAt for
	  FXIconList#getItemAt * itemSelected? for
	  FXIconList#isItemSelected * itemCurrent? for
	  FXIconList#isItemCurrent * itemVisible? for
	  FXIconList#isItemVisible * itemEnabled? for
	  FXIconList#isItemEnabled

2003-01-28 14:20  lyle

	* swig-interfaces/FXIconList.i: Fixed typemaps for FXIconList so
	  that that it won't raise an erroneous IndexError for those
	  methods that deal with indexes into the FXHeader control.

2003-01-28 14:18  lyle

	* rdoc-sources/FXIconList.rb: [no log message]

2003-01-28 08:07  lyle

	* lib/fox/glgroup.rb: Rescue for LoadError when requiring the
	  Ruby/OpenGL extension in glgroup.rb.

2003-01-28 07:49  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in: Updated Windows installer
	  scripts to include fox/version.rb.

2003-01-27 20:31  lyle

	* scripts/FXRuby.iss.in: Added missing version.rb file to the
	  Windows installer script.

2003-01-27 18:21  lyle

	* ext/fox/ui_wrap.cpp: [no log message]

2003-01-27 18:17  lyle

	* ANNOUNCE, FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss, FXRuby.spec, Makefile,
	  ext/fox/extconf.rb, lib/fox/version.rb: Updated version number to
	  1.0.19.

2003-01-27 17:37  lyle

	* ext/fox/FXRuby.cpp: A little cleanup in FXRbHandleMessage()...

2003-01-27 16:33  lyle

	* swig-interfaces/ruby-typemaps.i: Fixed the typemap for
	  FXToolbar#dock, to make it 64-bit compliant.

2003-01-27 14:33  lyle

	* ext/fox/markfuncs.cpp: [no log message]

2003-01-27 14:28  lyle

	* ext/fox/FXRuby.cpp: Fix for "aggregate has a partly bracketed
	  initializer" compiler warning.

2003-01-27 14:16  lyle

	* ext/fox/include/FXRbTable.h: [no log message]

2003-01-27 13:54  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in: Fix executable file name for
	  Windows installer (should be *-ruby168.exe and not
	  *-ruby167.exe).

2003-01-27 13:52  lyle

	* scripts/create-installer-scripts.rb: Changed 'ruby167' to
	  'ruby168' for Windows installer executable name.

2003-01-27 13:31  lyle

	* ext/fox/FXRuby.cpp: [no log message]

2003-01-27 12:14  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in: [no log message]

2003-01-27 11:58  lyle

	* scripts/FXRuby.iss.in: Add the new RDoc documentation files to
	  the Windows installer.

2003-01-27 11:19  lyle

	* Makefile, Makefile.in: [no log message]

2003-01-27 10:28  lyle

	* Makefile, Makefile.in, ext/fox/ui_wrap.cpp: [no log message]

2003-01-27 10:18  lyle

	* doc/changes.xml: [no log message]

2003-01-27 10:06  lyle

	* doc/: implementation.xml, changes.xml: [no log message]

2003-01-27 10:05  lyle

	* swig-interfaces/FXToolbarGrip.i: Modified return value of
	  FXToolbarGrip#getDoubleBar to an FXbool.

2003-01-27 10:04  lyle

	* lib/fox/aliases.rb: Added aliases:

	  * positionSelected? for FXText#isPositionSelected *
	  positionVisible? for FXText#isPositionVisible * positionAt for
	  FXText#getPositionAt * doubleBar? for FXToolbarGrip#getDoubleBar
	  * itemSelected? for FXTreeList#isItemSelected * itemCurrent? for
	  FXTreeList#isItemCurrent * itemVisible? for
	  FXTreeList#isItemVisible? * itemOpened? for
	  FXTreeList#isItemOpened? * itemExpanded? for
	  FXTreeList#isItemExpanded? * itemLeaf? for FXTreeList#isItemLeaf?
	  * itemEnabled? for FXTreeList#isItemEnabled?

2003-01-27 09:56  lyle

	* lib/fox/responder2.rb: The result for message handlers wasn't
	  getting returned properly to the FOX event loop (see SF Bug
	  #675137).

2003-01-24 15:00  lyle

	* rdoc-sources/: FXToolbar.rb, FXToolbarGrip.rb, FXToolbarShell.rb:
	  [no log message]

2003-01-24 12:20  lyle

	* rdoc-sources/: FXDebugTarget.rb, FXDelegator.rb, FXGroupBox.rb,
	  FXMatrix.rb, FXMenuButton.rb, FXMenuCaption.rb, FXMenuCascade.rb,
	  FXMenuCommand.rb, FXMenuPane.rb, FXMenuSeparator.rb,
	  FXMenuTitle.rb, FXMenubar.rb, FXText.rb, FXVerticalFrame.rb: [no
	  log message]

2003-01-24 10:58  lyle

	* rdoc-sources/FXText.rb: [no log message]

2003-01-23 11:24  lyle

	* rdoc-sources/FXTreeList.rb: [no log message]

2003-01-22 16:34  lyle

	* rdoc-sources/FXPacker.rb: [no log message]

2003-01-22 16:23  lyle

	* rdoc-sources/: FX4Splitter.rb, FXAccelTable.rb, FXArrowButton.rb,
	  FXBMPIcon.rb, FXBMPImage.rb, FXBitmap.rb, FXButton.rb,
	  FXCURCursor.rb, FXCanvas.rb, FXCheckButton.rb, FXColorBar.rb,
	  FXColorDialog.rb, FXColorSelector.rb, FXColorWell.rb,
	  FXColorWheel.rb, FXComboBox.rb, FXComposite.rb, FXCursor.rb,
	  FXFont.rb, FXFrame.rb, FXGIFIcon.rb, FXHorizontalFrame.rb,
	  FXIcon.rb, FXImage.rb, FXLabel.rb, FXList.rb, FXMainWindow.rb,
	  FXRadioButton.rb, FXScrollArea.rb, FXTable.rb, FXTextField.rb,
	  FXToggleButton.rb, FXTooltip.rb, FXTopWindow.rb,
	  FXVerticalFrame.rb, FXWindow.rb: [no log message]

2003-01-21 15:19  lyle

	* rdoc-sources/FXDCWindow.rb: [no log message]

2003-01-21 10:51  lyle

	* ext/fox/FXRuby.cpp: Fixed reinterpret_casts<> in
	  FXRbGetExpectedData() for 64 bit.

2003-01-21 10:46  lyle

	* doc/changes.xml: [no log message]

2003-01-21 09:57  lyle

	* ext/fox/ui_wrap.cpp: [no log message]

2003-01-19 16:26  lyle

	* swig-interfaces/FXTreeList.i: Corrected argument types for
	  onClicked(), onDoubleClicked() and onTripleClicked() functions in
	  FXTreeList (was PTR_EVENT, should be PTR_TREEITEM). See SF
	  Bug#670834.

2003-01-16 15:52  lyle

	* Makefile, Makefile.in: Add RDoc-related stuff to the Makefile.

2003-01-16 15:50  lyle

	* rdoc-sources/FXDC.rb, rdoc-sources/Makefile,
	  rdoc-sources/README.rdoc, doc/changes.xml, doc/opengl.xml: [no
	  log message]

2003-01-16 15:50  lyle

	* lib/fox/aliases.rb: Added FXWindow#grabbedKeyboard? as an alias
	  for grabbedKeyboard.	Also removed the alias of
	  FXWindow#didAccept? for didAccept(), since it's not actually a
	  predicate method (i.e. it doesn't return boolean values).

2003-01-16 13:10  lyle

	* rdoc-sources/: FX4Splitter.rb, FXApp.rb, FXArrowButton.rb,
	  FXBitmap.rb, FXButton.rb, FXCanvas.rb, FXCheckButton.rb,
	  FXColorBar.rb, FXColorDialog.rb, FXColorSelector.rb,
	  FXColorWell.rb, FXColorWheel.rb, FXComboBox.rb, FXComposite.rb,
	  FXList.rb, FXMainWindow.rb, FXRadioButton.rb, FXTable.rb,
	  FXTextField.rb, FXToggleButton.rb, FXTopWindow.rb, FXWindow.rb:
	  [no log message]

2003-01-15 17:23  lyle

	* doc/build.xml: Updated build notes to include comments and links
	  about Mac OS X.

2003-01-15 17:09  lyle

	* doc/build.xml: Updated some notes in the build instructions
	  regarding broken header files, and that these have been fixed in
	  Ruby 1.6.8.

2003-01-15 14:35  lyle

	* rdoc-sources/: Makefile, README.rdoc: [no log message]

2003-01-15 11:18  lyle

	* ext/fox/ui_wrap.cpp: [no log message]

2003-01-15 11:15  lyle

	* swig-interfaces/FXTable.i: Fixed a bug for setItem(); it should
	  work when the passed-in item is NULL.  Also raise IndexError for
	  out-of-bounds row and column indices.

2003-01-15 10:27  lyle

	* rdoc-sources/: FX4Splitter.rb, FXApp.rb, FXCheckButton.rb,
	  FXColorDialog.rb, FXColorSelector.rb, FXColorWell.rb, FXFont.rb,
	  FXRadioButton.rb, FXRange.rb, FXRegistry.rb, FXScrollArea.rb,
	  FXSettings.rb, FXTable.rb, FXTextField.rb, FXToggleButton.rb,
	  FXTooltip.rb, FXTopWindow.rb, FXWindow.rb: Updated RDoc sources.

2003-01-15 09:27  lyle

	* lib/fox/core.rb: Pushed the readBoolEntry and writeBoolEntry
	  methods up from the FXRegistry class into the FXSettings class.

2003-01-14 13:33  lyle

	* lib/fox/aliases.rb: Corrected (and added) several aliases:

	  * FXCursor#height was misspelled as "heigh" (reported by Roger
	  Sperberg).  * Added FXDC#stipple, which returns the stipple
	  bitmap, if it's set,	 otherwise the stipple pattern.  * Added
	  FXTableItem#hasFocus? as an alias for FXTableItem#hasFocus.  *
	  Added FXTable#horizontalGridShown? and FXTable#verticalGridShown?
	  as   aliases for FXTable#isHorzGridShown and
	  FXTable#isVertGridShown.

2003-01-14 10:42  lyle

	* lib/fox/responder.rb: Fix warning messages from responder.rb
	  about uninitialized @assocs.

2003-01-14 09:52  lyle

	* ext/fox/include/FXRbCommon.h: Fixed #undef WIN32_OpenFile to
	  #undef OpenFile for Cygwin builds.

2003-01-13 13:37  lyle

	* rdoc-sources/: FXApp.rb, FXBitmap.rb, FXButton.rb,
	  FXCheckButton.rb, FXColorBar.rb, FXColorDialog.rb,
	  FXColorSelector.rb, FXColorWell.rb, FXColorWheel.rb,
	  FXComboBox.rb, FXCursor.rb, FXDC.rb, FXDrawable.rb, FXFrame.rb,
	  FXIcon.rb, FXId.rb, FXImage.rb, FXLabel.rb, FXList.rb: [no log
	  message]

2003-01-10 18:12  lyle

	* rdoc-sources/: FX4Splitter.rb, FXApp.rb, FXArrowButton.rb,
	  FXTable.rb, Makefile: Updating the RDoc sources a bit.

2003-01-10 11:21  lyle

	* swig-interfaces/freefuncs.i, ext/fox/core_wrap.cpp: Ensure that
	  FXEvent objects are unregistered when they're garbage-collected
	  by adding the line:

	      %freefunc FXEvent "FXRbUnregisterRubyObj";

	  to the freefuncs.i file. See SF Bug #665860.

2003-01-09 14:08  lyle

	* ext/fox/include/FXRbTable.h,
	  ext/fox/include/FXRbTableItemVirtuals.h,
	  ext/fox/include/FXRbTableVirtuals.h, ext/fox/include/FXRuby.h,
	  ext/fox/include/inlinestubs.h, swig-interfaces/FXTable.i,
	  swig-interfaces/macros.i: Fixed a bug for FXTableItem#setItem,
	  which was failing to change the "ownership" property of the table
	  item passed to it. Also added support for overriding the virtual
	  methods FXTable#createItem, and the FXTableItem methods draw,
	  drawButton, drawBorders, drawContent, drawPattern and
	  drawBackground.

2003-01-09 14:04  lyle

	* ext/fox/: FXRuby.cpp, impl.cpp, make_impl.rb, ui_wrap.cpp: Fixed
	  a bug for FXTableItem#setItem, which was failing to change the
	  "ownership" property of the table item passed to it. Also added
	  support for overriding the virtual methods FXTable#createItem,
	  and the FXTableItem methods draw, drawButton, drawBorders,
	  drawContent, drawPattern and drawBackground.

2003-01-06 17:23  lyle

	* doc/: changes.xml, differences.xml: Minor documentation
	  updates...

2003-01-06 13:08  lyle

	* ext/fox/: layout_wrap.cpp, ui_wrap.cpp: Added code to throw
	  IndexError for out-of-bounds indices passed to methods in
	  FXComboBox, FXFileList, FXHeader, FXIconList, FXList, FXListBox,
	  FXSwitcher and FXWindow.

2003-01-06 12:40  lyle

	* swig-interfaces/FXListBox.i, swig-interfaces/FXSwitcher.i,
	  swig-interfaces/FXWindow.i, tests/TC_FXList.rb,
	  ext/fox/core_wrap.cpp: Added code to throw IndexError for
	  out-of-bounds indices passed to methods in FXComboBox,
	  FXFileList, FXHeader, FXIconList, FXList, FXListBox, FXSwitcher
	  and FXWindow.

2003-01-06 12:36  lyle

	* swig-interfaces/: FXComboBox.i, FXFileList.i, FXHeader.i,
	  FXIconList.i, FXList.i: Added code to throw IndexError for
	  out-of-bounds indices passed to methods in FXComboBox,
	  FXFileList, FXHeader, FXIconList, FXList, FXListBox, FXSwitcher
	  and FXWindow.

2003-01-06 10:38  lyle

	* ext/fox/FXRuby.cpp, lib/fox/version.rb, setversions.rb,
	  lib/fox/version.rb.in, tests/TC_Misc.rb,
	  swig-interfaces/fxdefs.i: Added a new Fox module method
	  fxrubyversion that returns a string indicating the FXRuby version
	  number. Also modified the return value of Fox.fxversion; it now
	  returns a string (e.g. "1.0.29") instead of a three-element
	  Array.

2002-12-31 16:13  lyle

	* doc/changes.xml, ext/fox/markfuncs.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/include/FXRbScintilla.h,
	  swig-interfaces/FXScintilla.i, swig-interfaces/freefuncs.i,
	  swig-interfaces/markfuncs.i: Added the missing markfunc() for
	  FXScintilla (see SF Bug #660541).

2002-12-31 14:54  lyle

	* doc/changes.xml: [no log message]

2002-12-31 14:47  lyle

	* ext/fox/markfuncs.cpp: Fixed a bug in the FXRbObject::freefunc(),
	  to ensure that "borrowed" object references are merely removed
	  from the object map and not destroyed when they're
	  garbage-collected. See SourceForge bug #660452.

2002-12-31 11:48  lyle

	* doc/changes.xml: Documented recent changes in changes.xml file.

2002-12-31 11:47  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in: Bumped version number up to
	  1.0.18.

2002-12-31 11:41  lyle

	* ext/fox/: extconf.rb, extconf.rb.in: [no log message]

2002-12-31 11:04  lyle

	* tests/: TC_FXDCPrint.rb, TC_FXFileStream.rb: Corrected #tear_down
	  to #teardown in TC_FXDCPrint.rb and TC_FXFileStream.rb.

2002-12-23 17:05  lyle

	* ext/fox/opengl_wrap.cpp: [no log message]

2002-12-23 17:02  lyle

	* Makefile, Makefile.in, ext/fox/FXRbGLViewer.cpp,
	  ext/fox/FXRuby.cpp, ext/fox/MANIFEST, ext/fox/impl.cpp,
	  ext/fox/markfuncs.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/include/FXRbGLObject.h,
	  ext/fox/include/FXRbGLObjectVirtuals.h,
	  ext/fox/include/FXRbGLShape.h, ext/fox/include/FXRbGLViewer.h,
	  ext/fox/include/FXRuby.h, ext/fox/include/impl.h,
	  ext/fox/include/inlinestubs.h, lib/fox/glgroup.rb,
	  lib/fox/glshapes.rb, lib/fox/iterators.rb, scripts/FXRuby.iss.in,
	  swig-interfaces/FXGLObject.i, swig-interfaces/FXGLShape.i,
	  swig-interfaces/exceptions.i, swig-interfaces/freefuncs.i,
	  swig-interfaces/markfuncs.i, swig-interfaces/ruby-typemaps.i,
	  tests/TC_FXGLGroup.rb, tests/TC_FXGLViewer.rb: Removed the
	  SWIG-wrapped version of FXGLGroup and replaced it with a pure
	  Ruby implementation (in lib/fox/glgroup.rb). This change has the
	  benefit that it's no longer necessary to keep track of whether
	  individual FXGLObject and FXGLShape instances are "owned" by some
	  FXGLGroup (and therefore whether it's legal to destroy them). In
	  other words, a lot of mystery code was purged.

2002-12-23 09:28  lyle

	* examples/splitter.rb: Fixed a little bug in the splitter.rb
	  example (reported by Joel VanderWerf).

2002-12-20 17:56  lyle

	* ANNOUNCE, FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in, FXRuby.spec, Makefile,
	  Makefile.in: Bumped version number up to 1.0.18.

2002-12-20 17:54  lyle

	* scripts/FXRuby.iss.in: Added new tests (testcase.rb,
	  TC_FXGLViewer.rb and TC_FXText.rb) to the Windows installer
	  script.

2002-12-20 17:53  lyle

	* swig-interfaces/FXText.i: Fixed a bug for FXText#extractStyle; if
	  the extracted style bytes contained zeroes (indicating the
	  default style) it would prematurely truncate the returned String.
	  This has been fixed.

2002-12-20 17:51  lyle

	* tests/TC_FXText.rb: Added the TC_FXText test case.

2002-12-20 17:50  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, extconf.rb,
	  icons_wrap.cpp, image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp,
	  opengl_wrap.cpp, scintilla_wrap.cpp, ui_wrap.cpp: [no log
	  message]

2002-12-20 15:56  lyle

	* tests/: TC_FXButton.rb, testcase.rb: [no log message]

2002-12-20 15:51  lyle

	* swig-interfaces/FXText.i: [no log message]

2002-12-20 08:18  lyle

	* swig-interfaces/: FXGLViewer.i, FXText.i: Modified the
	  implementations of FXGLViewer#readPixels, FXText#extractText,
	  FXText#getText, and FXText#extractStyle so that they use FXMALLOC
	  instead of ALLOCA_N.

2002-12-20 07:42  lyle

	* ext/fox/extconf.rb.in: Removed the -fno-strict-prototype flag
	  from CFLAGS for the Cygwin/MinGW platform builds; this flag is no
	  longer supported for gcc-3.2.

2002-12-19 08:50  lyle

	* tests/: TC_FXAccelTable.rb, TC_FXButton.rb, TC_FXCheckButton.rb,
	  TC_FXDC.rb, TC_FXDCPrint.rb, TC_FXDCWindow.rb,
	  TC_FXDataTarget.rb, TC_FXFileAssoc.rb, TC_FXFileStream.rb,
	  TC_FXFont.rb, TC_FXFontDesc.rb, TC_FXGLGroup.rb, TC_FXGLShape.rb,
	  TC_FXIconList.rb, TC_FXId.rb, TC_FXLight.rb, TC_FXList.rb,
	  TC_FXListBox.rb, TC_FXMaterial.rb, TC_FXMenuCommand.rb,
	  TC_FXPoint.rb, TC_FXRadioButton.rb, TC_FXRange.rb,
	  TC_FXRectangle.rb, TC_FXRegion.rb, TC_FXRegistry.rb,
	  TC_FXShell.rb, TC_FXSize.rb, TC_FXTable.rb, TC_FXTopWindow.rb,
	  TC_FXTreeList.rb, TC_FXViewport.rb, TS_All.rb: Updated test cases
	  for compatibility with Test::Unit version 0.1.5.  Renamed all
	  'set_up' methods to 'setup'.

2002-12-18 09:41  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in, scripts/FXRuby.iss.in,
	  scripts/create-installer-scripts.rb: [no log message]

2002-12-18 09:01  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in, Makefile: [no log message]

2002-12-18 08:56  lyle

	* Makefile.in: For now, don't include html.rb and glgroup.rb in the
	  source tarball distro.  They are still under development.

2002-12-17 10:11  lyle

	* lib/fox/glgroup.rb: [no log message]

2002-12-16 18:19  lyle

	* tests/: TC_FXCheckButton.rb, TC_FXRadioButton.rb: [no log
	  message]

2002-12-16 18:13  lyle

	* ext/fox/ui_wrap.cpp: [no log message]

2002-12-16 18:07  lyle

	* ext/fox/FXRbApp.cpp: [no log message]

2002-12-16 17:52  lyle

	* doc/changes.xml, lib/fox/aliases.rb,
	  swig-interfaces/FXCheckButton.i, swig-interfaces/FXRadioButton.i:
	  Added the new FXCheckButton#getCheckState and
	  FXRadioButton#getCheckState methods to return the button state as
	  an integer (should be one of TRUE, FALSE or MAYBE). Restored the
	  old behavior of FXCheckButton#getCheck and FXRadioButton#getCheck
	  so that they once again return 'true' if the state is TRUE or
	  MAYBE, otherwise 'false'. Use of getCheck() does now issue a
	  "deprecated" warning message, advising the user to instead try
	  the checked?, unchecked? and maybe? methods.

2002-12-16 15:32  lyle

	* ext/fox/FXRuby.cpp: Added a few more assertions in FXRuby.cpp.

2002-12-16 15:09  lyle

	* ext/fox/FXRbApp.cpp: Make sure that the data pointer for any
	  outstanding references to the application's registry object get
	  reset to zero when the FXApp itself is destroyed (since it will
	  take down the FXRegistry with it).

2002-12-16 15:07  lyle

	* ext/fox/markfuncs.cpp: Make sure that any outstanding references
	  to the FXApp's registry object get marked during garbage
	  collection.

2002-12-16 12:43  lyle

	* lib/fox/aliases.rb, rdoc-sources/FXDict.rb,
	  rdoc-sources/FXRegistry.rb, rdoc-sources/FXSettings.rb: Changed
	  some of the aliases:

	  * FXDict#key? is no longer an alias for FXDict#has_key?.
	  FXDict#key(pos)   returns the key at position 'pos' and is not a
	  predicate method like   Hash#key?.  * FXRegistry#asciiMode was
	  renamed to FXRegistry#asciiMode? since it has   a boolean return
	  value.  * FXSettings#existingEntry and FXSettings#existingSection
	    are renamed to existingEntry? and existingSection?,
	  respectively.

2002-12-16 12:38  lyle

	* lib/fox/core.rb, rdoc-sources/FXWindow.rb: Added
	  FXWindow#each_child, an iterator over the child windows.

2002-12-16 11:45  lyle

	* lib/fox/aliases.rb, rdoc-sources/FXCheckButton.rb,
	  rdoc-sources/FXRadioButton.rb, scripts/FXRuby.iss.in,
	  swig-interfaces/FXCheckButton.i, swig-interfaces/FXRadioButton.i,
	  swig-interfaces/ruby-typemaps.i, tests/TC_FXCheckButton.rb,
	  tests/TC_FXRadioButton.rb: Modified the return types for
	  FXCheckButton#check and FXRadioButton#check so that they return
	  an integer value (one of TRUE, FALSE or MAYBE) instead of a
	  boolean (i.e. true or false). Also modified the input typemaps
	  for FXbool input arguments so that they accept Ruby's true and
	  false boolean values (as before), but also accept integer values
	  for FOX's TRUE, FALSE and MAYBE.

	  The new instance methods FXCheckButton#checked?,
	  FXCheckButton#unchecked? and FXCheckButton#maybe? return true or
	  false depending on which of the three states a check button is
	  in. Ditto for FXRadioButton methods of the same names.

2002-12-16 11:42  lyle

	* ext/fox/: image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp,
	  opengl_wrap.cpp, scintilla_wrap.cpp, ui_wrap.cpp: Modified the
	  return types for FXCheckButton#check and FXRadioButton#check so
	  that they return an integer value (one of TRUE, FALSE or MAYBE)
	  instead of a boolean (i.e. true or false). Also modified the
	  input typemaps for FXbool input arguments so that they accept
	  Ruby's true and false boolean values (as before), but also accept
	  integer values for FOX's TRUE, FALSE and MAYBE.

	  The new instance methods FXCheckButton#checked?,
	  FXCheckButton#unchecked? and FXCheckButton#maybe? return true or
	  false depending on which of the three states a check button is
	  in. Ditto for FXRadioButton methods of the same names.

2002-12-16 11:20  lyle

	* ext/fox/icons_wrap.cpp: Modified the return types for
	  FXCheckButton#check and FXRadioButton#check so that they return
	  an integer value (one of TRUE, FALSE or MAYBE) instead of a
	  boolean (i.e. true or false). Also modified the input typemaps
	  for FXbool input arguments so that they accept Ruby's true and
	  false boolean values (as before), but also accept integer values
	  for FOX's TRUE, FALSE and MAYBE.

	  The new instance methods FXCheckButton#checked?,
	  FXCheckButton#unchecked? and FXCheckButton#maybe? return true or
	  false depending on which of the three states a check button is
	  in. Ditto for FXRadioButton methods of the same names.

2002-12-16 11:05  lyle

	* ext/fox/dialogs_wrap.cpp: Modified the return types for
	  FXCheckButton#check and FXRadioButton#check so that they return
	  an integer value (one of TRUE, FALSE or MAYBE) instead of a
	  boolean (i.e. true or false). Also modified the input typemaps
	  for FXbool input arguments so that they accept Ruby's true and
	  false boolean values (as before), but also accept integer values
	  for FOX's TRUE, FALSE and MAYBE.

	  The new instance methods FXCheckButton#checked?,
	  FXCheckButton#unchecked? and FXCheckButton#maybe? return true or
	  false depending on which of the three states a check button is
	  in. Ditto for FXRadioButton methods of the same names.

2002-12-16 09:43  lyle

	* ext/fox/core_wrap.cpp: Modified the return types for
	  FXCheckButton#check and FXRadioButton#check so that they return
	  an integer value (one of TRUE, FALSE or MAYBE) instead of a
	  boolean (i.e. true or false). Also modified the input typemaps
	  for FXbool input arguments so that they accept Ruby's true and
	  false boolean values (as before), but also accept integer values
	  for FOX's TRUE, FALSE and MAYBE.

	  The new instance methods FXCheckButton#checked?,
	  FXCheckButton#unchecked? and FXCheckButton#maybe? return true or
	  false depending on which of the three states a check button is
	  in. Ditto for FXRadioButton methods of the same names.

2002-12-13 09:14  lyle

	* doc/changes.xml, examples/imageviewer.rb, lib/fox/core.rb,
	  scripts/FXRuby.iss.in, tests/TC_FXRegistry.rb: Added the
	  FXRegistry#readBoolEntry and FXRegistry#writeBoolEntry methods.
	  Also modified the imageviewer.rb example to use this, and added a
	  test case.

2002-12-13 09:09  lyle

	* doc/book.xml: Changed doc/book.xml to reference the local copy of
	  the DocBook/XML DTD instead of the one at open-oasis.org since
	  the latter site seems to be down.

2002-12-12 15:13  lyle

	* ext/fox/markfuncs.cpp: Fixed FXRbObject::freefunc() so that it
	  checks for NULL pointer.

2002-12-12 08:52  lyle

	* swig-interfaces/handlers.i: Reintroduce the wrappers for FOX
	  message handler member functions.  Cutting them out didn't
	  significantly reduce the final code size, and there's the chance
	  that someone might want to call them directly.

2002-12-12 08:48  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, layout_wrap.cpp,
	  mdi_wrap.cpp, opengl_wrap.cpp, scintilla_wrap.cpp, ui_wrap.cpp:
	  Reintroduce the wrappers for FOX message handler member
	  functions.  Cutting them out didn't significantly reduce the
	  final code size, and there's the chance that someone might want
	  to call them directly.

2002-12-11 17:04  lyle

	* tests/TC_FXTreeList.rb: [no log message]

2002-12-11 16:41  lyle

	* tests/TC_Misc.rb: [no log message]

2002-12-11 16:34  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in, scripts/FXRuby.iss.in: Added
	  missing library files and test scripts to the Windows installer
	  script.

2002-12-11 11:58  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in, Makefile: Updated build
	  scripts, etc. to reflect version 1.0.17.

2002-12-11 11:54  lyle

	* doc/changes.xml: Added most recent fixes to the changes.xml
	  document.

2002-12-11 11:25  lyle

	* ext/fox/FXRuby.cpp: In FXRbConvertMessageData(), replaced all
	  remaining calls to FXRbNewPointerObj with calls to
	  FXRbGetRubyObj. In other words, if we need to pass a reference to
	  some object (like an MDI child window) we first check to see if a
	  Ruby reference already exists.  If so, use that; if not,
	  FXRbGetRubyObj() calls FXRbNewPointerObj() to create a new
	  reference.

2002-12-11 11:23  lyle

	* ext/fox/include/FXRuby.h: Replaced some static_cast<>s with
	  reinterpret_cast<> (but to same final type).

2002-12-11 11:21  lyle

	* lib/fox/aliases.rb: Added doubleBuffered? as an alias for
	  FXGLVisual#isDoubleBuffer.

2002-12-11 11:20  lyle

	* scripts/FXRuby.iss.in: Added new documentation files and images
	  to the Windows installer script.

2002-12-11 10:35  lyle

	* examples/glviewer.rb: Fixed the glviewer.rb example so that it
	  shows the right-click popup menu properly (see SF Bug #646252).

2002-12-10 17:27  lyle

	* doc/: build.xml, opengl.xml, tutorial1.xml: [no log message]

2002-12-10 15:49  lyle

	* INSTALL, Makefile.in: Added a plain-text INSTALL file to the
	  top-level directory.

2002-12-10 11:52  lyle

	* doc/: images/call-chain-example.dia,
	  images/call-chain-example.png, images/inheritance.dia,
	  images/inheritance.png, book.xml, changes.xml, cvs.xml,
	  implementation.xml, infosources.xml, todo.xml: [no log message]

2002-12-09 11:44  lyle

	* tests/stress2.rb: [no log message]

2002-12-09 11:34  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, librb.c, mdi_wrap.cpp,
	  opengl_wrap.cpp, scintilla_wrap.cpp, ui_wrap.cpp: [no log
	  message]

2002-12-07 11:07  lyle

	* tests/: TC_stress2.rb, stress2.rb: [no log message]

2002-12-07 10:52  lyle

	* tests/TC_stress2.rb: Added a test case to check for Steve
	  Tucker's bug (the timers thing).

2002-12-06 19:04  lyle

	* ext/fox/core_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	  ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp,
	  ext/fox/layout_wrap.cpp, ext/fox/mdi_wrap.cpp,
	  ext/fox/opengl_wrap.cpp, ext/fox/scintilla_wrap.cpp,
	  ext/fox/ui_wrap.cpp, swig-interfaces/common.i,
	  swig-interfaces/exceptions.i, swig-interfaces/freefuncs.i,
	  swig-interfaces/scintilla.i: Renamed the DO_POST_INITIALIZE macro
	  (defined in exceptions.i) to the slightly more descriptive
	  DO_CLASS_SETUP. Added a line to that macro that sets the
	  %freefunc for those classes to be FXRbObject::freefunc().  Also
	  swapped the inclusion order of exceptions.i and freefuncs.i in
	  the files common.i and scintilla.i; this ensures that any
	  %freefunc declarations that appear in the freefuncs.i file will
	  override the default setting made for all classes by the
	  DO_CLASS_SETUP macro.

2002-12-06 18:27  lyle

	* ext/fox/FXRuby.cpp, ext/fox/markfuncs.cpp,
	  ext/fox/include/FXRbObject.h, swig-interfaces/freefuncs.i: Added
	  a new general-purpose freefunc (FXRbObject::freefunc) that most
	  objects derived from FXObject should be able to use. It checks
	  the class name of the object being garbage-collected and, if it
	  starts with "FXRb", it calls the object's destructor. If the
	  class name doesn't start with "FXRb" we just call
	  FXRbUnregisterRubyObj() on the object.

2002-12-06 18:24  lyle

	* lib/fox/: chore.rb, input.rb, responder2.rb, signal.rb,
	  timeout.rb: Corrected a bug related to the use of the
	  FXApp#addTimeout, FXApp#addChore, FXApp#addSignal and
	  FXApp#addInput when the "target" is a method or block. A typical
	  call to, say, FXApp#addTimeout might look like this:

	      anApp.addTimeout(100, method(:timeoutHandlerMethod))

	  or

	      anApp.addTimeout(100) do
		# handle the timeout here
	      end

	  Under the hood this creates an FXPseudoTarget instance to
	  stand-in as the target object for the future timeout message. The
	  problem was that in some circumstances this object (the
	  FXPseudoTarget) was getting garbage-collected before the
	  associated timer message fired. When that happened, FOX would try
	  to send a SEL_TIMEOUT message to a now non-existent object and
	  the program would crash.

	  Now, whenever an FXPseudoTarget object is asked to listed for a
	  SEL_TIMEOUT message it stores a reference to itself in a class
	  variable so that Ruby won't garbage collect it. After the timer
	  fires, it's safe to remove the object from that global storage
	  since it is indeed no longer needed.

2002-12-05 17:53  lyle

	* swig-interfaces/: FXHVec.i, FXMemoryBuffer.i, FXRange.i, FXVec.i:
	  Modified the __setitem__() methods (a.k.a. #[]=) for FXHVec,
	  FXMemoryBuffer and FXVec so that they return the value just
	  assigned. This is consistent with Array#[]=() behavior. Thanks to
	  Joel VanderWerf for catching that one.

2002-12-05 17:50  lyle

	* tests/: TC_FXVec.rb, TC_FXHVec.rb: [no log message]

2002-12-05 15:05  lyle

	* ext/fox/opengl_wrap.cpp, ext/fox/include/FXRbGLShape.h,
	  lib/fox/aliases.rb, swig-interfaces/FXGLShape.i,
	  tests/TC_FXGLShape.rb: Added accessors FXGLShape#position and
	  FXGLShape#position= for getting and setting the shape's position.
	  FXGLShape#position returns a reference to an FXVec object, and
	  FXGLShape#position= accepts either an FXVec or a 3-element Array.
	  Added a test case for these (TC_FXGLShape.rb). Thanks to Joel
	  VanderWerf for this suggestion.

	  Also added the missing FXGLShape#range= as an alias for
	  FXGLShape#setRange.

2002-12-05 07:50  lyle

	* lib/fox/: chore.rb, input.rb, responder2.rb, signal.rb,
	  timeout.rb: Moved the code for modified FXApp#addTimeout,
	  FXApp#addChore, FXApp#addSignal and FXApp#addInput out to
	  separate files for better readability. These are still included
	  by responder2 so no code changes should be required.

2002-12-04 16:24  lyle

	* ext/fox/: scintilla_wrap.cpp, ui_wrap.cpp: [no log message]

2002-12-04 16:20  lyle

	* ext/fox/opengl_wrap.cpp: [no log message]

2002-12-04 16:15  lyle

	* ext/fox/: dialogs_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp: [no
	  log message]

2002-12-04 16:04  lyle

	* ext/fox/core_wrap.cpp: [no log message]

2002-12-03 17:57  lyle

	* tests/TC_Misc.rb: [no log message]

2002-12-03 17:33  lyle

	* doc/changes.xml: Added notes about latest changes to changes.xml
	  file.

2002-12-03 17:18  lyle

	* setversions.rb: [no log message]

2002-12-03 17:15  lyle

	* lib/fox/aliases.rb, swig-interfaces/FXTopWindow.i: Added missing
	  methods FXTopWindow#getPadLeft, FXTopWindow#setPadRight and
	  FXTopWindow#getPadRight, as well as corresponding accessor
	  "aliases" FXTopWindow#padLeft, FXTopWindow#padRight= and
	  FXTopWindow#padRight.

2002-12-03 07:21  lyle

	* ext/fox/include/FXRbCommon.h: Temporarily redefine OpenFile to
	  WIN32_OpenFile when compiling under Cygwin, to avoid compile-time
	  name conflict (see SF Bug #647792).

2002-11-30 18:33  lyle

	* swig-interfaces/fxdefs.i: Fixed SWIG interface declarations for
	  fxhsv_to_rgb and fxrgb_to_hsv. These weren't declared properly
	  and weren't getting wrapped properly as a result.

2002-11-27 00:40  lyle

	* ext/fox/include/FXRuby.h: For the implementation of
	  to_ruby(FXEvent*): replaced the call to FXRbNewPointerObj() with
	  a call to FXRbGetRubyObj(). In other words, if a previously
	  registered instance still exists, use it instead of creating a
	  new instance.

2002-11-27 00:38  lyle

	* swig-interfaces/common.i: Trying out %ignore's for all of the
	  message handler functions, to see how this reduces the wrapper
	  files' sizes.

2002-11-26 23:44  lyle

	* swig-interfaces/: handlers.i, ignore-message-handlers.rb: [no log
	  message]

2002-11-26 13:33  lyle

	* ext/fox/: FXRuby.cpp, include/FXRuby.h: Moved the implementation
	  of to_ruby(const FXObject*) back into FXRuby.cpp (was an inline
	  defined in the header file). Also fixed it so that the SWIG type
	  is properly determine from the FOX class name (e.g. if the FOX
	  class name is "FXRbButton" we actually want to look up the
	  "FXButton *" SWIG type.

2002-11-22 11:23  lyle

	* tests/TC_FXDCWindow.rb: [no log message]

2002-11-22 11:15  lyle

	* tests/TC_FXDCPrint.rb: Fixed test case failure on Windows
	  (TC_FXDCPrint.rb).

2002-11-22 09:38  lyle

	* FXRuby-ruby1.7-i386-mswin32.iss,
	  FXRuby-ruby1.7-i386-mswin32.iss.in,
	  scripts/create-installer-scripts.rb: Removed the 'i386-mswin32'
	  version of the installer script for Ruby 1.7.x.

2002-11-22 09:29  lyle

	* .cvsignore, ANNOUNCE, FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in,
	  FXRuby-ruby1.7-i386-mswin32.iss,
	  FXRuby-ruby1.7-i386-mswin32.iss.in, FXRuby.spec, Makefile,
	  doc/changes.xml, ext/fox/.cvsignore, ext/fox/extconf.rb:
	  Re-adding a bunch of files to CVS that I had taken out earlier.

2002-11-22 08:59  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, extconf.rb,
	  icons_wrap.cpp, image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp,
	  opengl_wrap.cpp, scintilla_wrap.cpp, ui_wrap.cpp: [no log
	  message]

2002-11-22 08:23  lyle

	* swig-interfaces/FXMenuCommand.i: Fixed FXMenuCommand#isChecked
	  and FXMenuCommand#isRadioChecked to return true or false instead
	  of 0/1 (see SF Bug #642261).

2002-11-22 08:21  lyle

	* ext/fox/librb.c: [no log message]

2002-11-22 08:18  lyle

	* scripts/FXRuby.iss.in, tests/TC_FXMenuCommand.rb: Added the
	  TC_FXMenuCommand.rb test case.

2002-11-22 07:59  lyle

	* ext/fox/FXRuby.cpp: Modified FXRbGetRubyObj() and
	  FXRbNewPointerObj() to return Qnil if passed a NULL pointer. This
	  is more consistent with what SWIG does in SWIG_NewPointerObj().

	  Also modified the bit in FXRbConvertMessageData() that converts
	  the void* message data for an FXTreeList's SEL_COMMAND message.
	  We were calling FXRbNewPointerObj() but I think the correct thing
	  to do is instead call FXRbGetRubyObj(), so that if a reference to
	  this object already exsists we'll use it instead.

2002-11-21 18:40  lyle

	* ext/fox/: FXRuby.cpp, include/FXRbDC.h, include/FXRuby.h: Added a
	  new overload for FXRbGetRubyObj() that takes a SWIG type info
	  struct as its second argument. Also removed the default argument
	  value for the version that takes a FXbool as its second argument;
	  this was a little dangerous (i.e. easy to abuse).

2002-11-14 15:15  lyle

	* ChangeLog: [no log message]

2002-11-14 15:15  lyle

	* scripts/FXRuby.iss.in: Updated the Windows installer script to
	  include latest test cases and supporting files for same.

2002-11-14 13:04  lyle

	* Makefile.in: [no log message]

2002-11-14 12:36  lyle

	* ChangeLog, doc/changes.xml: [no log message]

2002-11-14 12:36  lyle

	* ext/fox/include/FXRbDCWindow.h, lib/fox/iterators.rb,
	  swig-interfaces/FXDCWindow.i, swig-interfaces/exceptions.i: The
	  new code for optional code blocks on FXDCWindow#new,
	  FXDCPrint#beginPrint and FXDCPrint#beginPage.

2002-11-14 12:20  lyle

	* examples/scribble.rb: Modified the scribble.rb example to use the
	  new block thingies for FXDCWindow in some cases.

2002-11-14 12:00  lyle

	* tests/TC_FXFileStream.rb: Ensure that the 'goobers' file created
	  during TC_FXFileStream gets deleted at the end.

2002-11-14 11:55  lyle

	* tests/: howdypage.ps, TC_FXDCPrint.rb: [no log message]

2002-11-14 11:52  lyle

	* tests/: TC_FXDCPrint.rb, blankpage.ps: Added a test case for
	  FXDCPrint.

2002-11-14 11:04  lyle

	* tests/TC_FXDCWindow.rb: [no log message]

2002-11-14 09:22  lyle

	* examples/gltest.rb: Disable thread-checking in the gltest.rb
	  example so that the chores-based spinning option will run
	  blazingly fast.

2002-11-14 08:52  lyle

	* lib/fox/responder.rb: Just a notational change; use 'dot'
	  notation to form the fully-qualified names of module-level
	  methods (e.g. Fox.MKUINT instead of Fox::MKUINT).

2002-11-14 08:50  lyle

	* lib/fox/responder2.rb: Use the fully-qualified name for SELTYPE
	  (Fox.SELTYPE).

2002-11-13 18:04  lyle

	* lib/fox/: aliases.rb, canvas.rb, glshapes.rb, irb.rb,
	  iterators.rb, keys.rb, responder.rb, responder2.rb, undolist.rb:
	  Fix all of the library files (under lib/fox) to ensure that all
	  of them require 'fox' before re-opening the Fox module (to add
	  new stuff). Also make sure that none of them do an 'include Fox',
	  which would pollute the global namespace.

2002-11-12 18:32  lyle

	* examples/table.rb: Updated the table.rb example for consistency
	  with FOX's table example.

2002-11-11 12:21  lyle

	* doc/changes.xml: [no log message]

2002-11-11 12:17  lyle

	* ext/fox/include/FXRuby.h: Replaced a few C-style casts with
	  C++-style casts in FXRuby.h. Nothing to get excited about.

2002-11-11 12:16  lyle

	* swig-interfaces/scintilla.i: Updated the scintilla.i file to
	  ensure that exceptions.i gets included; otherwise we might not
	  get the new block-initialization stuff applied to the FXScintilla
	  widget.

2002-11-11 12:09  lyle

	* swig-interfaces/ruby-typemaps.i: Commented out the "out" typemap
	  for the NotifyHeader struct. This was the cause of an FXScintilla
	  bug reported by Laurent Julliard (see SF Bug Report #636713).
	  Same root problem as a previously-encountered bug for
	  FXTableRange and FXTablePos objects; we were confusing the
	  NotifyHeader with its "parent" SCNotification struct since they
	  both have the same pointer (i.e. &SCNotification ==
	  &SCNotification.nmhdr).

2002-11-11 12:07  lyle

	* swig-interfaces/exceptions.i: Removed all of the
	  DO_POST_INITIALIZE() macros for the FXRb* classes.  They are no
	  longer needed since SWIG doesn't see those declarations anyways.

2002-11-11 11:41  lyle

	* doc/scintilla.xml: Updated Scintilla documentation to provide
	  links to the latest version (1.49).

2002-11-11 11:39  lyle

	* lib/fox/scintilla.rb: Updated the scintilla.rb library file for
	  fxscintilla-1.49.

2002-11-08 17:46  lyle

	* examples/: foursplit.rb, pig.rb: Fixed the foursplit.rb and
	  pig.rb examples to use the new-style initialization blocks (i.e.
	  account for changes from FXRuby 1.0.15).

2002-11-08 17:36  lyle

	* tests/TC_FXFont.rb, Makefile.in: [no log message]

2002-11-08 17:35  lyle

	* ChangeLog: Updated ChangeLog.

2002-11-08 17:33  lyle

	* scripts/FXRuby.iss.in: Make sure that all of the test cases get
	  bundled into the Windows installer (list was out of date).

2002-11-08 17:29  lyle

	* tests/TC_FXDataTarget.rb, tests/TC_FXList.rb, doc/changes.xml:
	  [no log message]

2002-11-08 17:22  lyle

	* swig-interfaces/: FXIconList.i, FXList.i: Fixed aliases to "<<"
	  in FXList and FXIconList.

2002-11-08 17:22  lyle

	* tests/TC_FXFont.rb: [no log message]

2002-11-08 17:16  lyle

	* tests/TC_FXListBox.rb: [no log message]

2002-11-08 17:11  lyle

	* tests/: TC_FXGLGroup.rb, TC_FXIconList.rb: [no log message]

2002-11-08 16:53  lyle

	* tests/TC_FXId.rb: Add a new test case for FXId.

2002-11-08 16:50  lyle

	* tests/TC_FXTable.rb: Added a stress test for FXTable garbage
	  collection issues.

2002-11-08 15:57  lyle

	* swig-interfaces/: FXGLObject.i, FXIconList.i, FXList.i,
	  FXListBox.i: Added "<<" as an alias for FXGLObject#append,
	  FXIconList#appendItem, FXList#appendItem and
	  FXListBox#appendItem.

2002-11-08 15:56  lyle

	* swig-interfaces/FXId.i: Added the FXId#created? method.

2002-11-08 15:56  lyle

	* swig-interfaces/exceptions.i: Modified the initialization block
	  so that instead of evaluating the block using instance_eval(), it
	  just yields "self" as an argument to the block.

2002-11-08 15:55  lyle

	* lib/fox/core.rb: Added a #to_s method for class FXDataTarget.

2002-11-08 12:30  lyle

	* swig-interfaces/FXTable.i: Fixed a big bug for
	  FXTable#setTableSize. FXTable::setTableSize() [the C++ library
	  function) first destroys all of the table items and then resizes
	  its array of pointers to table items to hold the new ones. The
	  FXRuby code should have been finding all of the Ruby FXTableItem
	  instances that held pointers to deceased table items and cleaning
	  those up, but this was not happening; as a result, we were
	  getting errors at GC time.

2002-11-08 11:44  lyle

	* tests/TC_FXHVec.rb: Changed Object#type to Object#class
	  (Object#type is deprecated in Ruby 1.7 and this was triggering a
	  warning message).

2002-11-06 18:36  lyle

	* ext/fox/extconf.rb.in: Insert a space before the '-O0' in $CFLAGS
	  on Unix builds; this was breaking for some Ruby 1.7.3
	  configurations.

2002-10-30 10:47  lyle

	* examples/raabrowser.rb: Updated the RAA browser example program
	  to reflect changes in the SOAP interface: the product.homepage,
	  product.download and owner.email elements are now unmarshalled as
	  URI objects on the client side (previously they were unmarshalled
	  as strings).

2002-10-25 22:48  lyle

	* swig-interfaces/FXFont.i: Corrected the return value of
	  FXFont.listFonts; it was returning garbage.

2002-10-25 17:22  lyle

	* ext/fox/FXRuby.cpp: [no log message]

2002-10-25 10:08  lyle

	* swig-interfaces/ruby-typemaps.i: Moved the typemap helper code
	  for converting Ruby String objects into FXStrings out into a
	  separate function. This helped to reduce the size of the
	  resulting wrapper code.

2002-10-25 09:56  lyle

	* swig-interfaces/ruby-typemaps.i: Moved the typemap helper code
	  for converting Ruby true and false instances into FXbool argument
	  values out to a separate function. This helps to reduce the size
	  of the resulting wrapper code.

2002-10-25 09:50  lyle

	* swig-interfaces/ruby-typemaps.i: Moved the typemap helper code
	  that extracts an FXEvent pointer from a Ruby FXEvent instance out
	  into a separate function. This reduces the size of the wrapper
	  code significantly.

2002-10-18 11:15  lyle

	* swig-interfaces/macros.i: Added default argument values for
	  FXToolbar::dock() in macros.i SWIG interface file.

2002-10-18 11:15  lyle

	* swig-interfaces/exceptions.i: Added
	  DO_POST_INITIALIZE(FXScrollCorner) to the exceptions.i SWIG
	  interface file.

2002-10-17 12:34  lyle

	* ChangeLog: [no log message]

2002-10-17 10:31  lyle

	* scripts/FXRuby.iss.in: [no log message]

2002-10-17 09:37  lyle

	* scripts/make-win32-tarball.sh: Corrected path names in the
	  make-win32-tarball.sh script.

2002-10-15 13:48  lyle

	* scripts/FXRuby.iss.in: Removed obsolete file overloads.rb from
	  the installer scripts.

2002-10-15 11:46  lyle

	* examples/table.rb: Changes to the table.rb example due to FXTable
	  protocol changes in fox-1.0.26; table items are now created
	  lazily and some calls that used to work (e.g. getItem(r,
	  c).setButton(true)) are now broken if there is no table item at
	  that row & column.

2002-10-15 11:35  lyle

	* examples/styledtext.rb: Turned on word wrapping for the
	  styledtext.rb example (also reduced the initial main window
	  size).

2002-10-15 11:28  lyle

	* examples/imageviewer.rb: Updated the About... message for the
	  ImageViewer example (e.g. now lists fox-toolkit.org URL and
	  e-mails).

2002-10-15 11:19  lyle

	* examples/babelfish.rb: Added a wait cursor for the Babelfish
	  example (i.e. show wait cursor while it's contacting the SOAP
	  server to do the translation).

2002-10-15 10:26  lyle

	* lib/fox/aliases.rb, swig-interfaces/FXScrollArea.i,
	  swig-interfaces/FXScrollbar.i: Fixed the FXScrollArea#position
	  and FXScrollbar#position overloading thing.

2002-10-11 17:15  lyle

	* lib/fox/aliases.rb: Remove overrides of the position() method in
	  FXScrollArea and FXScrollbar; these are hiding the base class
	  FXWindow#position method.

2002-10-11 16:29  lyle

	* ChangeLog: [no log message]

2002-10-11 16:25  lyle

	* scripts/FXRuby.iss.in: Added missing documentation files to
	  FXRuby.iss.in.

2002-10-11 16:01  lyle

	* setversions.rb: [no log message]

2002-10-11 15:58  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in,
	  FXRuby-ruby1.7-i386-mswin32.iss.in: Removed the three Windows
	  installer scripts from CVS; these are now automatically generated
	  from a template.

2002-10-11 15:56  lyle

	* FXRuby-ruby1.7-i386-msvcrt.iss.in, scripts/FXRuby.iss.in,
	  scripts/create-installer-scripts.rb: Created a script to automate
	  generation of the Windows installer scripts.

2002-10-11 15:14  lyle

	* ChangeLog: [no log message]

2002-10-11 15:11  lyle

	* ext/fox/markfuncs.cpp: Corrected a bug in delete_if_not_owned();
	  we should only destroy those objects that are definitely unowned.

2002-10-11 15:10  lyle

	* doc/changes.xml: Rearranged the changes list for version 1.0.14
	  (bug fixes first, followed by new stuff).

2002-10-11 15:09  lyle

	* swig-interfaces/FXList.i: Replaced C style casts with
	  dynamic_casts for selected FXList helper functions.

2002-10-11 14:29  lyle

	* ChangeLog, Makefile.in: Make sure that the ChangeLog is updated
	  before we build the source tarball for a new release.

2002-10-11 14:19  lyle

	* Makefile.in: [no log message]

2002-10-11 14:11  lyle

	* lib/fox/tkcompat.rb: [no log message]

2002-10-11 12:46  lyle

	* doc/tutorial1.xml: Broke the last section of the tutorial (which
	  covered both tooltips and icons) into two separate sections.

2002-10-11 12:40  lyle

	* doc/: tutorial1.xml, images/hello-with-icon-1.png,
	  images/hello-with-icon-2.png, images/hello-with-icon-3.png,
	  images/hello-with-tooltip.png: More updates for the "Hello,
	  World" tutorial chapter.

2002-10-11 11:18  lyle

	* examples/hello2.rb: [no log message]

2002-10-11 11:18  lyle

	* examples/hello2.rb: Restored the accidentally-clobbered hello2.rb
	  example.

2002-10-11 10:24  lyle

	* lib/fox/tkcompat.rb: Removed DOS-style line endings for
	  tkcompat.rb.

2002-10-11 10:23  lyle

	* doc/changes.xml, examples/babelfish.rb, examples/browser.rb,
	  examples/button.rb, examples/canvasdemo.rb,
	  examples/datatarget.rb, examples/dctest.rb, examples/dialog.rb,
	  examples/dilbert.rb, examples/dirlist.rb, examples/foursplit.rb,
	  examples/gdchart.rb, examples/gltest.rb, examples/glviewer.rb,
	  examples/groupbox.rb, examples/header.rb, examples/hello.rb,
	  examples/hello2.rb, examples/image.rb, examples/imageviewer.rb,
	  examples/inputs.rb, examples/mditest.rb, examples/pig.rb,
	  examples/raabrowser.rb, examples/rapt-gui.rb,
	  examples/scintilla-test.rb, examples/scribble-orig.rb,
	  examples/scribble.rb, examples/shutter.rb, examples/splitter.rb,
	  examples/styledtext.rb, examples/tabbook.rb, examples/table.rb,
	  ext/fox/FXRbApp.cpp, ext/fox/include/FXRbApp.h,
	  swig-interfaces/FXApp.i: It is no longer necessary to call
	  FXApp#init for a new FXApp instance; this is now done
	  automatically. Old code that still calls FXApp#init should
	  continue to work (i.e. nothing disastrous about calling it
	  twice). Updated all of the examples accordingly.

2002-10-10 20:57  lyle

	* lib/fox/tkcompat.rb: [no log message]

2002-10-10 17:15  lyle

	* doc/: tutorial1.xml, images/hello-with-button.png,
	  images/hello-without-button.png: Major updates to the tutorial
	  chapter in progress.

2002-10-10 17:15  lyle

	* doc/changes.xml: [no log message]

2002-10-10 16:40  lyle

	* examples/datatarget.rb: Added Austin Ziegler's updated version of
	  the datatarget.rb example.

2002-10-10 14:38  lyle

	* doc/: book.xml, differences.xml, implementation.xml, library.xml,
	  opengl.xml, scintilla.xml: [no log message]

2002-10-10 12:32  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in,
	  FXRuby-ruby1.7-i386-mswin32.iss.in: Added the pig.rb example
	  program to the Windows installer scripts.

2002-10-10 12:26  lyle

	* ext/fox/extconf.rb.in: Replaced -lsupc++ with -lstdc++. Not sure
	  if other users will have upgraded to g++3 yet.

2002-10-10 12:17  lyle

	* doc/.cvsignore, swig-interfaces/.cvsignore: [no log message]

2002-10-10 12:02  lyle

	* ext/fox/: FXRuby.cpp, include/FXRuby.h: Added the
	  FXRbIsBorrowed() function used during GC, and filled in more
	  explanatory comments.

2002-10-10 11:54  lyle

	* swig-interfaces/FXTreeList.i: Replaced some C-style casts with
	  dynamic_casts as appropriate.

2002-10-10 11:53  lyle

	* swig-interfaces/Makefile: Added support for the new '-MM' flag to
	  SWIG (to let it generate Makefile dependencies).

2002-10-10 11:52  lyle

	* ext/fox/include/FXRbApp.h, swig-interfaces/macros.i: Moved the
	  implementation of FXApp#init from the SWIG interface file
	  (macros.i) to the FXRbApp header file (FXRbApp.h).

2002-10-10 11:50  lyle

	* ext/fox/markfuncs.cpp: Corrected the implementation of
	  delete_if_not_owned(), the function that is called from the
	  freefuncs for things like list items. The previous implementation
	  didn't properly handle the case where a Ruby instance was
	  shadowing a C++ object that had already been destroyed.  When we
	  tried to call isMemberOf() on that C++ object it would core dump.

2002-10-10 11:46  lyle

	* swig-interfaces/markfuncs.i: Added missing %markfunc directives
	  for FXTGAIcon and FXTGAImage.

2002-10-04 21:51  lyle

	* ext/fox/: impl.cpp, make_impl.rb, include/inlinestubs.h: [no log
	  message]

2002-10-04 21:45  lyle

	* ext/fox/: impl.cpp, make_impl.rb, include/FXRbGLShape.h,
	  include/inlinestubs.h: [no log message]

2002-10-04 18:29  lyle

	* ext/fox/markfuncs.cpp, ext/fox/include/FXRbDirList.h,
	  ext/fox/include/FXRbFileList.h, ext/fox/include/FXRbHeader.h,
	  ext/fox/include/FXRbIconList.h, ext/fox/include/FXRbList.h,
	  ext/fox/include/FXRbTable.h, ext/fox/include/FXRbTreeList.h,
	  swig-interfaces/freefuncs.i: More corrections for GC of owned
	  objects (e.g. list items).

2002-10-04 17:42  lyle

	* swig-interfaces/freefuncs.i, ext/fox/markfuncs.cpp,
	  ext/fox/include/FXRbGLObject.h, ext/fox/include/FXRbGLShape.h:
	  Corrected the free functions for FXGLObject, FXGLGroup and
	  FXGLShape.  When any of these objects is garbage-collected by
	  Ruby, we need to check to see if it is owned by an FXGLGroup. If
	  it is, we should not actually destroy the C++ object!

2002-10-04 16:58  lyle

	* ext/fox/include/FXRbGLObject.h,
	  ext/fox/include/FXRbGLObjectVirtuals.h,
	  ext/fox/include/FXRbGLShape.h,
	  ext/fox/include/FXRbGLShapeVirtuals.h, ext/fox/include/FXRuby.h,
	  swig-interfaces/macros.i: Remove all of the stuff related to
	  supporting override of virtual FXGLObject::identify() member
	  function. As written, there's no safe way to do this; and besides
	  that, it's not useful to override in general.

2002-10-04 16:07  lyle

	* ext/fox/include/FXRbGLShape.h, swig-interfaces/FXGLShape.i: Added
	  the missing FXGLShape#setRange method.

2002-10-04 13:43  lyle

	* ext/fox/FXRuby.cpp: Don't require the obsoleted 'fox/overloads'
	  anymore.

2002-10-04 13:36  lyle

	* Makefile.in: [no log message]

2002-10-04 13:35  lyle

	* ext/fox/extconf.rb.in: Link to libsupc++ instead of libstdc++ if
	  possible.

2002-10-04 13:35  lyle

	* Makefile.in: Do not configure FXScintilla support into the build
	  by default.

2002-10-04 13:13  lyle

	* .cvsignore, ext/fox/.cvsignore: Updated the .cvsignore files.

2002-10-03 17:55  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss, FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-mswin32.iss, ANNOUNCE, FXRuby.spec,
	  ext/fox/extconf.rb: [no log message]

2002-10-03 13:56  lyle

	* Makefile, examples/foursplit.rb, fox-includes/diffs.py: [no log
	  message]

2002-10-03 13:51  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, ui_wrap.cpp: [no log message]

2002-10-03 13:45  lyle

	* tests/stress1.rb, doc/book.html, doc/book.xml, doc/build.html,
	  doc/changes.html, doc/changes.xml, doc/differences.html,
	  doc/events.html, doc/events.xml, doc/examples.html,
	  doc/goals.html, doc/implementation.html, doc/layout.xml,
	  doc/library.html, doc/opengl.html, doc/scintilla.html,
	  doc/todo.html, doc/todo.xml, doc/tutorial1.html: [no log message]

2002-10-03 13:44  lyle

	* lib/fox/aliases.rb: Added aliases for FXApp instance methods:

	    alias mainloop	 run
	    alias enableThreads  threadsEnabled=true
	    alias disableThreads threadsEnabled=false

2002-10-01 10:20  lyle

	* examples/rapt-gui.rb: [no log message]

2002-10-01 10:10  lyle

	* examples/rapt-gui.rb: [no log message]

2002-09-30 23:22  lyle

	* examples/rapt-gui.rb: [no log message]

2002-09-30 22:44  lyle

	* examples/rapt-gui.rb: [no log message]

2002-09-30 10:43  lyle

	* lib/fox/responder2.rb: Modified the FXApp instance methods
	  addInput, addTimeout, addChore and addSignal to accept either a
	  Method or a Proc as their second argument (previously only
	  accepted Methods).

2002-09-30 09:23  lyle

	* examples/pig.rb: [no log message]

2002-09-30 09:05  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, ui_wrap.cpp: [no log message]

2002-09-28 22:40  lyle

	* doc/changes.xml: [no log message]

2002-09-28 22:37  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, ui_wrap.cpp: Modified the post-initialize
	  code to look for a block so that you can now do Tk-style
	  initialization blocks (i.e. evaluated in the new instance's
	  scope). For example:

	      FXLabel.new(parent, "The Label Text") do
		self.icon = FXGIFIcon.new(getApp(), bytes)
		self.layoutHints = LAYOUT_FIX_WIDTH
		self.width = 25
	      end

	  Thanks to Hal Fulton for this suggestion.

2002-09-28 22:30  lyle

	* swig-interfaces/exceptions.i: Modified the post-initialize code
	  to look for a block so that you can now do Tk-style
	  initialization blocks (i.e. evaluated in the new instance's
	  scope). For example:

	      FXLabel.new(parent, "The Label Text") do
		self.icon = FXGIFIcon.new(getApp(), bytes)
		self.layoutHints = LAYOUT_FIX_WIDTH
		self.width = 25
	      end

	  Thanks to Hal Fulton for this suggestion.

2002-09-28 22:23  lyle

	* lib/fox/responder2.rb: Modified the connect() method to accept a
	  Proc as its second object (in addition to methods). Thought this
	  already worked but, hey, it didn't.

2002-09-28 22:22  lyle

	* examples/pig.rb: Added a FOX version of the PigIt example from
	  "Programming Ruby".

2002-09-28 19:59  lyle

	* lib/fox/aliases.rb: [no log message]

2002-09-27 17:44  lyle

	* examples/browser.rb, lib/fox/responder2.rb,
	  ext/fox/include/FXRbTreeList.h: [no log message]

2002-09-27 16:30  lyle

	* examples/browser.rb, ext/fox/core_wrap.cpp, lib/fox/core.rb,
	  lib/fox/iterators.rb, lib/fox/missingdep.rb,
	  lib/fox/overloads.rb, lib/fox/responder2.rb,
	  swig-interfaces/FXObject.i: [no log message]

2002-09-27 15:39  lyle

	* ext/fox/include/FXRbStream.h, swig-interfaces/FXDC.i,
	  swig-interfaces/FXStream.i, ext/fox/core_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/ui_wrap.cpp: [no log message]

2002-09-27 15:23  lyle

	* ext/fox/patch.rb: [no log message]

2002-09-27 14:49  lyle

	* ext/fox/: FXRuby.cpp, include/impl.h: Fixes.

2002-09-27 13:18  lyle

	* ext/fox/: FXRbApp.cpp, core_wrap.cpp, dialogs_wrap.cpp,
	  icons_wrap.cpp, image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp,
	  opengl_wrap.cpp, scintilla_wrap.cpp, ui_wrap.cpp: [no log
	  message]

2002-09-27 12:15  lyle

	* ext/fox/make_impl.rb: [no log message]

2002-09-27 12:11  lyle

	* Makefile, ext/fox/FXRuby.cpp, ext/fox/core_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/impl.cpp,
	  ext/fox/layout_wrap.cpp, ext/fox/make_impl.rb,
	  ext/fox/markfuncs.cpp, ext/fox/mdi_wrap.cpp,
	  ext/fox/opengl_wrap.cpp, ext/fox/ui_wrap.cpp,
	  ext/fox/include/FXRbCursor.h, ext/fox/include/FXRbDC.h,
	  ext/fox/include/FXRbGLObject.h, ext/fox/include/FXRbGLShape.h,
	  ext/fox/include/FXRbGLShapeVirtuals.h,
	  ext/fox/include/FXRbGLViewer.h, ext/fox/include/FXRbMDIChild.h,
	  ext/fox/include/FXRbObject.h,
	  ext/fox/include/FXRbObjectVirtuals.h,
	  ext/fox/include/FXRbRegistry.h, ext/fox/include/FXRbSettings.h,
	  ext/fox/include/FXRbTable.h, ext/fox/include/FXRbToolbar.h,
	  ext/fox/include/FXRbTopWindow.h, ext/fox/include/FXRbWindow.h,
	  ext/fox/include/FXRbWindowVirtuals.h, ext/fox/include/FXRuby.h,
	  ext/fox/include/inlinestubs.h, swig-interfaces/FXDataTarget.i,
	  swig-interfaces/FXDirBox.i, swig-interfaces/FXDirList.i,
	  swig-interfaces/FXGLViewer.i, swig-interfaces/FXJPGIcon.i,
	  swig-interfaces/FXList.i, swig-interfaces/FXListBox.i,
	  swig-interfaces/FXMainWindow.i, swig-interfaces/FXRegistry.i,
	  swig-interfaces/FXSettings.i, swig-interfaces/FXTopWindow.i,
	  swig-interfaces/FXVerticalFrame.i, swig-interfaces/Makefile,
	  swig-interfaces/macros.i, swig-interfaces/markfuncs.i,
	  swig-interfaces/ruby-typemaps.i: [no log message]

2002-09-26 21:27  lyle

	* swig-interfaces/: FXDelegator.i, FXFrame.i, FXGLViewer.i,
	  FXMDIChild.i, FXMDIClient.i, FXMessageBox.i, FXStream.i,
	  FXTable.i, macros.i, ui.i: [no log message]

2002-09-26 18:24  lyle

	* swig-interfaces/: FXCURCursor.i, FXCanvas.i, FXCheckButton.i,
	  FXColorBar.i, FXColorDialog.i, FXColorSelector.i, FXColorWell.i,
	  FXColorWheel.i, FXComboBox.i, FXComposite.i, FXCursor.i, FXDC.i,
	  FXDCPrint.i, FXDCWindow.i, FXDataTarget.i, FXDebugTarget.i,
	  FXDelegator.i, FXDial.i, FXDialogBox.i, FXDict.i, FXDirBox.i,
	  FXDirDialog.i, FXDirList.i, FXDirSelector.i, FXDocument.i,
	  FXDragCorner.i, FXDrawable.i, FXDriveBox.i, FXFileDialog.i,
	  FXFileDict.i, FXFileList.i, FXFileSelector.i, FXFont.i,
	  FXFontDialog.i, FXFontSelector.i, FXFrame.i, FXGIFCursor.i,
	  FXGIFIcon.i, FXGIFImage.i, FXGLCanvas.i, FXGLContext.i,
	  FXGLObject.i, FXGLShape.i, FXGLViewer.i, FXGLVisual.i,
	  FXGroupBox.i, FXHeader.i, FXHorizontalFrame.i, FXICOIcon.i,
	  FXICOImage.i, FXIcon.i, FXIconList.i, FXId.i, FXImage.i,
	  FXImageView.i, FXInputDialog.i, FXJPGIcon.i, FXJPGImage.i,
	  FXLabel.i, FXList.i, FXListBox.i, FXMDIButton.i, FXMDIChild.i,
	  FXMDIClient.i, FXMainWindow.i, FXMatrix.i, FXMenuButton.i,
	  FXMenuCaption.i, FXMenuCascade.i, FXMenuCommand.i, FXMenuPane.i,
	  FXMenuSeparator.i, FXMenuTitle.i, FXMenubar.i, FXMessageBox.i,
	  FXObject.i, FXOptionMenu.i, FXPCXIcon.i, FXPCXImage.i,
	  FXPNGIcon.i, FXPNGImage.i, FXPacker.i, FXPicker.i, FXPopup.i,
	  FXPrintDialog.i, FXProgressBar.i, FXProgressDialog.i,
	  FXRGBIcon.i, FXRGBImage.i, FXRadioButton.i, FXRecentFiles.i,
	  FXRegistry.i, FXReplaceDialog.i, FXRootWindow.i, FXScintilla.i,
	  FXScrollArea.i, FXScrollWindow.i, FXScrollbar.i,
	  FXSearchDialog.i, FXSeparator.i, FXSettings.i, FXShell.i,
	  FXShutter.i, FXSlider.i, FXSpinner.i, FXSplitter.i,
	  FXStatusbar.i, FXStatusline.i, FXStream.i, FXStringDict.i,
	  FXSwitcher.i, FXTGAIcon.i, FXTGAImage.i, FXTIFIcon.i,
	  FXTIFImage.i, FXTab.i, FXTabBar.i, FXTabBook.i, FXTabItem.i,
	  FXTable.i, FXText.i, FXTextField.i, FXToggleButton.i,
	  FXToolbar.i, FXToolbarGrip.i, FXToolbarShell.i, FXToolbarTab.i,
	  FXTooltip.i, FXTopWindow.i, FXTreeList.i, FXTreeListBox.i,
	  FXVerticalFrame.i, FXVisual.i, FXWindow.i, FXXPMIcon.i,
	  FXXPMImage.i, stubs.i: [no log message]

2002-09-26 18:07  lyle

	* swig-interfaces/macros.i: [no log message]

2002-09-24 08:41  lyle

	* ext/fox/include/: FXRbApp.h, FXRbAppVirtuals.h, FXRbBitmap.h,
	  FXRbBitmapVirtuals.h, FXRbCursor.h, FXRbCursorVirtuals.h,
	  FXRbDC.h, FXRbDCVirtuals.h, FXRbDialogBox.h,
	  FXRbDialogBoxVirtuals.h, FXRbDrawable.h, FXRbDrawableVirtuals.h,
	  FXRbFileDict.h, FXRbFileDictVirtuals.h, FXRbGLCanvas.h,
	  FXRbGLCanvasVirtuals.h, FXRbGLObject.h, FXRbGLObjectVirtuals.h,
	  FXRbGLShape.h, FXRbGLShapeVirtuals.h, FXRbGLViewer.h,
	  FXRbGLViewerVirtuals.h, FXRbHeader.h, FXRbHeaderItemVirtuals.h,
	  FXRbIconItemVirtuals.h, FXRbIconList.h, FXRbId.h,
	  FXRbIdVirtuals.h, FXRbImage.h, FXRbImageVirtuals.h, FXRbList.h,
	  FXRbListItemVirtuals.h, FXRbMDIChild.h, FXRbMDIChildVirtuals.h,
	  FXRbObject.h, FXRbObjectVirtuals.h, FXRbPopup.h,
	  FXRbPopupVirtuals.h, FXRbScrollArea.h, FXRbScrollAreaVirtuals.h,
	  FXRbShutter.h, FXRbShutterVirtuals.h, FXRbSpinner.h,
	  FXRbSpinnerVirtuals.h, FXRbStream.h, FXRbStreamVirtuals.h,
	  FXRbTabBar.h, FXRbTabBarVirtuals.h, FXRbTable.h,
	  FXRbTableItemVirtuals.h, FXRbTableVirtuals.h, FXRbText.h,
	  FXRbTextVirtuals.h, FXRbToolbar.h, FXRbToolbarVirtuals.h,
	  FXRbTopWindow.h, FXRbTopWindowVirtuals.h, FXRbTreeItemVirtuals.h,
	  FXRbTreeList.h, FXRbTreeListVirtuals.h, FXRbWindow.h,
	  FXRbWindowVirtuals.h: [no log message]

2002-09-23 18:54  lyle

	* swig-interfaces/FX4Splitter.i, swig-interfaces/FXAccelTable.i,
	  swig-interfaces/FXApp.i, swig-interfaces/FXArrowButton.i,
	  swig-interfaces/FXBMPIcon.i, swig-interfaces/FXBMPImage.i,
	  swig-interfaces/FXBitmap.i, swig-interfaces/FXButton.i,
	  swig-interfaces/common.i, swig-interfaces/renames.i,
	  swig-interfaces/scintilla.i, lib/fox/aliases.rb: [no log message]

2002-09-21 15:02  lyle

	* swig-interfaces/macros.i: [no log message]

2002-09-21 12:00  lyle

	* swig-interfaces/macros.i: [no log message]

2002-09-21 11:19  lyle

	* swig-interfaces/: FXApp.i, common.i, macros.i: [no log message]

2002-09-20 18:16  lyle

	* ext/fox/core_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	  ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp, ext/fox/impl.cpp,
	  ext/fox/layout_wrap.cpp, ext/fox/mdi_wrap.cpp,
	  ext/fox/opengl_wrap.cpp, ext/fox/scintilla_wrap.cpp,
	  ext/fox/ui_wrap.cpp, ext/fox/include/FXRbApp.h,
	  ext/fox/include/FXRbAppVirtuals.h, lib/fox/aliases.rb,
	  lib/fox/iterators.rb, swig-interfaces/FXApp.i,
	  swig-interfaces/markfuncs.i, swig-interfaces/renames.i,
	  swig-interfaces/stubs.i, tests/TC_FXDC.rb: [no log message]

2002-09-20 16:45  lyle

	* ANNOUNCE, FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss, FXRuby-ruby1.7-i386-mswin32.iss,
	  FXRuby.spec, Makefile, ext/fox/extconf.rb: Bump version number to
	  1.0.14.

2002-09-20 16:37  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, ui_wrap.cpp: Reordered the calls to
	  DATA_PTR(self) and FXRbRegisterRubyObj().

2002-09-20 15:49  lyle

	* swig-interfaces/exceptions.i: Replaced explicit %exception
	  directives with DO_POST_INITIALIZE() macro instances.

2002-09-20 15:38  lyle

	* swig-interfaces/: FX4Splitter.i, FXAccelTable.i, FXApp.i,
	  FXArrowButton.i, FXBMPIcon.i, FXBMPImage.i, FXBitmap.i,
	  FXCURCursor.i, FXCanvas.i, FXCheckButton.i, FXColorBar.i,
	  FXColorDialog.i, FXColorSelector.i, FXColorWell.i,
	  FXColorWheel.i, FXComboBox.i, FXComposite.i, FXCursor.i, FXDC.i,
	  FXDCPrint.i, FXDCWindow.i, FXDataTarget.i, FXDebugTarget.i,
	  FXDelegator.i, FXDial.i, FXDialogBox.i, FXDict.i, FXDirBox.i,
	  FXDirDialog.i, FXDirList.i, FXDirSelector.i, FXDocument.i,
	  FXDragCorner.i, FXDrawable.i, FXDriveBox.i, FXFileDialog.i,
	  FXFileDict.i, FXFileList.i, FXFileSelector.i, FXFont.i,
	  FXFontDialog.i, FXFontSelector.i, FXFrame.i, FXGIFCursor.i,
	  FXGIFIcon.i, FXGIFImage.i, FXGLCanvas.i, FXGLContext.i,
	  FXGLObject.i, FXGLShape.i, FXGLViewer.i, FXGLVisual.i,
	  FXGroupBox.i, FXHMat.i, FXHVec.i, FXHeader.i,
	  FXHorizontalFrame.i, FXICOIcon.i, FXICOImage.i, FXIcon.i,
	  FXIconList.i, FXId.i, FXImage.i, FXImageView.i, FXInputDialog.i,
	  FXJPGIcon.i, FXJPGImage.i, FXLabel.i, FXList.i, FXListBox.i,
	  FXMDIButton.i, FXMDIChild.i, FXMDIClient.i, FXMainWindow.i,
	  FXMatrix.i, FXMenuButton.i, FXMenuCaption.i, FXMenuCascade.i,
	  FXMenuCommand.i, FXMenuPane.i, FXMenuSeparator.i, FXMenuTitle.i,
	  FXMenubar.i, FXMessageBox.i, FXObject.i, FXOptionMenu.i,
	  FXPCXIcon.i, FXPCXImage.i, FXPNGIcon.i, FXPNGImage.i, FXPacker.i,
	  FXPicker.i, FXPoint.i, FXPopup.i, FXPrintDialog.i,
	  FXProgressBar.i, FXProgressDialog.i, FXQuat.i, FXRGBIcon.i,
	  FXRGBImage.i, FXRadioButton.i, FXRange.i, FXRecentFiles.i,
	  FXRectangle.i, FXRegion.i, FXRegistry.i, FXReplaceDialog.i,
	  FXRootWindow.i, FXScintilla.i, FXScrollArea.i, FXScrollWindow.i,
	  FXScrollbar.i, FXSearchDialog.i, FXSeparator.i, FXSettings.i,
	  FXShell.i, FXShutter.i, FXSize.i, FXSlider.i, FXSpinner.i,
	  FXSplitter.i, FXStatusbar.i, FXStatusline.i, FXStream.i,
	  FXStringDict.i, FXSwitcher.i, FXTGAIcon.i, FXTGAImage.i,
	  FXTIFIcon.i, FXTIFImage.i, FXTab.i, FXTabBar.i, FXTabBook.i,
	  FXTabItem.i, FXTable.i, FXText.i, FXTextField.i,
	  FXToggleButton.i, FXToolbar.i, FXToolbarGrip.i, FXToolbarShell.i,
	  FXToolbarTab.i, FXTooltip.i, FXTopWindow.i, FXTreeList.i,
	  FXTreeListBox.i, FXVec.i, FXVerticalFrame.i, FXVisual.i,
	  FXWindow.i, FXXPMIcon.i, FXXPMImage.i, exceptions.i: Moved all of
	  the %exception directives into a single file (exceptions.i) for
	  easier management.

2002-09-19 23:47  lyle

	* swig-interfaces/: FXButton.i, common.i, exceptions.i: [no log
	  message]

2002-09-19 23:24  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, ui_wrap.cpp: [no log message]

2002-09-19 23:16  lyle

	* doc/changes.xml: [no log message]

2002-09-19 23:08  lyle

	* examples/glviewer.rb: Removed puts() statements from glviewer.rb
	  example.

2002-09-19 22:53  lyle

	* examples/imageviewer.rb: Fixed several bugs in the onCmdSave()
	  method for the imageviewer.rb example program. One was the
	  erroneous use of fxexists() instead of File.exists? to check for
	  overwrites. But even without that it didn't save the file
	  correctly (ugh).

2002-09-19 22:47  lyle

	* examples/table.rb: Removed puts() statements from table.rb
	  example.

2002-09-19 22:46  lyle

	* examples/tabbook.rb: Removed puts() statements from tabbook.rb
	  example.

2002-09-19 22:46  lyle

	* examples/scintilla-test.rb: Removed puts() statements from
	  scintilla-test.rb.

2002-09-19 22:43  lyle

	* examples/: imageviewer.rb, inputs.rb: [no log message]

2002-09-19 22:40  lyle

	* examples/groupbox.rb: Replaced all puts statements with
	  information message boxes.

2002-09-17 17:55  lyle

	* lib/fox/: aliases.rb, core.rb, iterators.rb, missingdep.rb,
	  overloads.rb, responder2.rb: Removed the require 'fox' from the
	  top of these library files.

2002-09-17 13:20  lyle

	* ext/fox/FXRuby.cpp: Replaced STL set and vectors with FOX object
	  list instead.

2002-09-17 13:03  lyle

	* ext/fox/FXRuby.cpp: Replace STL maps with Ruby symbol tables.

2002-09-17 11:32  lyle

	* doc/: Makefile, custom-fo.xsl, custom-html.xsl, custom.xsl: Split
	  my custom stylesheet (custom.xsl) into two, one for HTML and one
	  for formatting objects (FOs). Also added a new target to the
	  Makefile for generating PDF documentation.

2002-09-17 10:08  lyle

	* ext/fox/FXRuby.cpp: Replaced direct calls to rb_require() with
	  calls to rb_funcall() that invoke the Kernel module's "require"
	  method instead. This change should make it possibly to wrap
	  FXRuby-based applications into a standalone executable using the
	  exerb.rb tool (which overrides the built-in "require" method).

2002-09-11 10:57  lyle

	* swig-interfaces/FXApp.i, ext/fox/FXRuby.cpp,
	  ext/fox/core_wrap.cpp, swig-interfaces/ruby-typemaps.i,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/ui_wrap.cpp,
	  ext/fox/include/FXRuby.h: Made a fix for FXApp#addInput and
	  FXApp#removeInput so that they should use the correct file
	  handles when passed a dual-ported (i.e. readable & writeable)
	  pipe IO object.

2002-09-09 14:41  uid26259

	* examples/: imageviewer.rb, glviewer.rb, scribble-orig.rb,
	  textedit/textedit.rb: [no log message]

2002-09-09 09:42  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, ui_wrap.cpp: [no log message]

2002-09-04 15:50  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, librb.c, mdi_wrap.cpp,
	  opengl_wrap.cpp, scintilla_wrap.cpp, ui_wrap.cpp,
	  include/FXRbApp.h, include/FXRbBitmap.h, include/FXRbCursor.h,
	  include/FXRbDC.h, include/FXRbDialogBox.h,
	  include/FXRbDrawable.h, include/FXRbGLCanvas.h,
	  include/FXRbGLObject.h, include/FXRbGLShape.h,
	  include/FXRbHeader.h, include/FXRbIconList.h, include/FXRbId.h,
	  include/FXRbImage.h, include/FXRbList.h, include/FXRbMDIChild.h,
	  include/FXRbObject.h, include/FXRbPopup.h,
	  include/FXRbScrollArea.h, include/FXRbShutter.h,
	  include/FXRbSpinner.h, include/FXRbStream.h,
	  include/FXRbSymbols.h, include/FXRbTabBar.h, include/FXRbTable.h,
	  include/FXRbText.h, include/FXRbToolbar.h,
	  include/FXRbTopWindow.h, include/FXRbTreeList.h,
	  include/FXRbWindow.h: Updated Ruby method calls to pass the
	  intern'd symbols instead of strings; should speed things up
	  slightly.

2002-08-30 18:27  lyle

	* ext/fox/include/: FXRbApp.h, FXRbBitmap.h, FXRbCursor.h,
	  FXRbDC.h, FXRbSymbols.h: [no log message]

2002-08-30 18:09  lyle

	* ext/fox/: FXRuby.cpp, include/FXRuby.h: [no log message]

2002-08-30 17:52  lyle

	* ext/fox/FXRuby.cpp, ext/fox/include/FXRuby.h,
	  lib/fox/responder.rb, lib/fox/responder2.rb: We've always used
	  strings to store the FOX message handler names, but this is
	  wasteful. Reworked FXRbLookupHandler() and FXRbHandleMessage() to
	  use Ruby symbols instead, which should be much more efficient. No
	  changes required for any existing programs.

2002-08-30 17:25  lyle

	* ext/fox/FXRuby.cpp: Store the values of some commonly-looked-up
	  symbols (e.g. "@assocs") in static constants.

2002-08-30 17:13  lyle

	* ext/fox/: .cvsignore, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, librb.c, mdi_wrap.cpp,
	  opengl_wrap.cpp, scintilla_wrap.cpp, ui_wrap.cpp: [no log
	  message]

2002-08-30 17:08  lyle

	* ext/fox/core_wrap.cpp: [no log message]

2002-08-30 07:42  lyle

	* rdoc-sources/: FXCURCursor.rb, FXColorDialog.rb,
	  FXColorSelector.rb, FXColorWell.rb, FXCursor.rb: [no log message]

2002-08-29 14:31  lyle

	* FXRuby-ruby1.7-i386-msvcrt.iss,
	  FXRuby-ruby1.7-i386-msvcrt.iss.in, setversions.rb: Added an
	  InnoSetup script to build a 1.7 installer that installs the
	  shared library to i386-msvcrt instead of i386-mswin32 (this is a
	  change for Ruby 1.7.3).

2002-08-29 12:06  lyle

	* rdoc-sources/: FXColorDialog.rb, FXColorWheel.rb: [no log
	  message]

2002-08-28 09:26  lyle

	* doc/images/shutter.png: Updated the screenshot for the shutter
	  example.

2002-08-28 09:18  lyle

	* examples/shutter.rb, doc/examples.html, doc/examples.xml: Updated
	  links to Gort's icons page.

2002-08-23 12:26  lyle

	* doc/: changes.html, changes.xml: Added comments to change log
	  about the optional code block for FXApp#beginWaitCursor.

2002-08-23 12:18  lyle

	* examples/browser.rb, examples/imageviewer.rb,
	  examples/raabrowser.rb, examples/scintilla-test.rb,
	  lib/fox/iterators.rb, lib/fox/overloads.rb: Added transactional
	  control stuff for FXApp#beginWaitCursor.

2002-08-23 11:05  lyle

	* swig-interfaces/: fxdefs.i, scintilla.i: [no log message]

2002-08-23 11:01  lyle

	* swig-interfaces/: FXApp.i, FXDial.i, FXFontDialog.i,
	  FXFontSelector.i, FXGLShape.i, FXGLViewer.i, FXPrintDialog.i,
	  FXRange.i, FXWindow.i, common.i, ruby-typemaps.i, stubs.i: [no
	  log message]

2002-08-22 09:42  lyle

	* swig-interfaces/: ruby-typemaps.i, typemaps.i: Renamed typemaps.i
	  to ruby-typemaps.i.

2002-08-22 08:53  lyle

	* doc/: scintilla.html, scintilla.xml: Updated links for
	  FXScintilla to version 1.47.

2002-08-20 08:57  lyle

	* index.html: Added a section listing projects using FXRuby.

2002-08-20 08:49  lyle

	* ANNOUNCE, ANNOUNCE.in: [no log message]

2002-08-20 08:27  lyle

	* ANNOUNCE, ANNOUNCE.in: [no log message]

2002-08-19 14:44  lyle

	* ChangeLog, README.win32.txt: [no log message]

2002-08-19 14:42  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-mswin32.iss,
	  FXRuby-ruby1.7-i386-mswin32.iss.in: Added lib/fox/irb.rb and
	  tests/TC_FXList.rb to the list of files included for the Windows
	  installer.

2002-08-19 14:39  lyle

	* doc/changes.html: [no log message]

2002-08-19 14:36  lyle

	* lib/fox/irb.rb: Added version 0.1.1 of Gilles' FXIrb widget to
	  the library.

2002-08-19 13:35  lyle

	* doc/changes.xml: [no log message]

2002-08-19 13:29  lyle

	* examples/: babelfish.rb, dilbert.rb, gdchart.rb, gltest.rb,
	  glviewer.rb, raabrowser.rb: Updated the examples with external
	  dependencies to use the dialogbox based missing dependencies
	  thingy.

2002-08-19 13:21  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-mswin32.iss,
	  FXRuby-ruby1.7-i386-mswin32.iss.in, lib/fox/missingdep.rb: [no
	  log message]

2002-08-19 12:51  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss, FXRuby-ruby1.7-i386-mswin32.iss:
	  [no log message]

2002-08-19 12:50  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-mswin32.iss.in: Added David Naseby's
	  calendar.rb file to the Windows installer distro.

2002-08-19 12:47  lyle

	* lib/fox/scintilla.rb: Updated scintilla.rb library file to
	  correspond to latest interfaces from fxscintilla-1.47
	  distribution.

2002-08-19 11:46  lyle

	* examples/: babelfish.rb, dilbert.rb, gdchart.rb, gltest.rb,
	  glviewer.rb, raabrowser.rb: Added slightly better error messages
	  for missing requirements on some examples.

2002-08-19 11:32  lyle

	* doc/changes.html, doc/changes.xml, doc/implementation.html,
	  doc/library.html, doc/library.xml, ext/fox/core_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/ui_wrap.cpp: [no log message]

2002-08-17 23:42  lyle

	* tests/TC_FXList.rb: Added initial test case for FXList (checks
	  overloaded FXList#appendItem method).

2002-08-17 22:46  lyle

	* ext/fox/core_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	  ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp,
	  ext/fox/layout_wrap.cpp, ext/fox/librb.c, ext/fox/mdi_wrap.cpp,
	  ext/fox/opengl_wrap.cpp, ext/fox/scintilla_wrap.cpp,
	  ext/fox/ui_wrap.cpp, swig-interfaces/typemaps.i: Added precedence
	  typemaps for proper overloading support.

2002-08-17 22:45  lyle

	* ANNOUNCE, FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.7-i386-mswin32.iss, FXRuby.spec, Makefile,
	  Makefile.in, ext/fox/extconf.rb: Updated version numbers to
	  1.0.13.

2002-08-14 17:31  lyle

	* lib/fox/calendar.rb: [no log message]

2002-08-13 21:55  lyle

	* lib/fox/calendar.rb: [no log message]

2002-08-12 09:54  lyle

	* Makefile.in: [no log message]

2002-08-12 09:36  lyle

	* Makefile: Be sure to include the "examples" directory in the web
	  site tarball since the Examples doc page now links to those
	  files.

2002-08-09 12:30  lyle

	* scripts/make-win32-tarball.sh: Added the script used to make the
	  Windows binary tarball for Andy's installers.

2002-08-09 11:58  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-mswin32.iss.in, Makefile.in: [no log message]

2002-08-09 10:50  lyle

	* doc/scintilla.html: Updated documentation page for latest
	  Scintilla links.

2002-08-06 09:22  lyle

	* install.rb: Updated install.rb to version 3.1.2.

2002-08-05 19:03  lyle

	* doc/scintilla.xml: [no log message]

2002-08-05 18:51  lyle

	* ext/fox/: extconf.rb, extconf.rb.in: Corrected library name for
	  FXScintilla static build on Windows; as of fxscintilla-1.46.2
	  this library is named "fxscintilla.lib".

2002-08-05 18:50  lyle

	* README.win32.txt: Updated Ruby installer version number in README
	  file.

2002-08-05 18:00  lyle

	* ANNOUNCE, FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-mswin32.iss,
	  FXRuby-ruby1.7-i386-mswin32.iss.in, FXRuby.spec, Makefile,
	  ext/fox/extconf.rb: Bumped up the version number to 1.0.12.

2002-08-05 17:58  lyle

	* doc/: build.html, build.xml: [no log message]

2002-08-05 17:55  lyle

	* ext/fox/: FXRuby.cpp, markfuncs.cpp, include/FXRbCommon.h:
	  Removed explicit tests on RUBY_VERSION_CODE.

2002-08-05 17:40  lyle

	* ext/fox/scintilla_wrap.cpp: [no log message]

2002-08-05 17:35  lyle

	* ChangeLog, Makefile, doc/changes.html, doc/changes.xml,
	  doc/differences.html, doc/events.html, doc/examples.html,
	  doc/implementation.html, doc/library.html, doc/opengl.html,
	  doc/scintilla.html, ext/fox/core_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp, ext/fox/librb.c,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/ui_wrap.cpp: [no log message]

2002-08-05 17:31  lyle

	* ext/fox/FXRuby.cpp: Fixed sort functions for the various list
	  items so that they will return a reference to an existing item
	  before simply creating a new reference to that item. This ensures
	  that any overloaded comparison functions (<=>) are called.

2002-08-05 17:06  lyle

	* lib/fox/aliases.rb: [no log message]

2002-08-05 17:06  lyle

	* ext/fox/include/FXRbText.h, swig-interfaces/FXText.i,
	  swig-interfaces/typemaps.i: More fixes for FXText#setHiliteStyles
	  and FXText#getHiliteStyles. This basically works, now.

2002-08-05 17:03  lyle

	* examples/styledtext.rb: Added the styledtext.rb example as an
	  example of how to use styled text features for the FXText widget.

2002-08-05 15:16  lyle

	* doc/examples.xml: On the "Examples" doc page, added links to the
	  Ruby source code for each example. Thanks to Hugh Sasse for this
	  suggestion.

2002-08-05 15:15  lyle

	* lib/fox/aliases.rb, swig-interfaces/FXText.i: For now, comment
	  out the declaration of FXText::getHiliteStyles() and its
	  corresponding alias in lib/fox/aliases.rb, until we know what to
	  do with this.

2002-08-05 15:11  lyle

	* swig-interfaces/typemaps.i: Removed the "freearg" typemap for
	  arrays of FXHiliteStyles so that it doesn't delete the input
	  array when it's done.

2002-08-05 15:10  lyle

	* swig-interfaces/FXText.i: Replaced my version of
	  FXText#changeStyle (which used %extend to do the overloading)
	  with the original overloaded definitions, since SWIG now supports
	  this directly.

2002-08-05 15:07  lyle

	* ext/fox/: FXRuby.cpp, include/FXRuby.h: Fixed a bug related to
	  the message data passed from FXTreeList for its SEL_SELECTED and
	  SEL_DESELECTED messages. See SF Bug#591276.

2002-07-30 08:45  lyle

	* swig-interfaces/FXRegion.i: Added a few more %ignore directives
	  to suppress warnings about friend functions.

2002-07-25 12:42  lyle

	* ext/fox/core_wrap.cpp, swig-interfaces/FXToolbar.i,
	  swig-interfaces/stubs.i, swig-interfaces/typemaps.i,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/ui_wrap.cpp, ext/fox/include/FXRbToolbar.h: Corrected a
	  bug for the FXToolbar#dock function (see SF Bug#586128).

2002-07-17 15:33  lyle

	* ext/fox/extconf.rb.in: [no log message]

2002-07-11 08:06  lyle

	* swig-interfaces/FXGIFCursor.i, swig-interfaces/common.i,
	  ext/fox/core_wrap.cpp: [no log message]

2002-07-08 13:42  lyle

	* swig-interfaces/FXRegion.i, swig-interfaces/Makefile,
	  swig-interfaces/core.i, swig-interfaces/dialogs.i,
	  swig-interfaces/icons.i, swig-interfaces/image.i,
	  swig-interfaces/layout.i, swig-interfaces/mdi.i,
	  swig-interfaces/opengl.i, swig-interfaces/scintilla.i,
	  swig-interfaces/ui.i, ext/fox/core_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/ui_wrap.cpp: Started trying
	  to include the FOX header files directly; first cut was with
	  FXRegion.

2002-07-08 09:28  lyle

	* ext/fox/core_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/ui_wrap.cpp, swig-interfaces/FXCursor.i,
	  swig-interfaces/FXFileDict.i, swig-interfaces/FXGLCanvas.i,
	  swig-interfaces/FXGLContext.i, swig-interfaces/FXGLShape.i,
	  swig-interfaces/FXGLViewer.i, swig-interfaces/FXHVec.i,
	  swig-interfaces/FXQuat.i, swig-interfaces/FXRecentFiles.i,
	  swig-interfaces/FXStream.i, swig-interfaces/FXWindow.i: Enabled a
	  lot more overloaded constructors since SWIG supports this now.

2002-07-08 08:27  lyle

	* examples/canvasdemo.rb, ext/fox/core_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/ui_wrap.cpp,
	  lib/fox/aliases.rb, lib/fox/canvas.rb, lib/fox/overloads.rb,
	  swig-interfaces/FX4Splitter.i, swig-interfaces/FXApp.i,
	  swig-interfaces/FXDC.i, swig-interfaces/FXDCWindow.i,
	  swig-interfaces/FXDialogBox.i, swig-interfaces/FXFont.i,
	  swig-interfaces/FXHMat.i, swig-interfaces/FXHeader.i,
	  swig-interfaces/FXIconList.i, swig-interfaces/FXList.i,
	  swig-interfaces/FXMenubar.i, swig-interfaces/FXMessageBox.i,
	  swig-interfaces/FXRange.i, swig-interfaces/FXRegion.i,
	  swig-interfaces/FXShell.i, swig-interfaces/FXSplitter.i,
	  swig-interfaces/FXToolbar.i, swig-interfaces/FXTopWindow.i,
	  swig-interfaces/FXTreeList.i, swig-interfaces/FXTreeListBox.i,
	  swig-interfaces/FXWindow.i, swig-interfaces/typemaps.i: Removed a
	  lot of scaffolding that we were using to make overloaded methods
	  work properly. This is now supported directly by SWIG 1.3.14 and
	  so we don't have to do it anymore.

2002-07-05 17:10  uid26259

	* ext/fox/FXRuby.cpp, ext/fox/core_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp, ext/fox/librb.c,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/ui_wrap.cpp,
	  ext/fox/include/FXRuby.h, swig-interfaces/typemaps.i,
	  tests/TC_FXHVec.rb, tests/TC_FXRegion.rb: Compatibility updates
	  for the latest version of SWIG (mainly due to overloading support
	  and a change in the SWIG_ConvertPtr function).

2002-07-03 18:04  lyle

	* swig-interfaces/FXScintilla.i: Added Gilles' patch for
	  FXScintilla.i (needed to make FXScintilla#getTextRange work
	  properly).

2002-06-20 12:26  lyle

	* ext/fox/core_wrap.cpp: [no log message]

2002-06-20 10:57  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss,
	  FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-mswin32.iss,
	  FXRuby-ruby1.7-i386-mswin32.iss.in, setversions.rb: Removed
	  examples/scintilla_wrapper.rb and added lib/fox/scintilla.rb for
	  the Inno Setup scripts.

2002-06-20 09:30  lyle

	* Makefile, Makefile.in: Do not include lib/fox/canvas.rb and
	  examples/canvasdemo.rb in the release tarballs at this time (not
	  ready for prime time yet!)

2002-06-20 09:22  lyle

	* ChangeLog: [no log message]

2002-06-20 09:18  lyle

	* ANNOUNCE, FXRuby-ruby1.6-i586-mswin32.iss.in,
	  FXRuby-ruby1.7-i386-mswin32.iss.in, FXRuby.spec, Makefile,
	  ext/fox/extconf.rb: Bumped the version number up to 1.0.11.

2002-06-20 09:04  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, librb.c, mdi_wrap.cpp,
	  opengl_wrap.cpp, scintilla_wrap.cpp, ui_wrap.cpp: [no log
	  message]

2002-06-20 08:09  lyle

	* ext/fox/FXRuby.cpp: [no log message]

2002-06-19 10:05  lyle

	* FXRuby-ruby1.7-i386-mswin32.iss: [no log message]

2002-06-19 10:04  lyle

	* FXRuby-ruby1.6-i586-mswin32.iss, FXRuby-ruby1.7-i386-mswin32.iss,
	  FXRuby.iss: Updated InnoSetup scripts.

2002-06-17 12:49  lyle

	* doc/: build.html, build.xml, changes.html, changes.xml,
	  library.html, library.xml, scintilla.html, scintilla.xml: Updated
	  changes list and other docs.

2002-06-17 12:15  lyle

	* examples/scintilla_wrapper.rb: [no log message]

2002-06-17 09:18  lyle

	* rdoc-sources/: FX4Splitter.rb, FXAccelTable.rb, FXApp.rb,
	  FXArrowButton.rb, FXBitmap.rb, FXButton.rb, FXCanvas.rb,
	  FXCheckButton.rb, FXColorBar.rb, FXComboBox.rb, FXComposite.rb,
	  FXFrame.rb, FXLabel.rb, FXMainWindow.rb, FXObject.rb,
	  FXRadioButton.rb, FXShell.rb, FXTextField.rb, FXTooltip.rb,
	  FXTopWindow.rb: Documentation updates (for rdoc-sources).

2002-06-13 10:08  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, ui_wrap.cpp: [no log message]

2002-06-13 10:06  lyle

	* tests/TC_FXShell.rb, ext/fox/include/FXRbDrawable.h,
	  ext/fox/include/FXRbShell.h, ext/fox/include/FXRbTopWindow.h,
	  ext/fox/include/FXRbWindow.h, swig-interfaces/FXDrawable.i,
	  swig-interfaces/FXShell.i, swig-interfaces/FXTopWindow.i,
	  swig-interfaces/FXWindow.i, tests/TC_FXTopWindow.rb: Made the
	  constructors for FXDrawable, FXShell and FXTopWindow public so
	  that these classes can be subclassed in FXRuby.

2002-06-11 09:42  lyle

	* examples/inputs.rb: Fixed a bug in the inputs.rb example program;
	  we should go ahead and close the pipe when it starts returning
	  nil reads so that it doesn't flood the text buffer.

2002-06-05 11:55  lyle

	* lib/fox/aliases.rb, rdoc-sources/FXList.rb,
	  rdoc-sources/FXScrollArea.rb, rdoc-sources/FXToggleButton.rb:
	  Added new documentation files for FXList, FXScrollArea and
	  FXToggleButton.

2002-05-30 10:00  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, librb.c, mdi_wrap.cpp,
	  opengl_wrap.cpp, scintilla_wrap.cpp, ui_wrap.cpp: [no log
	  message]

2002-05-30 09:47  lyle

	* Makefile, Makefile.in: [no log message]

2002-05-30 09:43  lyle

	* FXRuby.spec, FXRuby.spec.in: [no log message]

2002-05-30 09:41  lyle

	* scripts/iface.rb, lib/fox/scintilla.rb,
	  examples/scintilla-test.rb: Modified the iface.rb script so that
	  it puts the output file (scintilla.rb) in the Fox module.

2002-05-30 09:28  lyle

	* lib/fox/scintilla.rb: [no log message]

2002-05-30 09:21  lyle

	* doc/: changes.html, differences.html, events.html,
	  implementation.html, library.html, scintilla.html, scintilla.xml:
	  Updated the FXScintilla-related notes for compatibility with
	  latest build process, etc.

2002-05-30 08:58  lyle

	* FXRuby.spec, FXRuby.spec.in, ext/fox/extconf.rb.in,
	  ext/fox/extconf.rb: Incorporated Laurent Julliard's patches for
	  the FXRuby.spec and extconf.rb files, to reflect the new
	  installation paths and filenames for FXScintilla.

2002-05-29 11:50  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, librb.c, mdi_wrap.cpp,
	  opengl_wrap.cpp, scintilla_wrap.cpp, ui_wrap.cpp: Updates for
	  compatibility with the latest SWIG (mainly, that the wrapper
	  names for the new and initialize methods changed).

2002-05-29 09:41  lyle

	* examples/table.rb: [no log message]

2002-05-24 18:01  lyle

	* examples/canvasdemo.rb, lib/fox/canvas.rb: [no log message]

2002-05-24 17:45  lyle

	* tests/: TC_FXFileAssoc.rb, TC_FXFontDesc.rb: [no log message]

2002-05-24 17:23  lyle

	* swig-interfaces/FXScintilla.i: [no log message]

2002-05-24 17:20  lyle

	* ext/fox/FXRuby.cpp, ext/fox/core_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/ui_wrap.cpp,
	  lib/fox/aliases.rb, swig-interfaces/FXDict.i,
	  swig-interfaces/FXDirList.i, swig-interfaces/FXFileList.i,
	  swig-interfaces/FXFileSelector.i, swig-interfaces/FXFont.i,
	  swig-interfaces/FXGLObject.i, swig-interfaces/FXWindow.i:
	  Replaced inlined %name directives in SWIG interface files with
	  the newer %rename directives; a little tweaking of FXDict as
	  well.

2002-05-24 17:17  lyle

	* lib/fox/overloads.rb: Added ensure clause for FXFileStream.open()
	  to ensure that the file stream object is closed after executing
	  the block.

2002-05-24 12:39  lyle

	* rdoc-sources/Makefile, ext/fox/core_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/ui_wrap.cpp: [no log message]

2002-05-24 12:36  lyle

	* ext/fox/FXRuby.cpp, ext/fox/include/FXRuby.h,
	  swig-interfaces/freefuncs.i, swig-interfaces/typemaps.i: Removed
	  the typemaps for FXTableRange and FXTablePos output values which
	  would previously have tried to look up existing Ruby references
	  to the same C++ pointers and return those. This practice (which
	  works fine in most cases) was leading to an obscure bug (see SF
	  Bug #560128). The sequence of events would go something like
	  this:

	   1. We create a Ruby FXTableRange instance associated with the
	  C++
	      FXTableRange instance which lives at memory location 'x'.
	   2. We next attempt to create a Ruby FXTablePos instance
	  associated
	      with the C++ FXTablePos instance which is the first member of
	  the
	      previous FXTableRange struct. Since it's the first member,
	  its
	      memory address is the same as that of the FXTableRange
	  itself.
	   3. We look up the address of this FXTablePos object and of
	  course the
	      address *is* already there; we stored it when we looked up
	  the
	      enclosing FXTableRange object. So we return a reference to
	  that
	      FXTableRange instead of a new reference to an FXTablePos.

	  For now, I've just modified the typemaps for these two structs so
	  that you always get a new reference (i.e. it doesn't attempt to
	  look up previously returned refs.) But since this could happen
	  again the correct fix is probably to store both the pointer and
	  the type in our hash table to be more safe.

2002-05-24 11:24  lyle

	* lib/fox/aliases.rb, rdoc-sources/FXRange.rb,
	  swig-interfaces/FXRange.i, tests/TC_FXRange.rb: Deprecated
	  FXRange instance methods empty(), overlap(), contains() and
	  intersect(); replaced with empty?(), overlaps?(), contains?() and
	  intersects?().

2002-05-20 17:38  lyle

	* examples/scintilla_wrapper.rb, scripts/iface.rb: Added Gilles'
	  script to generate the scintilla_wrapper.rb file (mixins for
	  FXScintilla class) from the Scintilla.iface file. Also updated
	  the scintilla_wrapper.rb file from this source.

2002-05-17 17:27  lyle

	* swig-interfaces/swig.sed, ext/fox/core_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/ui_wrap.cpp: [no log message]

2002-05-15 16:18  lyle

	* examples/: RAA.rb, iRAA.rb: Latest versions of iRAA.rb and RAA.rb
	  from the SOAP4R 1.4.4.1 distribution.

2002-05-15 16:17  lyle

	* examples/raabrowser.rb: Minor fixes for the raabrowser.rb
	  example:

	  - Use the RAA module (from the soap/samples/RAA directory)
	  instead of   the iRAA module.  - Unescape the HTML text from the
	  product description field (i.e. convert   stuff like &quot; back
	  to a quote mark for display purposes.  - Replace any DOS-style
	  CRLF pairs with regular newlines for display	 purposes.

2002-05-15 16:15  lyle

	* examples/: gdchart.rb, scintilla_wrapper.rb: [no log message]

2002-05-15 13:01  lyle

	* FXRuby.iss: [no log message]

2002-05-15 12:25  lyle

	* ANNOUNCE, ANNOUNCE.in: Corrected the FOX download link URL (was
	  .../downloads.html, should have been .../download.html). Thanks
	  to Jim Sowle for catching this typo.

2002-05-15 10:12  lyle

	* ANNOUNCE, ANNOUNCE.in, setversions.rb, FXRuby.iss: [no log
	  message]

2002-05-15 10:07  lyle

	* FXRuby.iss: [no log message]

2002-05-15 09:44  lyle

	* FXRuby.spec, FXRuby.spec.in, Makefile, Makefile.in: [no log
	  message]

2002-05-15 09:41  lyle

	* FXRuby.spec, FXRuby.spec.in, Makefile, Makefile.in: [no log
	  message]

2002-05-15 09:18  lyle

	* ChangeLog: [no log message]

2002-05-15 09:04  lyle

	* README.win32.txt: [no log message]

2002-05-14 10:14  lyle

	* doc/: changes.html, changes.xml, differences.html,
	  differences.xml, events.html, implementation.html, library.html,
	  library.xml, todo.html, todo.xml: [no log message]

2002-05-14 09:15  lyle

	* examples/dctest.rb, examples/groupbox.rb,
	  examples/textedit/prefdialog.rb, ext/fox/FXRuby.cpp,
	  ext/fox/core_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	  ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp,
	  ext/fox/layout_wrap.cpp, ext/fox/mdi_wrap.cpp,
	  ext/fox/opengl_wrap.cpp, ext/fox/ui_wrap.cpp,
	  ext/fox/include/FXRuby.h, lib/fox/aliases.rb,
	  swig-interfaces/FXDial.i, swig-interfaces/FXSlider.i,
	  swig-interfaces/FXSpinner.i: Modified the range and range=
	  methods for FXDial, FXSlider and FXSpinner to work with Ruby
	  Range objects instead of (lo, hi) Fixnum pairs.

2002-05-13 17:40  lyle

	* examples/datatarget.rb: Fixed a little typo in the comments.

2002-05-13 16:58  lyle

	* examples/: dctest.rb, icons/capbutt.gif, icons/capbutt.png,
	  icons/capnotlast.gif, icons/capnotlast.png, icons/capproj.gif,
	  icons/capproj.png, icons/capround.gif, icons/capround.png,
	  icons/dippy.gif, icons/dippy.png, icons/double_dash.gif,
	  icons/double_dash.png, icons/jbevel.gif, icons/jbevel.png,
	  icons/jmiter.gif, icons/jmiter.png, icons/jround.gif,
	  icons/jround.png, icons/onoff_dash.gif, icons/onoff_dash.png,
	  icons/solid_line.gif, icons/solid_line.png: Converted all of the
	  GIF icon and image files used by DCTest to PNG equivalents.

2002-05-13 16:33  lyle

	* lib/fox/aliases.rb: Added missing aliases FXDataTarget#target,
	  FXDataTarget#target=, FXDataTarget#selector, and
	  FXDataTarget#selector=.

2002-05-13 16:30  lyle

	* examples/: dctest.rb, icons/capbutt.gif, icons/capnotlast.gif,
	  icons/capproj.gif, icons/capround.gif, icons/dippy.gif,
	  icons/double_dash.gif, icons/jbevel.gif, icons/jmiter.gif,
	  icons/jround.gif, icons/onoff_dash.gif, icons/solid_line.gif:
	  Added the dctest.rb example program and associated icons.

2002-05-10 17:23  lyle

	* index.html, doc/build.html, doc/build.xml, doc/changes.html,
	  doc/differences.html, doc/events.html, doc/examples.html,
	  doc/goals.html, doc/goals.xml, doc/implementation.html,
	  doc/library.html, doc/opengl.html, doc/scintilla.html,
	  ext/fox/dialogs_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/ui_wrap.cpp: Miscellaneous
	  documentation updates.

2002-05-10 16:30  lyle

	* ext/fox/: extconf.rb, extconf.rb.in: Various cleanups for the
	  extconf.rb script, mainly to support searching multiple default
	  directories to auto-detect the location of FOX.

2002-05-10 16:29  lyle

	* Makefile, Makefile.in: Corrected the "make check" target so that
	  it can run the tests before you actually install FXRuby.

2002-05-10 15:12  lyle

	* swig-interfaces/FXIcon.i, swig-interfaces/FXImage.i,
	  swig-interfaces/typemaps.i, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/core_wrap.cpp: Corrected input
	  typemaps for "const void *pix" and "const FXuchar *PIXELS"; these
	  should not in fact accept FXMemoryBuffer instances as inputs. But
	  modified the constructors for FXIcon and FXImage to accept this.

2002-05-10 14:56  lyle

	* FXRuby.spec.in, Makefile.in, setversions.rb: [no log message]

2002-05-10 14:47  lyle

	* Makefile, update_website.sh: Moved code from the
	  update_website.sh script into the Makefile as target 'website'.

2002-05-10 14:43  lyle

	* ChangeLog, Makefile: [no log message]

2002-05-10 12:22  lyle

	* doc/: book.html, book.xml, changes.html, changes.xml,
	  implementation.html, implementation.xml, library.html, todo.html,
	  tutorial1.html: Added a new documentation section

2002-05-10 09:58  lyle

	* Makefile: Added the Makefile and the FXRuby.spec file to the list
	  of files packaged into the source tarball.

2002-05-10 00:04  lyle

	* ANNOUNCE.in, ANNOUNCE.tmpl, Makefile.in, setversions.rb,
	  ext/fox/extconf.rb.in, ext/fox/extconf.rb.tmpl: [no log message]

2002-05-10 00:00  lyle

	* update_website.sh: [no log message]

2002-05-09 23:50  lyle

	* FXRuby.spec: [no log message]

2002-05-09 22:44  lyle

	* Makefile, make-drop.sh: [no log message]

2002-05-09 19:37  lyle

	* FXRuby.spec: [no log message]

2002-05-09 18:25  lyle

	* FXRuby.spec: [no log message]

2002-05-09 17:25  lyle

	* FXRuby.spec: [no log message]

2002-05-09 16:39  lyle

	* drop-win32.sh, make-drop.sh: [no log message]

2002-05-09 16:35  lyle

	* FXRuby.spec: Initial version of an RPM spec file.

2002-05-09 16:28  lyle

	* doc/: tutorial1.png, tutorial1.xml, images/tutorial1.png: Moved
	  tutorial1.png from doc/ to doc/images.

2002-05-09 15:22  lyle

	* ext/fox/core_wrap.cpp, swig-interfaces/typemaps.i,
	  ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp: Modified the
	  input typemaps for "const void *pix" and "const FXuchar* PIXELS"
	  so that the constructors for icons and images can accept either
	  strings (as before) or MemoryBuffer instances (see SF Bug
	  #550996).

2002-05-08 17:37  lyle

	* ext/fox/: FXRuby.cpp, include/FXRuby.h: Further attempts to get
	  GC correct.

2002-05-08 16:43  lyle

	* ext/fox/core_wrap.cpp, lib/fox/overloads.rb,
	  swig-interfaces/FXRegion.i, tests/TC_FXHMat.rb,
	  tests/TC_FXHVec.rb, tests/TC_FXRegion.rb, tests/stress1.rb:
	  Updates to test cases TC_FXHVec.rb and TC_FXHMat.rb to test the
	  new clone instance methods for these classes.  Added support for
	  overloaded FXRegion#contains? and a new test case for this class.

2002-05-08 16:29  lyle

	* tests/TC_FXRegion.rb, ext/fox/core_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/ui_wrap.cpp: [no log message]

2002-05-08 16:09  lyle

	* swig-interfaces/: FXHMat.i, FXHVec.i, FXRegion.i: Latest SWIG has
	  support for copy constructors, so the copy constructors for these
	  classes (FXHMat, FXHVec and FXRegion) are now exposed in FXRuby
	  as the instance methods FXHMat#clone, FXHVec#clone and
	  FXRegion#clone.

2002-05-08 14:53  lyle

	* swig-interfaces/FXScintilla.i: Incorporated Gilles' stuff for
	  Scintilla TextRange struct.

2002-05-08 11:50  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp,
	  scintilla_wrap.cpp, ui_wrap.cpp: [no log message]

2002-05-08 11:49  lyle

	* swig-interfaces/image.i: Make sure that FXMemoryBuffer.i gets
	  wrapped along with image.i.

2002-05-08 11:48  lyle

	* swig-interfaces/Makefile: Marked "clean" as a .PHONY target.

2002-05-08 11:45  lyle

	* examples/image.rb, ext/fox/include/FXMemoryBuffer.h,
	  ext/fox/include/FXRuby.h, swig-interfaces/FXImage.i,
	  swig-interfaces/FXMemoryBuffer.i: Modified the interface to
	  FXImage#data so that it returns an FXMemoryBuffer instance
	  instead of a string (See SF Bug #550996).  The primary difference
	  is that FXMemoryBuffer wraps the actual data pointer stored by
	  the FXImage instead of making a copy; this way you should be able
	  to modify the buffer and re-render the image as you can in C++.

2002-05-08 11:35  lyle

	* lib/fox/aliases.rb: Added aliases:

	      FXDC#tile= (for FXDC#setTile)
	      FXDC#stipple= (for FXDC#setStipple)
	      FXDC#clipRegion= (for FXDC#setClipRegion)
	      FXDC#clipRectangle= (for FXDC#setClipRectangle)

2002-05-08 11:33  lyle

	* ext/fox/FXRuby.cpp: Modified order of requires so that aliases.rb
	  is loaded after overloads.rb.

2002-05-08 11:32  lyle

	* examples/image.rb: Minor updates to the image.rb example to
	  replace calls with shorter aliases, e.g. replacing
	  @canvas.getWidth() and @canvas.getHeight() with @canvas.width and
	  @canvas.height.

2002-05-08 11:24  lyle

	* lib/fox/aliases.rb: Corrected a typo; the alias for
	  FXColorWell#getRGBA was supposed to be "rgba" but was actually
	  "rbga". This has been fixed!

2002-05-08 10:25  lyle

	* ext/fox/include/FXRbGIFCursor.h, swig-interfaces/FXCursor.i,
	  swig-interfaces/FXGIFCursor.i: Modified the constructors for
	  FXCursor and FXGIFCursor so that the hot spot coordinates (hx and
	  hy) no longer have default values of -1. Although FOX allows
	  this, it's not correct for Windows where you *must* specify a
	  reasonable value for those arguments; so I'm removing the
	  temptation for FXRuby ;)

2002-05-07 21:08  lyle

	* ext/fox/markfuncs.cpp: Revert to previous version of
	  markfuncs.cpp.

2002-05-06 15:16  lyle

	* ext/fox/markfuncs.cpp: Commented out what are (I think) some
	  unnecessary calls to FXRbGcMark() for things like tree items and
	  the like (see SourceForge Bug #534365).  But I'm not sure this
	  fixes Gilles' problem with stack overflow (if that is indeed the
	  problem).

2002-05-06 14:16  lyle

	* ext/fox/core_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	  ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp,
	  ext/fox/layout_wrap.cpp, ext/fox/mdi_wrap.cpp,
	  ext/fox/opengl_wrap.cpp, ext/fox/scintilla_wrap.cpp,
	  ext/fox/ui_wrap.cpp, swig-interfaces/FXApp.i,
	  swig-interfaces/FXColorSelector.i, swig-interfaces/FXComboBox.i,
	  swig-interfaces/FXDC.i, swig-interfaces/FXDebugTarget.i,
	  swig-interfaces/FXDial.i, swig-interfaces/FXDict.i,
	  swig-interfaces/FXFileDialog.i, swig-interfaces/FXFileDict.i,
	  swig-interfaces/FXFileSelector.i, swig-interfaces/FXFont.i,
	  swig-interfaces/FXFontDialog.i, swig-interfaces/FXFontSelector.i,
	  swig-interfaces/FXGLObject.i, swig-interfaces/FXGLShape.i,
	  swig-interfaces/FXGLViewer.i, swig-interfaces/FXHMat.i,
	  swig-interfaces/FXHVec.i, swig-interfaces/FXHeader.i,
	  swig-interfaces/FXIconList.i, swig-interfaces/FXId.i,
	  swig-interfaces/FXImage.i, swig-interfaces/FXInputDialog.i,
	  swig-interfaces/FXList.i, swig-interfaces/FXListBox.i,
	  swig-interfaces/FXPrintDialog.i, swig-interfaces/FXQuat.i,
	  swig-interfaces/FXRange.i, swig-interfaces/FXRegion.i,
	  swig-interfaces/FXScintilla.i, swig-interfaces/FXScrollArea.i,
	  swig-interfaces/FXSlider.i, swig-interfaces/FXSpinner.i,
	  swig-interfaces/FXStatusline.i, swig-interfaces/FXStream.i,
	  swig-interfaces/FXTable.i, swig-interfaces/FXText.i,
	  swig-interfaces/FXTreeList.i, swig-interfaces/FXTreeListBox.i,
	  swig-interfaces/FXVec.i, swig-interfaces/FXWindow.i: Replaced
	  %addmethods directives with %extend in a number of SWIG interface
	  files.  Fixed the default argument values for FXIconDict and
	  FXRbIconDict constructors (in FXFileDict.i) from
	  "FXIconDict::defaultIconPath" to just "defaultIconPath";
	  otherwise SWIG expands this incorrectly.

2002-05-06 11:22  lyle

	* FXRuby.iss: Updated Inno Setup script for the Windows installer.

2002-05-06 11:09  lyle

	* tests/TC_FXFileStream.rb: [no log message]

2002-05-06 10:58  lyle

	* ext/fox/: extconf.rb, extconf.rb.tmpl: Reversed order of
	  have_library() calls for libpng and zlib so that libs are picked
	  up properly (has this changed for Ruby 1.7?)

2002-05-01 09:18  lyle

	* swig-interfaces/FXApp.i: Corrected the %rename directive for
	  FXRbApp::setThreadsEnabled().

2002-04-30 17:12  lyle

	* tests/TC_FXAccelTable.rb: Added a test case for FXAccelTable.

2002-04-30 14:45  anoncvs_tsshp

	* examples/: datatarget.rb, glviewer.rb, textedit/textedit.rb:
	  Replaced calls to FXApp#disableThreads with calls to
	  FXApp#threadsEnabled = false in these example programs.

2002-04-30 14:42  lyle

	* ChangeLog, doc/Makefile, doc/book.html, doc/build.html,
	  doc/changes.html, doc/changes.xml, doc/custom.xsl,
	  doc/differences.html, doc/differences.xml, doc/events.html,
	  doc/examples.html, doc/goals.html, doc/library.html,
	  doc/opengl.html, doc/scintilla.html, doc/todo.html,
	  doc/tutorial1.html: Updated change history.

2002-04-30 14:05  lyle

	* setversions.rb, ANNOUNCE, ext/fox/extconf.rb: Updated the FXRuby
	  home page URL to http://www.fxruby.org in the setversions.rb
	  script.

2002-04-30 14:02  lyle

	* ext/fox/FXRbApp.cpp, ext/fox/core_wrap.cpp,
	  swig-interfaces/FXApp.i, ext/fox/dialogs_wrap.cpp,
	  ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp,
	  ext/fox/layout_wrap.cpp, ext/fox/mdi_wrap.cpp,
	  ext/fox/opengl_wrap.cpp, ext/fox/ui_wrap.cpp,
	  ext/fox/include/FXRbApp.h: Removed the FXApp#enableThreads and
	  FXApp#disableThreads instance methods and replaced with a single
	  method, FXApp#threadsEnabled=, which accepts true or false. This
	  makes the API more consistent with the recently added
	  FXApp#threadsEnabled? instance method.

2002-04-30 12:23  lyle

	* fox-includes/fxver.h: Copied latest version of fxver.h (from the
	  FOX 1.0.10 distribution).

2002-04-29 21:12  lyle

	* doc/changes.xml, ext/fox/FXRbApp.cpp, ext/fox/core_wrap.cpp,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/scintilla_wrap.cpp, ext/fox/ui_wrap.cpp,
	  ext/fox/include/FXRbApp.h, rdoc-sources/FXApp.rb,
	  swig-interfaces/FXApp.i: Added the FXApp#threadsEnabled? instance
	  method, to see if they are.

2002-04-29 20:54  lyle

	* ext/fox/include/FXRuby.h: Fixed the bug in overloaded to_ruby()
	  functions:

		  VALUE to_ruby(FXObject*);
		  VALUE to_ruby(const FXObject*);

	  for the case where the input pointer is NULL. Should return Qnil
	  in those cases. See SF Bug #550417.

2002-04-29 17:34  lyle

	* ChangeLog: [no log message]

2002-04-29 17:23  lyle

	* ext/fox/core_wrap.cpp, swig-interfaces/typemaps.i,
	  ext/fox/dialogs_wrap.cpp, ext/fox/icons_wrap.cpp,
	  ext/fox/image_wrap.cpp, ext/fox/layout_wrap.cpp,
	  ext/fox/mdi_wrap.cpp, ext/fox/opengl_wrap.cpp,
	  ext/fox/ui_wrap.cpp: Fix for SF Bug #550349. For functions that
	  have input arguments of type "const FXString&" but also specify a
	  default argument value which is a literal string, e.g.

		  void somefunc(const FXString& title = "Hello");

	  the previous typemap I had was not working properly. The new one
	  should.

2002-04-25 17:30  anoncvs_tsshp

	* tests/TC_FXMaterial.rb: Updated the test case for FXMaterial.

2002-04-25 17:29  anoncvs_tsshp

	* ext/fox/opengl_wrap.cpp: [no log message]

2002-04-25 17:29  anoncvs_tsshp

	* swig-interfaces/typemaps.i: Added input typemaps for FXVec and
	  FXHVec, such that any function which expects one of these types
	  as input will also accept a Ruby array of the same size. For
	  example, FXGLViewer#setBackgroundColor can be called in either of
	  these equivalent forms:

	      glviewer.setBackgroundColor( FXHVec.new(0.5, 0.5, 0.5, 1.0) )
	      glviewer.setBackgroundColor( [0.5, 0.5, 0.5, 1.0] )

2002-04-25 16:08  lyle

	* tests/TC_FXFileStream.rb: Added a test case (TC_FXFileStream.rb)
	  for the FXFileStream class.

2002-04-25 16:07  lyle

	* lib/fox/aliases.rb: Added aliases FXStream#error= (for
	  FXStream#setError), FXStream#position= (for FXStream#setPosition)
	  and FXStream#position (for FXStream#getPosition).

2002-04-25 11:48  lyle

	* ext/fox/core_wrap.cpp, ext/fox/dialogs_wrap.cpp,
	  ext/fox/icons_wrap.cpp, ext/fox/image_wrap.cpp, ext/fox/impl.cpp,
	  ext/fox/layout_wrap.cpp, ext/fox/mdi_wrap.cpp,
	  ext/fox/opengl_wrap.cpp, ext/fox/ui_wrap.cpp,
	  ext/fox/include/FXRbStream.h, swig-interfaces/FXStream.i,
	  swig-interfaces/freefuncs.i, swig-interfaces/markfuncs.i,
	  swig-interfaces/renames.i, swig-interfaces/stubs.i: Fixes related
	  to SF Bug #535955. FXStream, FXFileStream and FXMemoryStream were
	  not implemented properly w.r.t. virtual functions and GC.

2002-04-25 10:34  lyle

	* tests/stress1.rb: Added Gilles' case as a permanent "stress test"
	  for FXRuby.

2002-04-24 21:44  lyle

	* ext/fox/: FXRuby.cpp, markfuncs.cpp: Corrected argument types for
	  calls to rb_gc_mark() in FXRuby.cpp and markfuncs.cpp. For Ruby
	  1.6, the prototype for rb_gc_mark() should be rb_gc_mark(void *)
	  and for Ruby 1.7 it is rb_gc_mark(VALUE).

2002-04-24 21:34  lyle

	* doc/build.xml: Modified instructions about the fix for
	  rb_gc_mark()'s declaration in intern.h; should read
	  rb_gc_mark(void *) and not rb_gc_mark(VALUE).

2002-04-24 10:59  lyle

	* swig-interfaces/typemaps.i: Added in typemap for FXString and
	  corrected out typemap for FXQuat.

2002-04-24 10:58  lyle

	* tests/TC_FXViewport.rb: Corrected checks on FXViewport#w and
	  FXViewport#h; we expect them to be of type Integer (either Bignum
	  or Fixnum). Was failing if it was not a Fixnum.

2002-04-24 10:48  lyle

	* ext/fox/: core_wrap.cpp, dialogs_wrap.cpp, icons_wrap.cpp,
	  image_wrap.cpp, layout_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp,
	  ui_wrap.cpp: [no log message]

2002-04-23 22:30  lyle

	* ext/fox/: core_wrap.cpp, scintilla_wrap.cpp, ui_wrap.cpp: [no log
	  message]

2002-04-23 22:23  lyle

	* fox-includes/fxver.h: [no log message]

2002-04-23 22:04  lyle

	* swig-interfaces/FXScintilla.i: Replaced %readonly and %readwrite
	  directives with %immutable and %mutable.

2002-04-23 22:03  lyle

	* ext/fox/: dialogs_wrap.cpp, icons_wrap.cpp, image_wrap.cpp,
	  layout_wrap.cpp, mdi_wrap.cpp, opengl_wrap.cpp: [no log message]

2002-04-23 21:55  lyle

	* swig-interfaces/: FXApp.i, FXScintilla.i: Replaced %readonly and
	  %readwrite directives in SWIG interface files with new %mutable
	  and %immutable features.

2002-04-23 21:01  lyle

	* fox-includes/README: Corrected the name of the package in
	  fox-includes/README; it's FXRuby, not Ruby/FOX.

2002-04-04 10:44  lyle

	* examples/gdchart.rb: Added a new example that uses the
	  Ruby/GDChart module to create a chart image and then display it
	  in an FXImageView widget.

